Introducing Help & Manual
Return to Introduction
Help & Manual is a stand-alone authoring tool that simplifies the creation of Windows help files, print manuals and documentation in general.

A straight-forward and easy-to-use interface

Help & Manual combines a text editor and a content tree-view in one window. You can easily navigate the Table of Contents and insert or edit help topics without much fuss. Our simple and intuitive interface has been copied by the competition, but is never as easy to use as in Help & Manual.

The WYSIWYG (What You See Is What You Get) interface leaves out all the cryptic references for hyperlinks, macros and images. Instead of scuffling with topic IDs, footnotes and obscure commands, you can concentrate on more important things: designing your help file.
Everything you need is right there at your finger tips.

With Help & Manual you can easily create all standard Windows help formats (HTML Help, Classic Winhelp, Microsoft Help 2.0), Word documents and PDF files.

Last but not least, you can print user manuals directly from the application, including a Table of Contents and a keyword index, with customized page layouts, headers, footers and page numbering.

All these documentation types are created from one single source! From a Help & Manual project that saves the data for topics, contents, keywords, index and all project settings in a single source file.


Why Help & Manual?

Good reasons to use Help & Manual
Return to Introduction

Save time

Help & Manual helps you to create better documentation quicker. Writing the help file for a mid-ranged software project is a matter of days, not weeks.

Save money

Online help is a key feature of your software and cannot be over valued. A professional and well organized documentation can decrease support costs drastically.

Concentrate on the important thing

Explain your software to your users, not the help authoring tool to yourself. Help & Manuals intuitive user interface is transparent, straight-forward and shields you from the technical stuff of help files. What you see is simply what you get.

All standard help formats supported

Whether you create old style .hlp files or HTML Help, Help & Manual is the right tool for you. It compiles all standard help formats and it creates it from the same single source.

Supply a user manual

If you really print out the user manual or use the built-in PDF export is up to you. What other help authoring tools just promise - Help & Manual does it. It creates ready-to-ship user manuals from your help project. Forget the fuss about different formattings for online help and print output.

Writing help can be fun

You do not believe this? Well, give it a try...


What's new in version 3.31?

Help & Manual Version 3.31

Scroll down for older updates
Return to Introduction

July 2003: Version 3.31 is a maintenance release, free for all registered users of version 3. There aren't many really new features but a lot of minor fixes and improvements.

New features

· Browser based help: Help & Manual now creates a hybrid (both a Javascript version and a static version) of the table of contents. This especially adds support for the Opera browser. The option to scroll the selected entry of table of contents into view (if you move from one topic to another following a link) has been improved. Finally, we removed an unneccessary blank link between paragraphs, when the paragraph aligment changed.

To avoid naming conflicts we have changed the default file and frame names of the browser based help output!! You will not experience any problems due to that change, except if you reference the files or frames directly. The changes are:

Projectname_content.htm becomes $Projectname_content.htm (static TOC)
Projectname_content.js becomes $Projectname_content.js (dynamic TOC)
Projectname_kwindex.htm becomes $Projectname_kwindex.htm

The left and right frame have been changed as well:
From "toc" to "$hmtoc" (left navigation frame) and
from "content" to "$hmcontent" (right frame).

· New syntax highlighter for Visual Objects

· Text variables: the properties dialog box now has an Import and Export button for text variables.

· PDF Export: a new image compression option makes smaller PDF files. Help & Manual can compress PDF files using a JPEG compression with scaleable quality (setting is in Project|Properties). The compression result depends largely on the content of the images used in your help project (photos and rich colored screen shots will compress well with the JPEG option, classic screen shots don't). The PDF library is now included in the executable of Help & Manual and the external dll "echmpdf3.dll" is not longer used.

Images in the manual template (icons and logos in page headers and footers) have caused relatively large PDF files. This has been significantly improved with version 3.31, as Help & Manual uses an intelligent algorihtm to embed recurring images.

· Screen capture: the screen capture save dialog box now offers the native Impict image format (.ipp) as well.

Fixed problems

· Help context tool: the export of help context numbers uses a lowercase #define now and has an option for how to encode topic anchors.
Multiple imports of help context numbers did not work! If you imported external map files with the new help context tool, please run the repair function on your help project.

· Project report did not finish (this was already fixed in build 815)

· HTML Help: the conversion of SHG images to JPEG failed with certain SHG files.
Fixed broken links to external CHM files.
Unnecessary blank line removed when paragraph alignment changed.

· PNG images saved with Help & Manual, Impict and TNT did not include any dpi values which caused some problems with GDI+ and Windows XP.

· Impict: Screen capture failed on some Windows 98 machines.
The dragging rectangle to insert new objects now works in all directions
Reverse insertion rectangle for arrows created an AV

· Print manuals: multi-line headings in the TOC and corresponding page numbers were often misaligned.

· Compilation report: if the compiler report displays many warnings or errors, the message window gets updated periodically, not for every message. The message window is now on top of the main window only, but not the top-most.

Older updates

Help & Manual version 3.30
Help & Manual version 3.25
Help & Manual version 3.20
A comparison between version 2 and version 3


Convert project files from version 2.x
Return to Introduction
Help & Manual 3.0 has a new project file format. If you used a previous version of Help & Manual, use the converter program to convert .HM2 files to .HM3.

The project file converter program is in the program menu created during installation:

startmenu


How to buy Help & Manual

Order Help & Manual today
and enjoy instant delivery!
Return to Introduction

creditcards

Direct order link
http://www.ec-software.com/order.php3

Home page
http://www.ec-software.com

Email support
support@ec-software.com

Snail mail
EC Software Inh. A. Halser
Suedtirolerstrasse 1 b
5201 Seekirchen, Austria

Fax
+43 - 6212 - 4724


Help on Help & Manual

Help & Manual and Online Help related resources
Return to Introduction
Printed User Manual

Please do not directly print this help file from the Microsoft help viewer because the print quality of the HTML Help viewer is rather poor. This online help is also available in PDF format on our download page: http://www.ec-software.com/download.htm

Internet News Groups

http://helpman.it-authoring.com/

The Help & Manual forum for discussing issues related to Help & Manual.

Public Microsoft news groups, available on msnews.microsoft.com:
Microsoft.public.helpauthoring and
Microsoft.public.vstudio.helpauthoring

Internet Links

http://www.winwriters.com/
Training for software user assistance.

http://www.helpmaster.com
Josef Becker's HelpMaster - The largest repository of help-related freeware and shareware tools and utilities anywhere on the internet. If you're looking for something, look here first.

http://mvps.org/htmlhelpcenter/
HTML Help Center maintained by David Liske is a very helpful resource site that clarifies features and problems of HTML Help.

http://www.smountain.com
Help programming references, Winhelp + HTML Help connection to VB and C++.


The user interface (Overview)
Return to Introduction
Help & Manual is known for its neat and intuitive user interface. The heart of the program is the tree pane workspace that includes the built-in text editor.

The topic options tab (hidden behind the text editor by default) gives you access to the settings of the selected topic.

· Tool bars and tool windows

Except for the integrated text editor and the main menu, you can undock all tool bars and tool windows. Use the View menu to hide or show tool bars and tool windows.

· Context sensitive help

Help & Manual has an extensive, context-sensitive help system. More than 700 topics explain each dialog window and control.

· Help for dialog windows

Click Help in a dialog window for an overview.

· Help for particular controls

Right-click on any control to display a What's This? menu that leads to a description of the control. This works with menu items as well. If a control has its own pop-up menu (such as edit controls), right-click on the control label instead.


The workspace
Return to Introduction
Below is the Help & Manual workspace. Scroll down for a detailed description.

treepane

Table of Contents

The Table of Contents organises the structure of your help file, the content. This is simply the content that appears when a help file is opened. This view includes chapters and topics; and it defines the content structure of a printed manual.

Invisible topics

This view below the Table of Contents lists topics available in the help project. However, these topics are do not appear in the Table of Contents. They will most likely be context sensitive help topics.

Help text

The third and largest pane is the built-in word processor. If you have selected a topic in the Table of Contents or in the pop-up list, the text window displays the topic text, and is enabled.

Topic options

The topic options tab (hidden in the figure above) lets you access the settings of the current topic.


Topic options
Return to Introduction
The Topic Options tab provides access to the settings of the current topic.

Topic ID

This is the alphanumeric identifier of the topic. This ID must be unique throughout the help project. Cross links to other related topics always refer to it by topic ID.

Help window

Select the type of window in which to display the topic. By default, the type Main is selected as the standard help view window.

Keywords

Keywords entered here will appear as a sorted list in the Index tab of the compiled help file. This functions returns topics searched by keywords. In printed manuals, a keyword index with page number references is also built from these entries.

A-Keywords

Are used for associative links. See: A-Keywords

Help Context

This is a unique numeric identifier for each topic. It is necessary to define them in order to call context sensitive help from a Windows application.

Include options

The include options specify which builds (which output formats) include this topic. In this way you may to include or exclude particular topics from an output format.


Keyboard shortcuts

General shortcuts Content shortcuts Editor shortcuts
Return to Introduction
General shortcuts
Shortcuts for general operations allow you to:

F1 Display Help & Manual help. In dialog boxes, F1 displays help for a particular control.
Shift + F1 Enter context sensitive help mode.
Ctrl + O Open another help project.
Ctrl + S Save a help project.
Shift + Ctrl + S Save a help project under a different name.
Ctrl + F Open the Find & Replace dialog box.
Ctrl + F9 Open the Make help file dialog box.
Ctrl + Alt + F9 Repeats the last quick launch function (compiles the project in the same help format again), bypassing the Make dialog box. This short cut works when you at least compile your help project once during a session.

Content shortcuts
Shortcuts that relate to the Table of Contents and the Invisible Topics list allow you to:

Alt + INS Insert a new item in the TOC (or in the list of pop-up topics) before the current item. This command is available when focus is on the TOC (or the list of pop-up topics).
Shift + Alt + INS Insert a new item in the Table of Contents (or in the list of pop-up topics) after the current item.
Ctrl + Shift + INS Add a child to the current item in the TOC
Ctrl + Shift + DEL Delete an item, including children
Ctrl + Up Arrow Display a topic before the current topic
Ctrl + Down Arrow Display a topic after the current topic
Shift + Alt + S Open the topic status dialog box

Additional shortcuts for the Table of Contents (when focus is on TOC) allow you to:

Ctrl + C Copy the selected topic or chapter to the clipboard
Ctrl + X Cut the selected topic or chapter and copies the data to the clipboard
Ctrl + V Paste the clipboard content into the TOC (if the clipboard contains a topic that was previously copied)
INS Insert a new item before the current entry
DEL Delete the selected item
F2 Edit the caption of the selected item

Text editor shortcuts
Shortcuts that relate to the topic text editor allow you to:

Shift + F2 Change the topic text font
F3 Apply the default topic header font style to the topic text
F4 Apply the default font style for topic text to the topic text
Ctrl + F7 Spell checks the current topic
INS Toggle the insert/overwrite mode of the text editor. The current state is displayed in the status bar.
Ctrl + A Select all of the text in the window
Ctrl + B Apply font style bold to the selected text of a help topic.
Ctrl + C Copy selected text to the clipboard.
Ctrl + E Insert an Internet link
Ctrl + H Insert a topic anchor
Ctrl + I Apply font style italic to topic text
Ctrl + K Mark the selected text as a keyword and add it to the keyword list for this topic
Ctrl + L Opens the Link dialog box to insert a link to another topic
Ctrl + N Toggle the paragraph style to an unnumbered list and vice-versa
Ctrl + Shift + N Toggle the paragraph style to a numbered list and vice-versa
Ctrl + P Insert a picture
Ctrl + Shift + P Print the current topic (draft print)
Ctrl + R Recall the last font including the font style, and apply it to the topic text
Ctrl + T Insert a text variable
Ctrl + V Paste the content from the clipboard
Ctrl + Shift + V Paste the content from the clipboard as plain text
Ctrl + X Cut selected text to the clipboard
Ctrl + Z Undo the last change to the topic text
Ctrl + Shift + [+] Increase the left indent
Ctrl + Shift + [-] Decrease the left indent


Customize Help & Manual
Return to Introduction
You can customize some of the features of Help & Manual by selecting Customize... in the Tools menu. A dialog box appears with five tabs and the following, customizable features:

The General tab

checkbox Display startup dialog
Opens a tutorial for novice users at start-up. Uncheck to disable display.

checkbox Show hints for Buttons and Controls
Defines if the application shows short hints. Long hints are always shown in the status bar.

checkbox Automatically Backup the Project after ... Minutes
Automatically saves the temporary file every xx minutes.

checkbox Use Large Toolbar Icons
Uses enlarged icons for the toolbar.

checkbox Open Last Help Project on Start
Automatically opens the last saved help project on start

checkbox Empty Clipboard when Help & Manual closes
Select this option to purge the clipboard contents if not needed for use in another application.

The Topics tab

checkbox Ruler Units
Select from inches or centimeters

checkbox Enable Multiple Undo
To undo more than one step to restore original text and undo formatting

checkbox Auto-size Topic Header
The edit window for the topic-header (the non-scrolling area above the topic text) is automatically sized so that the height fits with the text of the topic header. You can uncheck this option if you prefer a fixed size.

checkbox A Double Click on a Link jumps to the Target Topic
Defines if the jump function is active during design time. If not, a double-click on a link opens the link dialog box.

checkbox Auto-Correct Blanks in Topic IDs
A topic ID should not contain blanks. If this option is checked, every blank is substituted by an underscore "_" when changing the ID of a topic.

checkbox Apply Under Construction Status to New Topics
Automatically sets the status of new topics to "Under Construction" to indicate that this is a new topic.

checkbox After Changes Set Status to:
After changing text, you can set the topic status to one of the following: Complete, Under construction, Needs review, Out of date

checkbox Copy Text Selection as Plain Text to Clipboard
Select this option to copy only the text, without the formatting

The Folders tab

checkbox Default Folder
If this option is checked, the specified folder is always open when you start Help & Manual. If not, Help & Manual remembers the last folder used.

checkbox Folder for Temporary Files
Help & Manual creates temporary files while you are working on your help project. These files are created by default in the \Windows\Temp directory. If disk space on C is a concern, specify another directory.

The Help Compilation tab

checkbox Messages Displayed during Compilation
When you compile a help file, Help & Manual displays a small compilation report. You can de-activate the display of a particular message type here. The choices are: Hints, Errors, Warnings, Compiler results.

Compiler settings
These are the default compiler settings. We don't recommend making any changes to them. You should only change these settings if you are instructed to do so by support.

The PDF Export tab

checkbox Use Default Reference Drive


Working with Help & Manual <- Start here

Working with Help & Manual
Return to Introduction
This chapter explains how to create a help project and how to write topics.

· Creating a project with Help & Manual
How to create new projects and import existing documents

· Writing topics
How to insert topics and chapters, write text and use keywords

· Linking to other topics
Which types of hyperlinks are available and how to insert a hyperlink

· Adding images
How to insert images and graphics with hot spots

· Using Winhelp macros
How to execute external files, how to use associative links and more

· Using OLE objects
What OLE objects are and how to use them in a help project

· Multimedia in help files
How to use video and audio files

· Context sensitive help
How to create a context sensitive help system and link it to your application

· Documenting source code
Explains the built-in syntax highlighter. Mainly for programmers

· Testing your help project
How to test links, keywords and browse sequences


Creating a help project
Return to Introduction
Before you make a standard Windows help file, you create a help project. This is a file with the extension ".HM3" and is the source for all Help & Manual output.

A Help & Manual project is a small, single-user database that contains topics, keywords, TOC, help window definitions and all other project dependent settings.

You can create a new project file from scratch or import existing documents. Help & Manual reads compiled .hlp files, .hlp source files, compiled HTML Help files and .rtf documents created in MS Word.

Please make your choice:

I want to create an empty new project (no files to import)

I have a compiled .hlp file that I want to import
I have the sources for a HLP file (preferred over compiled HLPs)
I have a compiled HTML Help file
I have a Word document


Creating an empty new project
Return to Introduction
When you create a new help project, Help & Manual helps you quickly build a Table of Contents and create some topics to start with.

To create a new help project

1 Select File | New.
The New Project dialog box is displayed.

2 Select the first option: This is a new help project, then click Next.

3 Enter the file name and path for the new help project that you want to create.

4 For the template option, select radiobutton Use the built-in default template. This option lets you select an existing Help & Manual project to use as the default for new projects - but for the very first project, we'll skip this step. Click Next.

5 Enter a couple of headings in the Quick start entry box. Help & Manual will create a small Table Of Contents from the entries. You can edit them later. The screen shot below illustrates a small TOC from the suggested headings.

tocnew

6 Click Finish to create the new help project file.

See also
Setting title, copyright and language
Adding items to the Table of Contents
Writing text


Importing a compiled .hlp file
Return to Introduction
Help & Manual can directly decompile a classic Winhelp (.hlp) file. The decompiler can help you to recover most of the sources of a help file if you lost them.

Compiled .hlp files, however, contain less information than the original source files. So if you have the sources, we recommend to import the .hlp source files.

To decompile a .hlp file

1 Select File | New.
The New project dialog box is displayed.

2 Select the option Import a compiled .hlp file

3 Click [...] to locate the .hlp file you want to decompile. If there is an accompanying contents file (.cnt), the contents file is assumed to be in the same directory.
Click Next to switch to the second page of the wizard.

4 Enter the path and file name of the new project (the output file).
The entry suggests to create a new folder for the source files. Since image files are rather enumerated than titled with real names, there may be duplicates if you have already decompiled a help file that is in the same folder.

5 Click Finish to start the import.

See also
Importing .hlp source files
Creating an empty new project


Importing .hlp source files
Return to Introduction
If you have created help files before, you may want to convert your existing projects into the Help & Manual format rather than re-writing them.

To convert an existing Winhelp project, you need the project source files. A typical Winhelp project consists of the following files:

OldProject.hpj This is the so called "Winhelp project file". It does not contain topics or help text anyway but it contains the settings. The Winhelp compilers needs an .hpj to compile an .hlp.

OldProject.rtf This is the rich text file that contains the help text including topic IDs and keywords. It is possible that your help project has more than one .rtf file.

OldProject.cnt This file is optional. It defines the content structure for Windows95 help files. If your help project was created for a 16 bit application, you may not have a .cnt file. That does not matter. Help & Manual reads it only if it is found.

Bitmap files (.bmp) If there are bitmaps in the help, they may be found as external files in the same directory or in a separate image directory.

The key file is the .hpj! It contains all of the necessary information: which rich text files are used, where to find them, where to find the content file and the search path for bitmaps. This is why you are prompted for this file to convert an existing project.

To import an existing help project

1 Select File | New.
The New project dialog box is displayed.

2 Select the option Import an existing Winhelp project

3 Enter the path and file name of the existing help project.
Click [...] to locate the help project file (.hpj).
Click Next to switch to the second page of this wizard.

4 Enter the path and file name of the new project you want to create.
Click [...] to browse for directories.

5 Click Finish to start the import.

See also
Creating an empty new project


Importing a compiled HTML Help file
Return to Introduction
Help & Manual can decompile a HTML Help (.chm) file and import topics, links, TOC, keywords and help context numbers.

There is, however, a small drawback: Help & Manual internally stores topic text in rich text format. This is necessary for creating .hlp files (they are also rich text based). While it is relatively simple to convert rich text to html, it is almost impossible to convert html to rich text. Html uses formattings - such as nested tables - which cannot be translated into rich text.

So when you import an HTML Help file, you get the full Table of Contents, all topics, keywords and help context numbers. But the topic text is translated into plain text, only the most basic formatting options apply. Hyperlinks and images are resolved.

To import an HTML Help file

1 Select File | New.
The New project dialog box is displayed.

2 Select the option Import a HTML Help file

3 Click [...] to locate the .chm file you want to decompile.
Click Next to switch to the second page of the wizard.

4 Enter the path and file name of the new project (the output file).
You are prompted to create a new folder for the source files.

5 Click Finish to start the import.

See also
Creating an empty new project


Importing .rtf documents
Return to Introduction
This function lets you create a help project from a standard .rtf document. If you have created user manuals with MS Word that are not formatted for compiling an .hlp file, you may either copy & paste topic after topic into Help & Manual, or import the file in rich text format.

Save a Word document in .rtf format

1. Open your document with MS Word
2. Click File | Save As
3. Select the file format Rich Text
4. Click OK to save the file

Help & Manual will read-in the pages of the rich text file and create one topic per page. This means, whenever a hard page break (not automatic page breaks) occurs in the document, Help & Manual starts a new topic. To divide the document further into separate topics, insert additional page breaks before saving.

To import an .rtf document in Help & Manual

1 Select File | New.
The New project dialog box is displayed.

2 Select the option Import an .rtf document

3 Click [...] to locate the .rtf file you want to decompile.
Click Next.

4 Enter the path and file name of the new project (the output file).
The entry defaults to the file name and path of the import file.

5 Click Finish to start the import.

See also
Creating an empty new project


Writing topics
Return to Introduction
Topics are the body of the help system which contain detailed information on the software product. When writing topics, keep in mind that the information should be concise and rich in detail, but easy to read. Before you start writing, it's a good idea to read through this chapter to get an overview on the basic functionality and how to get started writing topics.

· Setting title, copyright and language
Explains some basic project properties you should set at the start.

· Chapters and topics
How to add items to the Table of Contents the Invisible Topics list.

· Formatting text with styles
How to use text styles and how to define your own styles (saves a lot of work)!

· Context sensitive help
How to apply help context numbers automatically.

· Help windows
About the main help window, pop-ups and secondary windows.

· Keywords
Regular topic keywords and associative keywords.

· Topic status
Visualizes topics that need review or are under construction.


Setting title, copyright and language
Return to Introduction
Help & Manual creates help files in any language, except Asian languages. (Chinese, Korean, etc. use double byte character sets and are not supported by this version.)

When you create a new help project, Help & Manual uses default values for all project-dependent settings. Therefore, by default the language set is English.

If you write help files in Central European languages (Russian, Czech, ... Greek as well) you may also need to change the character set.

Finally, you will want to set the help project title, copyright statements and perhaps other basic options. These settings can be made in the same dialog box.

To change the help project language and character sets

1. Click Project | Properties to open to open the properties dialog box
2. Expand the Common Settings section
3. Select Language and Character Sets

Language of help file

Defines the help file language. The help compiler uses this setting to create a properly sorted keyword index.

Font charset

Defines the character set of all fonts, at design time as well as in the compiled help file. The value DEFAULT_CHARSET means the current character set of your computer. If you write a help file in a different language than that of your computer, you should specify the character set explicitly.

English help files:
The character set does not matter because English does not contain special characters, accents and symbols, such as umlauts. Use DEFAULT_CHARSET or ANSI_CHARSET.

Roman languages:
For German, Spanish, French, etc. set the character set to ANSI_CHARSET.

Central European languages:
For Russian, Czech, Polish, Hungarian, etc. set the character set to RUSSIAN_CHARSET or EASTEUROPE_CHARSET.

See also:
Project Properties dialog (overview)


Adding items to the Table of Contents
Return to Introduction
The Table of Contents (TOC) is the tree-list on the left side of the Help & Manual main window. It contains chapters and topics.

To add an item to the Table of Contents (TOC)

1 Select the position in the TOC where you want to add a new item. If the TOC is empty, just click on it once.

2 From the Topic menu:
choose Add Item Before to insert a new item before the selected item,
choose Add Item After to insert a new item after the selected item,
choose Add Item as Child to insert a sub-item to the selected item. Child-items can only be added to chapters, not to topics.

Any of the above actions open the Insert New Item dialog box.

See also
The Insert Topic dialog box


The Insert New Item in TOC dialog box
Return to Introduction
This dialog box lets you insert new entries to the Table of Contents and the Invisible Topics list. Help & Manual distinguishes between 5 different entry types.

1 Chapter without text
This is a normal chapter heading, and is represented by a closed/open book in the content of a Winhelp file. It does not relate to a topic and you cannot enter text here.

2 Topic or Chapter with text
This is an entry that relates to a topic. The text editor becomes enabled when selected. If an entry has children, it is treated as a chapter, otherwise as single topic.

Please note that HLP files do not support chapters with text. If you create a .hlp file, Help & Manual exports the entry twice: a chapter heading first and an additional topic entry with the same caption.

3 Jump to an external help file
This type inserts an entry into the Table of Contents that jumps to a topic in another help file. This help file must be present at run time.

4 Link to a WWW address
Inserts an Internet link.

5 # Include another help file
Creates a place holder entry for a secondary help file. The Table of Contents of the secondary help file is merged into the master help. For details, see modular help systems.

See also
How to reference a topic twice
Modifying the Table of Contents


Writing text
Return to Introduction
Once you have inserted and selected a topic, the text window becomes enabled and you can enter topic text. A help topic displayed in a normal help window is typically divided into two areas:

1 A non-scrolling region
This is the header area and is mainly used to display the title of the help topic. The header area may also contain links.

2 A scrolling region:
This is where the help text is displayed. The text scrolls if the window isn't large enough to display all the text.

topicheadertext

These areas are represented by the two edit windows, the built-in word processor in Help & Manual.

Whether or not a topic has a header (a non-scrolling region) is determined by the help window. You assign a help window type to every topic.

See also
Topic options
Modifying help windows


Formatting text with styles
Return to Introduction
Help & Manual supports styles to quickly format text. A style is a combination of font attributes (face, size, color) and paragraph attributes (indents and tab stops).

To apply a layout to a paragraph / text

1 Point the cursor to the paragraph you want to format.
2 Select the text if you also want to apply text formatting.
3 From the Edit menu, choose Layout.
4 Select the layout you want to apply.

Two styles - Header Default and Text Default - are predefined, but may be customized. You may change them and add your own styles in the Project Properties dialog.

The styles are saved with the project file - they are not available to other help projects.

Please note that styles are templates only. If you change the definition of a style, the changes are not automatically applied to the topics. To change the style of all existing topics, use the Replace Font Styles function, available from the Search menu.

See also
Project Properties
Change font styles


Choosing a help window
Return to Introduction
The help window type selected for each topic specifies the help viewer for displaying the topic. The help window also determines the topic background color and whether it has a header.

To change the window type of a help window

1 Select the Topic Options tab.
2 From the Help window combo box, select a window type:

Main
Every help file has one, predefined standard window, the Main window. You can customize the Main window in the Project Properties dialog box.

prcarrow If you insert a topic in the Table of Contents, Help & Manual assigns the window type Main by default.

Pop-up
This window type is predefined but cannot be customized. Pop-up windows are automatically created, positioned and sized by the help viewer. pop-up windows are typically used for small context sensitive help topics. They generally have no non-scrolling header.

prcarrow If you insert a topic in the Invisible Topics list, Help & Manual assigns the window type pop-up by default.

Other window types
The Project Properties dialog box lets you add additional, so-called secondary windows. Secondary windows work like the Main window except that they may have a different default position or a different background color.


How to use the HelpContext
Return to Introduction
The HelpContext is the numeric identifier of a topic. This identifier is optional but if defined, it must be unique throughout a help project.

Help context numbers are used to tie help topics to particular controls of an application. In other words, they are used for context sensitive help. Those little pop-ups in Help & Manual that appear when you right-click a control are context sensitive help topics.

The implementation of context sensitive help varies with application development tools and is also different between Winhelp (.hlp) files and HTML Help (.chm) files. These differences are discussed in Context sensitive help systems.

To add a help context number to a topic ...

... Simply enter the number in the HelpContext edit box. Help & Manual checks whether the help context number is already used when you switch to the next topic.

Note:
A topic can have more than one help context number but not vice versa. To assign multiple help context numbers to a topic, separate them by a comma.

That's annoying, isn't it? When we created this help file, we never entered any help context number manually. Instead we used the automatic numbering function. Help & Manual can automatically apply help context numbers when you create new topics.

To use automatic help context numbering

1. Click Project | Properties
2. Expand the Common Properties Section
3. Select Help Context Numbers
4. Enable the automatic help context numbering. help The start value specifies the help context number to start with, the increment value specifies the step. If the numbering function creates a help context number that does already exist in this project, it increases the new number until it finds a free one.

See also
How to find a topic by help context number


Adding keywords
Return to Introduction
Keywords added to a topic will become a keyword index in the compiled help file.

We distinguish between two types of keywords. Regular keywords are visible to the user and will appear in the keyword index, A-keywords are invisible. The latter are used for associative links.

To add keywords to a topic

1 On the Topic options tab, select the keywords entry box.
2 Enter one or more keywords and use a separate line for each keyword.
Do not use commas (,) or colons (:) or semicolons (;) as these characters have a special meaning (see below).

To add a second-level keyword to a topic

1 On the Topic options tab, select the keywords entry box.
2 Enter the first part of the two-level-keyword on a separate line. In the next line, enter the first part of the keyword again, followed by a comma and a space. Then enter the second part keyword on the same line.

The following keyword entries result in the index entries shown below:

Keyword entry

macro
macro, library
macro, automatic
macro, complex
macro, simple

Index in help file

macro
automatic
complex
library
simple

See also
A-keywords


A-keywords
Return to Introduction
A-keywords are similar to normal keywords except that A-keywords never appear in the search index. A-keywords are used to display relating topics.

To add A-keywords to a topic

1 On the Topic options tab, select the A-Keywords entry box.
2 Enter one or more keywords and use a separate line for each keyword.
Do not use commas (,) or colons (:) or semicolons (;) - they are used internally.
A-keywords are single-level keywords.
3 Add exactly the same A-keyword(s) to all topics that relate to this topic.

To display a list of relating topics with an A-keyword

do-it You must insert an ALink macro that calls that keyword. If the user clicks on such a macro, Winhelp will display a list of topics that include exactly that A-keyword while the A-keyword itself is hidden from the user, even in the keyword index.

See also
Keywords


Modifying the Table of Contents
Return to Introduction
We have explained how to insert new topics and chapters. But how do you modify them?

Help & Manual provides small tool buttons to edit and move entries in the Table of Contents and the Invisible Topics list:

contentnavbuttons

The buttons work as expected. Select an entry and move it with the arrow buttons above. Click on the writing hand to edit the caption or click the minus sign to delete the entry.

Moving items by drag & drop

You can also drag and drop entries in the Table of Contents. How the dragged item is inserted at the target position, depends on the exact position where you drop it.

1. Drop on the caption of target entry
Inserts the dropped item before the target.

2. Drop on the white space right of the caption
Creates a child entry.

Moving items by cut & paste

Finally you can copy, cut and paste entries in the Table of Contents. Select and entry and click Edit | Copy to copy the topic or entire chapter to the clipboard. Click Edit | Paste to insert it again.


Adding a second reference to an existing topic
Return to Introduction
If you insert a new item into the Table of Contents or into the list of "pop-up" topics, you add a new entry and a new topic by default. But there may be some cases where one topic fits in two or more chapters. Instead of writing that topic again, you can add a second reference to this existing topic.

To add a reference to an existing topic

1 Select an item in the Table of Contents where to want to add a new item.
2 From the Topic menu,
choose Add before to insert a new item before the selected item,
choose Add after to insert a new item after the selected item,
choose Add child to insert a sub-item to the selected item. Child-items can only be added to chapters, not to topics.

The Insert topic dialog box is displayed.

3 Proceed as if you would like to add a new topic.
4 Finally, do not accept the suggested topic ID.
Instead, click [...] from the topic ID entry window.
The Topic selection dialog is displayed.
5 Select an existing topic from the list.

The figure below illustrates the procedure.

newtopicref


Changing the status of a topic
Return to Introduction
You can assign a status to a topic to mark it. The topic status is set apart from others by the background color of the topic in the Table of Contents or the Invisible Topics list.

The topic status has no further meaning except to visually indicate that topics are out of date, under construction or need review. The project report filters topics by status.

To change the topic status...

· Select the topic in the Table of Contents
· Click Topics | Change Item | Change Status
· In the status dialog box select the topic status and click OK

Background Status + Meaning

White No status, topic is complete
Yellow Under construction, topic is new but not completed
Red Topic is out of date
Aqua Topic needs review

If the selected entry has child entries, you can apply the topic status to child entries as well.


Changing the icon of a topic
Return to Introduction
Help & Manual supports a list of icons that can be applied to items in the Table of Contents. The default icons display a red book for a chapter and a page showing a question mark for a topic.

You can change these icons to illustrate the meaning of a topic.

To change an icon

1 Select the desired item.
2 From the Topics menu, choose Change icon.
The Icon dialog box appears.
3 Choose the icon you want and click OK. To reset an entry to its default icon, choose the first entry "(Auto)".

Note
These icons only apply to HTML Help and Browser based help. Winhelp (.hlp) files do not support these icons. You cannot customize the icon list, because HTML Help does not support customized icons.


Changing the ID of a topic
Return to Introduction
The topic ID is the unique alphanumeric identifier of a topic. So topic IDs are quite important, often self-explaining and there are few reasons to change them.
However, there may be situations where you want to change the ID of a topic.

To change a topic ID

1 Select the desired topic
2 Select the Topic options tab
3 In the Topic ID entry window, type in the new topic ID

do-it Nothing happens! Not even when you leave the entry window.
Since you may not be finished with your changes, Help & Manual waits.
As soon as you switch to another topic, the changes take place.

What happens when the topic ID gets changed?

Help & Manual automatically changes all topics in the current help file that link to this topic.

Not changed are:
· Winhelp macros that point to this topic by topic ID
· Images with hot spots
· Other help project files that may link to this topic

What do you have to take care of when changing the topic ID?

Check out the macros that refer to the current topic and change them as well.
Don't forget about Multiple hotspot graphics which include hard coded links to your topic.
If you have created other help files that refer to the current, check them as well.


Using the built-in syntax highlighter
Return to Introduction
Help & Manual's syntax highlighter helps you to format programming source code examples. The highlighter is aware of the code syntax and reserved words in Pascal, C++, Visual Basic and SQL statements.

To format a piece of text in code editor style

1 Select the topic text you want to format.
2 On the tool bar, click the drop down arrow next to the syntax highlighter button.
3 From the pop-up menu, select the appropriate formatting style.

menusyntaxhighlight

Once you have chosen a formatting style, you can apply the same style again by clicking the syntax highlighter button directly.

See also
Customizing the syntax highlighter
Pascal syntax examples
C++ syntax examples
Visual Basic syntax examples
SQL examples


Links to other topics
Return to Introduction
Hyperlinks to other topics are the basics of a help system. Usually, hyperlinks appear as underlined green text, but not necessarily.

Help & Manual supports the following link types:

Link type Description
blackline

Standard link Is displayed as underlined green text and points to another topic. If the user follows this link, the referred topic is displayed in the main help window, or in a secondary help window.

pop-up link Is displayed as green colored text that is dashed-underlined. When the user follows this link, a small window pops up and displays the referred topic.

Is displayed as a button. It has the same functionality as a standard link but appears as a clickable button.

Small button link Is the same as a button link, except that the caption of the button is empty. The example left is a combination of a small button link and a standard link.

document Image link Uses a bitmap that acts as a link. Click the small document bitmap on the left, to execute this example.
tbhelp Hyperlinks in images. These are images with built-in hyperlinks or macros. Refer to Images with clickable areas for more information.

See also
The difference between pop-up links and normal links


Inserting links in the topic text
Return to Introduction
You can add links to your topic text at any position. A link lets the user jump to another topic by clicking it.

To insert a link

1 Move the cursor to the position in the text where you want to insert a link. If you have typed a word or phrase that you want to become the link caption, select this word.
2 From the Insert menu, choose Link.
The Insert Link dialog box is displayed.

3 Enter the caption of the link.
4 Select the target topic from the list of topic IDs and click OK.

See also
Internet Links
Links to other help files
Drag & drop
Edit a link
Types of links
pop-up links and normal links


The Insert Link dialog box
Return to Introduction
The Insert Link dialog box lets you insert a hyperlink to another topic.

Caption
Is the visible text of your help link. If you have selected any text before opening this dialog box, the selected text is assumed to be the caption of your link.

Style
How do you want your link to appear?

· A normal text link (appears as green underlined text in the final help file) is the default.
· If you want to display a pop-up window on your link, select the second option (and make sure that the topic the link points to is defined to be a pop-up topic in a pop-up window).
· A button with caption or a small button if you omit the caption text
· A bitmap. In this case please use the "caption" entry window to specify the bitmap you want to display.

Help file
A typical link points to another topic in your help project. This is the default and if this is true, you do not have to change this entry. If the target of your link is outside the current help file, you must specify the name of the help project. Use the [...] button to browse for other help projects.

Help window
By default, the target topic is displayed in that window ("Main", "pop-up" or a secondary window) that was defined along with the target topic (see: choosing a help window). If you want to display your topic explicitly in another window than its default, change this value.

Topic ID
Select the topic you want to link to.

Topic Anchor
If the target topic contains an anchor you can specify the anchor as well.

See also
Types of links
The difference between pop-up links and normal links
Links to other help files
Inserting links via drag & drop
Changing a link


Changing a link
Return to Introduction
You can change the text, the appearance and the target of an existing hyperlinks at any time.

To edit a link

1 Select the link in the text.
2 Right-click it.
A pop-up menu appears.
3 From the pop-up menu, choose Edit.

See also
Inserting links
Types of links
pop-up links and normal links


Deleting a link
Return to Introduction
A hyperlink can only be deleted, not re-converted into normal text.

To delete a link

1 Select the link in the text.
2 Press DELETE.

See also
Changing a link


Inserting links via drag & drop
Return to Introduction
More advanced help authors may find the menu item to insert a link not very comfortable. But there is a more convenient way to insert a link.

To insert a link with drag & drop

1 In the text editor, select the word or phrase you want to become the link text.
2 Drag the selected text to the Table of Contents.
3 Drop it on the desired target topic.


The difference between pop-up links and normal links
Return to Introduction
There is an important difference between pop-up topics and topics which are displayed in a normal (mostly the "Main") help window.

A normal help window typically has a non-scrolling region (the header) and a scrolling region (the text). A pop-up window does not have a non-scrolling region. pop-up windows are typically used to display context sensitive help or illustrations, comments or annotations.

WinHelp recognizes the non-scrolling region of a topic by a special text formatting option. This is the rich text command \keepn. This command is invisible. Help & Manual applies this text formatting automatically. But it has to know how to arrange the topic header with the topic text.
This is determined through the help window type of each topic.

If the help window type is "pop-up"

Header section (if visible) and text section of the topic are combined without a \keepn command. This means, that the topic does not have a non-scrolling region. The header scrolls with the text.

If the help window type is another than "pop-up"

The Header section is separated from the text section of a topic with a \keepn command. This means, the header section is the non-scrolling region, the text of the topic scrolls.

The result is that the definition of an optional non-scrolling (header) region is determined by the formatting of the help topic. Generally, you can display any help topic in any help window. But with pop-up topics, you can run into an annoying problem.

If a "pop-up" topic is displayed in the main help window or in a secondary window

This does not create a problem. The topic will not have a non-scrolling region. That's all.

If a "non-pop-up" topic is displayed in a pop-up window

Only the header (the non-scrolling region) of the topic will be displayed in the pop-up window. The topic text is truncated.
This is how such a truncated topic can look like:

truncatedpopup


Adding jumps to the middle of a topic

Anchors in topics

About anchors Set an anchor Refer to an anchor
Return to Introduction
When you jump to another topic, you normally jump to the top of this topic. With anchors you can also jump to a specific paragraph in that topic.

An anchor is an ID in the middle of the topic text which can be addressed by a link. You can jump to an anchor in the current topic (glossary function) or to any other topic that contains an anchor.

To see how it works, we implemented 3 anchors into this topic. The links in the topic header address these anchors.

To set an anchor

1. Select a word or a phrase of the topic text that you want to become the anchor. This is typically a word at the beginning of a paragraph.

2. From the Insert menu, choose Anchor.
The Insert Anchor dialog box is displayed.

3. Specify an ID for the anchor. This ID must not be used twice in a topic.

Note
Generally, the caption of an anchor could be blank as well. But then, it would be invisible. We found it easier to implement it along with the topic text.
It does not matter if the caption of the anchor is only one character, one word or a complete sentence. In the help file, the caption is converted to normal text and the anchor itself is invisible. The green background color is only used in Help & Manual to indicate the anchor.

To refer to an anchor

1 Move the cursor to the position in the text where you want to insert a link. If you have typed a word or phrase that you want to become the link caption, select this word.

2. From the Insert menu, choose Link.
The Insert Link dialog box is displayed.

3. Enter the caption of the link.

4. From the topic list select the target topic. When you select the target topic, the anchor list changes and displays the anchors defined in the target topic. Select the desired anchor and click OK.


Linking to topics outside this help project
Return to Introduction
A typical hyperlink points to another topic that is located in the same help project.

Links to other help files allow you to address topics in other help files which are displayed as if they where internal.

To add a link to a topic in a separate help file

1 Move the cursor to the position in the text where you want to insert a link. If you have typed a word or phrase that you want to become the link caption, select this word.
2 From the Insert menu, choose Link.
The Insert Link dialog box is displayed.

3 Enter the caption of the link.
4 Select the Help file where the target topic is located. Click [...] to locate that help file.
5 In the Topic ID entry box, enter the topic ID of that target topic. You must know the exact address.

See also
Inserting links in the topic text


Inserting a link to an Internet addres

Insert Internet Link
Return to Introduction
This is an easy function to insert links to internet URLs or email links.
Both link types work with all compiled help formats:

· Winhelp files (32 bit only)
· HTML Help files
· Browser based help
· Multimedia Help
· PDF files (internet links only, no email links)

To insert an Internet link

1. Place the cursor on the position in the topic text where you want to insert the link.

2. From the Insert menu, choose Internet Link.
The Insert Internet Link dialog box is displayed.

3. Enter the caption and address of the link, and click OK.


Links and secondary help windows
Return to Introduction
Links to topics where the target topic has a secondary window assigned to be displayed in are handled correctly.

The Insert link dialog box has a "Window" option. The default value for the "Window" option is the default window of the target topic. This means, if the target topic is displayed in a secondary window, Help & Manual automatically extends the link definition by the name of that window.

When you export your help file, the window name of the target topic is exported along with the topic ID of the target. A jump to "mytopic" is exported as "mytopic>Main" where "Main" is the window assigned to "mytopic".

Only if you want to display the target topic in another window than its default, you can change the "Window" option to the desired window type.

See also
Links to other help files


Adding images
Return to Introduction
Use the Image button on the tool bar to insert an image into the topic text. Help & Manual also includes an image editor, called Impict. Impict is perfect for creating great-looking screen shots. Wonder how we made all those nice little shadows? With Impict. It's a snap!

This screen shot was created with Impict. It includes several tricks you don't actually have to know, because Impict does it with a mouse click:

· Image and text objects in layers
· Semi-transparent objects
· Objects with free shapes
· Highlighted details
· Soft shadows
· Last, but certainly not least, smooth rescaling with color resampling!

Although this image intentionally has only 256 colors, it looks pretty good.
Don't you think it's time to give it a try? Click Tools | Impict ...


Inserting images and screen shots
Return to Introduction
You can insert bitmaps, metafiles and images with hotspots at any position of a help topic.

To insert an image

1 Move the cursor to the position in the text where you want to insert an image.
2 From the Insert menu, choose Image (bitmap, SHG).
An Open dialog box is displayed.
3 Locate the image you want to insert and click OK.

See also
Using the built-in screen capture function
Images with clickable areas
Using the built-in bitmaps of the help compiler


Using the screen capture function
Return to Introduction
One of the little big helpers in Help & Manual is the built-in screen capture function. It allows you to capture entire windows or a selection of the desktop.

To start the screen capture

do-it From the Tools menu, select Screen capture.

This will display the screen capture dialog window. The screen capture function lets you capture any portion of the screen. The screen shot is saved as a bitmap file and directly inserted into the current topic at the cursor position.

When you hit the Start Capture! button, Help & Manual hides its main window and the screen capture begins. There are just 2 possible scenarios:

Scenario 1
You capture a Window or a fixed region of the desktop

Help & Manual hides its main window and displays a red clipping rectangle in front of the screen. The rectangle indicates the area of the screen that we will capture.

To select the desired area ...
onestep Move the clipping rectangle with the mouse

To make the screen shot ...
onestep Hold down the Ctrl key and press the left mouse button

To cancel the screen capture ...
onestep Hit the ESC key

Scenario 2
You capture a free region of the desktop

Help & Manual hides its main window and displays a cross-hair line at the mouse position.

To select the desired area ...
onestep Click to mark the top left corner of the selection
onestep Drag the mouse to define the selection rectangle

To make the screen shot ...
onestep Point inside the selection rectangle and press the left mouse button

To cancel the screen capture ...
onestep Hit the ESC key


Using the built-in bitmaps of the help compiler
Return to Introduction
Help & Manual supplies 10 images for use in illustrated steps in help topics and links to related topics. These images are:

bullet.bmp chiclet chiclet.bmp

do-it do-it.bmp emdash emdash.bmp

onestep onestep.bmp prcarrow prcarrow.bmp

shortcut shortcut.bmp open open.bmp

closed closed.bmp document document.bmp

To insert a built-in image

1 Select the position in the text where you want to insert it.
2 On the tool bar, click the drop-down arrow to the right of the image button.
A drop-down menu is displayed:

builtinbitmaps

3 Select the desired image.

Note
If an image with the same name exists in your search path, the existing image is used instead.


Images with clickable areas
Return to Introduction
Images with clickable areas contain hotspots that are links to other topics. The hotspot is only active over selected areas, not the entire image.

Help & Manual recognizes two types of images with hotspots.

1. SHG files (Segmented hyper graphics)
This image format is very old and comes from 16 bit help files. The file extension is .shg. Help & Manual can read SHG images and the integrated image editor can edit the hot spots.

2. IPP images
This is the native image format of Help & Manuals integrated image editor. IPP images support layers and text objects.

To insert an image with hotspots

1 Move the cursor to the position in the text where you want to insert an image.
2 From the Insert menu, choose Image (bitmap, SHG).
An Open dialog box is displayed.

3 Locate the .sgh or . image you want to insert and click OK.

To create an image with hotspots

do-it Click Tools | Impict to start the integrated image editor.


Using an image as a hotspot
Return to Introduction
Allows you to use a bitmap file instead of text to display a hyperlink.

To insert an image link into the text

1 Move the cursor to the position in the text where you want to insert an image.
2 From the Insert menu, choose Link.

The Insert Link dialog box is displayed.

3 Choose the Style option Bitmap.
The entry box above the Style option changes to "Bitmap"; enter the name of the bitmap file.
4 Enter the bitmap file name or click Open to select a bitmap.
5 From the topic list, choose the topic you want to jump to and click OK.

See also
Images with clickable areas


Image path names
Return to Introduction
When you insert an image into a topic, Help & Manual only saves the name of the image, not the path.

Paths are added to a search path list. The advantage of the search path list is that you can easily edit it when you move the help project to a different folder.

To access and modify search path

1 Select Project | Properties
2 Expand the section Common Properties
3 Select Image Folders


Using Winhelp macros for .hlp files
Return to Introduction
Macros are hotspots in your help file that perform an action. The action they perform is not user defined, but provided by Winhelp. In fact, the macros described here only work with compiled Winhelp files (.hlp). HTML Help, on the other hand, does not support Winhelp macros.

Macros are very similar to links. Instead of simply jumping to another topic, macros perform an action. With macros, you can

· Jump to another topic by its help context number
· Refer to related topics by keywords
· Execute external files
· Display the about box
· Jump to the previous or next topic
· Display help on help
· and perform many more actions

Help & Manual supports all Winhelp macros. For your convenience, the Insert Macro dialog box lists the most important macros that work with 16 bit help files as well as with 32 bit help files.
See this help file -> Reference -> Macro examples for examples how to use macros in Help & Manual.

In Windows 95, however, there are many more macros available. To use them, you should be familiar with help writing. You can find a detailed description of all Winhelp macros in the documentation of the Microsoft Help Workshop.

To get more information about a particular Winhelp macro

1 Open the help file of the Microsoft Help Workshop, "HCW.hlp".
2 From the Table of Contents, choose Winhelp reference, then Macro reference.
3 Select the macro you want to get information about.

From HCW.hlp: Alphabetic overview of available Winhelp macros

winhelpmacroreference

See also
Overview: Types of macros
Inserting macros


Overview: Types of macros
Return to Introduction
Help & Manual supports the following types of macros:

Macro type Description
blackline

Green text This macro appears like a link. It is displayed as underlined green text and performs an action.

Non-green text This macro appears to be a normal text although it performs an action when the user clicks on it. You can assign any text style.

Appears as a clickable button.

Bitmap style. A bitmap is used as a hotspot to perform a macro action.


The Insert Macro dialog box
Return to Introduction
The Insert Macro dialog box lets you insert a Winhelp macro that performs an action.

List of available macros This list displays the most important Winhelp macros. All macros displayed here are compatible with 16 and 32 bit Winhelp files. Double click an item to copy its syntax to the Macro entry box below.

Macro Is the actual (invisible) macro string. You can choose one of the macros listed above or enter the syntax of another Winhelp macro. Refer to the macro overview for other Winhelp macros available.

Style Defines the style how the macro appears in your text. See macro styles overview.

Caption Is the visible text of your help macro. If you have selected any text before opening this dialog box, the selected text is assumed to be the caption of your link.

See also
What are macros and what can they do?
Inserting a macro


Inserting a macro
Return to Introduction
You can add Winhelp macros to your topic text to perform an action when the user clicks on the macro hotspot.

To insert a macro

1 Move the cursor to the position in the text where you want to insert a macro. If you have typed a word or phrase that you want to become the macro caption, select this word.
2 From the Insert menu, choose Macro.

The Insert Macro dialog box is displayed.

3 Select one of the macros listed. Then double-click on the item to copy the macro string to the Macro entry box below.
4 Complete the macro string if it takes any parameters.
5 Choose a style for the macro and the macro caption.
6 Click OK to complete the task.

See also
What are macros and what can they do?
Types of macros
Extended information on Winhelp macros


Changing a macro
Return to Introduction
You can change the appearance of a macro, its caption and the macro string.

To change a macro

1 Double click the macro.

The Insert Macro dialog box is displayed.

2 Apply changes and click OK to complete the task.


Deleting a macro
Return to Introduction
A macro can only be deleted. It is not possible to transfer a macro back into normal text.

To delete a macro

1 Select the macro in the topic text.
2 Press DELETE.


Using OLE objects
Return to Introduction
OLE objects in help files are useful if you want to display any (static) information that is not supported by standard rich text functions. For example: mathematical or chemical formulas.

When compiling a help file - or exporting the topics as html pages, the OLE objects are converted to static images. This means, that the users of your help file must not have the related OLE server installed. They simply see an image of the OLE object.

Important
Use OLE objects very carefully! Since they are translated into images, they can increase the size of your compiled help file as well as the size of the project file dramatically.

See also
Inserting OLE objects
OLE examples


Inserting OLE objects
Return to Introduction
OLE objects are visible objects provided by an installed OLE server.
When the help file gets compiled, OLE objects are converted into images, so that the OLE server which is installed on your computer is not required on the users computer.

To insert an OLE object into a topic

1 From the Insert menu, choose OLE ...
The OLE Dialog box is displayed. This dialog box lists all available (or "installed") OLE servers.

2 Select the object type you want to insert.

The following action is not controlled by Help & Manual but by the OLE server that implements the OLE object. It depends on the server how the object can be edited and if the function fails, only the server is responsible (not Help & Manual).

See also
OLE examples


OLE examples
Return to Introduction
Here are two OLE example objects.

Example 1 - a MS-Word document:

Please note that OLE objects appear as images in the compiled help file. Word or Excel documents that span more than one page will only display the first page.

Example 2 - created with the MS equation editor:

Note
If you are viewing this topic in the compiled help file, you are able to see them all. This is also true for html. But if you are viewing the source project file (helpman.hm2), you can only see these objects if the related server is installed.
For example: if you do not have MS-Word installed, you can't see the Word OLE. If you do not have the MS equation editor*) installed, you can't see the equation.


Multimedia in help files
Return to Introduction
You will find very few help files with multimedia content. The reason is simple: audio and video are not currently supported very well in help project viewers. Cross-platform compatibility suffers anyway.

Video files

Compiled Windows help files (.hlp and .chm) theoretically support any video format that can be viewed on a Windows computer. A viewer is required and must be installed first. To be on the safe side, use AVI files for small videos. Both Winhelp and HTML Help files include video in the internal file system when compiling.


Using video files (.avi)
Return to Introduction
AVI can be used to add videos and animations to help files.

To insert an AVI

1 From the Insert menu, choose AVI ...
An open dialog box is displayed.
2 Locate the AVI file you want to insert and click OK.

Note
AVI files compile right into your help file. You must not support external files.

AVI files take a lot of memory when they are displayed. So it may take a few seconds to load a topic. We don't recommend using AVI in a standard topic with information. It is better to place it in a separate topic and let the user decide whether or not to view it.

Example
This example opens the topic ExampleAVI


Using audio files (.wav)
Return to Introduction
Since Windows supports audio files, you can use them in your help system.
Audio files are typically files with a ".wav" extension.

To play a .wav file you can use the Help&Manual custom macro

PlayWav( file name )

This is an example:


Context sensitive help systems
Return to Introduction
A context sensitive help system is state of the art in today's software applications.
Don't go without it, you cannot afford to!

Context sensitive help has many faces. From simple tool bar hints over wizards and help topics for each control in a dialog box to interactive training card help. As far as compiled Windows help files are concerned, we talk about context sensitive help topics. Did you know that this help file includes more than 500 context sensitive help topics?

The implementation of context sensitive help varies with the software development tool you use to write the application. So vary the capabilities that you can, or have to meet with the help file. Our home page contains tutorials for Visual Basic, VC and Borland Delphi. Click here to go to the resource page

Windows applications normally use help context numbers to tie a topic in a help file to a particular control of the application. You can find more detailed information on how to apply a help context number in Help & Manual in Writing Topics. A second approach is associative linking with A-keywords.

Whether context number or keyword, those help topics are typically small and usually displayed in a pop-up window and do not appear in the TOC.

In Help & Manual, context sensitive help topics are added to the Invisible Topics list. If you want them to appear in a pop-up window, assign the help window type pop-up.


Adding context sensitive help topics
Return to Introduction
Context sensitive help topics usually not appear in the Table of Contents. That's why we call them invisible topics.

Help & Manual provides two views for that. The Invisible Topics list contains topics which are included in your help file but not visible in the TOC.

To add an item to the list of Invisible Topics list

1. Click on the Invisible Topics list
2. If the list contains items, select an item next to the place where you want to insert the new entry.
3. Click on the Topic menu and make one of the following selections:
Add before to insert a new item before the selected item
Add after to insert a new item after the selected item
Add child to insert a sub-item to the selected item

Let's use the Help & Manual project as an example. The invisible topics are sorted alphabetically and organized in a parent/child structure, as displayed in the screen shot below.

invisibletopicsorganize

See also
About pop-up topics
pop-up links and normal links


What you should know about pop-up topics
Return to Introduction
In Help & Manual you determine the style of the help topic by the window type. Simply set it to pop-up and you get a topic that is formatted for and displayed in a pop-up window.

But there are important differences between pop-up topics and topics that are displayed in a normal help window.

How Winhelp (.hlp) treats pop-up topics

The Winhelp viewer treats pop-up topics like regular help topics except that pop-ups do not have a non-scrolling header. Topics can contain formatted text, images and even links and macros. You can link a regular topic to a pop-up topic, as well as a pop-up to a regular topic. However, links from one pop-up topic to another pop-up are not recommended due to bugs in Winhelp.

How HTML Help (.chm) treats pop-up topics

HTML Help does not allow formatted pop-up topics. They are only tiny, text pop-ups. When you create an HTML Help file with Help & Manual, it strips all text formattings, removes images and replaces links and macros by plain text. You can link from a regular topic to a pop-up topic but not vice versa (for pop-ups must not contain links).

Information for application programmers:
Help & Manual stores context sensitive text topics in the file CSHelp.txt. CSHelp.txt is an internal file in the file system of the HTML Help project. When the application displays a text pop-up from an HTML Help file, you must specify which internal file contains the text.

See also:
pop-up topics in MS Office


pop-up topics in MS Office (Dual mode help)
Return to Introduction
To work around the limited HTML Help pop-ups, even Microsoft uses a combination of HTML Help and Classic Winhelp. The help files in MS Office separate regular help topics from pop-up topics. The former are HTML Help, the latter are loaded from a compiled .hlp file.

With Help & Manual you can also create a dual-mode help system, which consists of an HTML Help file and an additional .hlp file that only contains context sensitive pop-ups. We used this technique in Help & Manual as well.

How to create a dual mode help file

The setting is in the Project Properties dialog:

1. Click Project | Properties
2. Expand the HTML Help section
3. Select pop-up topics in HTML Help
4. Select the Dual Mode option and specify the extra file name for the .hlp file.


Documenting program source code
Return to Introduction
If you have to document source code you will likely come across the problem that your source code samples don't look very good. Even if you apply a fixed font style like "Courier New", there's something missing.

In Help&Manual you can set source code apart from normal text with a feature called syntax highlighting. Code editors do this automatically. They understand the syntax of the source code and highlight reserved words, comments, identifiers and other elements. This simply makes source code easier to read.

Help & Manual has a built-in syntax highlighter that understands the syntax of Pascal, C++, Visual Basic and Ansi SQL. It knows all the reserved words, can distinguish between plain text, comments, strings, numbers and even compiler directives, if supported.

Even if your programming tool is none of these, you can use the most appropriate syntax parser. The font styles of the highlighter are customizable.

Bring your source code documentation into the right shape. It's a mouse click away. Curious how it looks? Check out the samples below!

Pascal syntax examples
C++ syntax examples
Visual Basic syntax examples
SQL examples


Customizing the syntax highlighter
Return to Introduction
Even if your programming tool is not Delphi, C++ Builder or Visual Basic, you can use the most appropriate syntax parser. The font styles of the highlighter are customizable.

To customize the syntax highlighter

1 On the tool bar, click the drop down arrow of the syntax highlighter button.
2 From the pop-up menu, choose Customize.
The Customize syntax highlighting dialog gets displayed.

3 Choose the syntax parser you want to customize.
4 Select a syntax element from the list.
5 Change the font, if desired.


Pascal syntax examples
Return to Introduction
To create the following sample:

1 Copy a piece of source code from Borland Delphi into Help & Manual.
2 Selected the unformatted text.
3 Apply the Pascal syntax highlighting style.

{ Syntax Highlighting }

procedure TForm1.Button1Click(Sender: TObject);
var
  Number, I, X: Integer;
begin
  {$IFDEF WIN32}
  Number := 654321;
  {$ELSE}
  Number := 123456;
  {$ENDIF}
  Caption := 'The number is ' + IntToStr(Number);

  for I := 0 to Number do
  begin
    Inc(X);
    ListBox1.Items.Add(IntToStr(X));
  end;

  asm
    MOV AX, 1234H
    MOV Number, AX
  end;
end;


C++ syntax examples
Return to Introduction
To create the following sample:

1 Copy a piece of source code from Borland C++ Builder into Help & Manual.
2 Select the unformatted text.
3 Apply the C++ syntax highlighting style.

// Syntax Highlighting
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  Caption = "The number is " + IntToStr(i);

  int i = 123456;
  double d = 123.45;
  char c = 'a';

#ifdef FULLMOON

  asm
  {
     ASM MOV AX, 0x1234
     ASM MOV i, AX
  }
#endif


Visual Basic syntax examples
Return to Introduction
To create the following sample:

1 Copy a piece of source code from Visual Basic into Help & Manual.
2 Select the unformatted text.
3 Apply the Visual Basic syntax highlighting style.

'******** Visual Basic syntax highlighting example ********
'**********************************************************
Option Explicit

' User-defined type to store information about child forms
Type FormState
    Deleted As Integer
    Dirty As Integer
    Color As Long
End Type

Public Document() As New frmNotePad
Public gFindString As String
Public Const ThisApp = "MDINote"

Function AnyPadsLeft() As Integer
    Dim i As Integer        ' Counter variable

    ' Cycle through the document array.
    ' Return true if there is at least one open document.
    For i = 1 To UBound(Document)
        If Not FState(i).Deleted Then
            AnyPadsLeft = True
            Exit Function
        End If
    Next
End Function


SQL examples
Return to Introduction
select BUYERID, max(PRICE)
  from ANTIQUES
  group by BUYERID
  having PRICE 1000;

select BUYERID
  from ANTIQUES
  where PRICE > (select avg(PRICE) + 100 from ANTIQUES);

alter table ANTIQUES
  add (PRICE DECIMAL(8,2) null);

insert into ANTIQUES (BUYERID, SELLERID, ITEM)
  values (01, 21, 'Ottoman');

delete from ANTIQUES
  where ITEM = 'Ottoman'
  and BUYERID = 01
  and SELLERID = 21;

update ANTIQUES
  set PRICE = 500.00
  where ITEM = 'Chair';

create index OID_IDX on ANTIQUEOWNERS (OWNERID);

drop index OID_IDX;


Using text variables for changing content

Text Variables
Return to Introduction
Text variables are a great way to implement text information that may change over time and that you don't want to replace manually. It is best to insert a text variable into the topic and use a central repository to manage the values of the variable.

Text variables are mostly used inside topics but are not limited to the topic text. You can insert them in the TOC, in link captions as well as for keywords.

Help & Manual understands predefined variables and user defined variables. User defined variables are project dependent, which means that variables defined in one help project are not available to another help project.

See also
Predefined variable names
User defined variables

Using variables in topics
Using variables in the Table of Contents
Using variables in keywords
Using variables in HTML templates


Predefined variables
Return to Introduction
The following variables are predefined. Date and time variables are automatically updated, the title and copyright statements are defined in the Project Properties.

<TITLE> Represents the title of the help project
<COPYRIGHT> Represents the copyright statement of the help project
<CITATION> Citation for Winhelp files
<SELF> Represents name of the output (help) file without path and extension
<DATE> Represents the current date in short format
<DATELONG> Represents the current date in long format
<TIME> Represents the current time
<TIMELONG> Represents the current time in long format
<NOW> Date and time
<YEAR> This year in 4 digit format
<MONTHNAME> Long month name
<TOPICLASTEDITED> Date and time when the topic was last edited.

See also
User defined variables
Using variables in topics
Overloading variables for conditional output


User defined variables
Return to Introduction
In addition to the predefined variables you can define your own list of additional variables. There is no limit to the number of variables you create nor to the variable names.

To define your own variables:

1. Click Project | Properties
2. Expand the Common Properties section
3. Select Text Variables
4. Click Add to insert a new variable. Make sure that the variable name does not match one of the predefined variable names.

See also
Predefined variable names
Using variables in topics
Overloading variables for conditional output


Text variables in topics
Return to Introduction
Text variables are mostly used inside topics but are not limited to the topic text. You can insert them in the TOC and link captions, as well as in keywords.

To insert a text variable into the topic text

1. Place the cursor at the position where you want to insert the variable
2. Click Insert | Text Variable
3. In the selection dialog box select a variable from the list and click OK

See also
Using variables in the Table of Contents
Using variables in keywords
Using variables in HTML templates


Text variables in the Table of Contents
Return to Introduction
Text variables are mostly used inside topics but are not limited to the topic text. You can insert them in the TOC and link captions, as well as in keywords.

However, there is no selection entry box for variables in the TOC. You must enter them manually within the caption.

For example, you may want to include a variable in the TOC called "Welcome to .... (program name)". The program name could be replaced easily if you use a text variable instead of typing the name explicitly:

textvariabletoc

The figure above illustrates the use: simply type the variable name in brackets.
Make sure that the variable name is spelled correctly. If the syntax does not match an existing text variable - either pre-defined or user defined - Help & Manual ignores it.

See also
Disabling variables in the Table of Contents
Using variables in topics
Using variables in keywords
Using variables in HTML templates


Text variables in keywords
Return to Introduction
Text variables are mostly used inside topics but are not limited to the topic text. You can insert them in the TOC and link captions, as well as for keywords.

For variables used with keywords, however, there is no selection entry box. You must enter them manually in the keyword entry box:

textvariablekeyword

The figure above illustrates the use: simply type the variable name in brackets. Make sure that the variable name is spelled correctly. If the syntax does not match an existing text variable - either predefined or user defined - Help & Manual ignores it.

See also
Disabling variables in keywords
Using variables in topics
Using variables in HTML templates


Text variables in HTML templates

HTML Template Variables
Return to Introduction
You can use the following variables in html templates.

Variables for the Table of Contents template and for Topic template(s)

Keep in mind that you must insert variables within tags, an opening <% tag and a closing %> tag.

<%TOPICLASTEDITED%> Date when a topic was last edited
<%TITLE%> Title of the help project as defined in Project | Properties
<%COPYRIGHT%> Copyright notice
<%SELF%> Reference to the help project, e.g. "myhelp.chm" in HTML Help
<%DATE%> Today's date
<%DATELONG%> Date in long format
<%TIME%> Current time
<%TIMELONG%> Current time in long format
<%NOW%> Date and time
<%MONTHNAME%> This month in long format
<%YEAR%> This year

And additionally:

<%HREF_TOP_PAGE%> Link address of the top frame (e.g. "index.html")
<%HREF_DEFAULT_PAGE%> Link address of the "Default" topic
<%HREF_CONTENT_PAGE%> Link address of the table-of-contents-page
<%HREF_INDEX_PAGE%> Link address of the keyword-index-page

Variables for the Table of Contents template only

<%TABLE_OF_CONTENTS%> Entire table of contents

Variables for the Table of Keyword Index template only

<%KEYWORD_INDEX%> Entire keyword index

Variables for Topic templates only

<%TOPIC_HEADER%> Inserts the non-scrolling header of a topic, if any.
<%TOPIC_TEXT%> Inserts the body text of a topic. If you miss this variable, the html output will be empty.
<%TOPIC_HEADER_BGCOLOR%> html encoded color string that represents the background color of the topic header, if any.
<%TOPIC_TEXT_BGCOLOR%> html encoded color string that represents the body background of the topic.
<%TOPIC_TITLE%> Topic title (this is the caption of the topic in the Table of Contents).
<%TOPIC_KEYWORDS%> All keywords of a topic, separated by a comma.
<%TOPIC_AKEYWORDS%> All A-keywords of a topic, separated by a comma.
<%HREF_PREVIOUS_PAGE%> Link address of the previous topic (used for Previous/Next buttons).
<%HREF_NEXT_PAGE%> Link address of the next topic.
<%HREF_CURRENT_PAGE%> Link address of the current page.

Some of the topic variables also have corresponding output conditions.

See also:
Conditional output of HTML templates
Text variables overview


How to disable translation of text variables
Return to Introduction
Question: Why would you want to disable the automatic translation of text variables at all?

Answer: To document html source tags, XML tags or similar material which has the same syntax as the text variables in Help & Manual.

Since text variables are automatically replaced in the Table of Contents, keywords and links, you cannot use certain strings for topic captions and keywords. The expression "<TITLE>" for instance, is always replaced by the help project title, because this is a predefined variable that is valid anyway.

Trouble is, if you want to document the use of html tags and want to describe the "TITLE" tag, Help & Manual would unintentionally replace that string. To work around this problem, you can disable the translation of text variables for a help project.

To disable variable translation

1. Click Project | Properties
2. Expand the Common Properties section
3. Select Text Variables
4. Uncheck the option Translate text variables in the Table of Contents


Overloading variables for conditional output
Return to Introduction
For conditional output it may be necessary to overload text variables for with different values. Overloading text variables means: the text variables defined in your help project are temporarily changed for a particular compilation.

This is supported via command line parameters. You can start Help & Manual with command line parameters to automate the compilation of help files. For more information about supported command line parameters, please refer to Help & Manual command line options.


Testing your help project
Return to Introduction
It is absolutely necessary to test your help project before you deploy it with your application. In large help projects you quickly lose track, and bugs appear.

Despite invalid Winhelp macros, help file bugs are dead links, missing images and inappropriate keywords. Help & Manual has built-in tools to test your help project.

· Project reports
The reporting tool gives you an overview of the state of your help project

· Search a particular topic
Helps you find a topic by topic ID or help context

· Links
You can test links at design time

· Browse sequences
You can test browse sequences at design time

· Test keywords
The keyword finder builds a keyword index instantly


Use the built-in reporting tool
Return to Introduction
The built-in report tool creates a project report. You can use anything, from a short list to a full sized report with link tables, keyword list and image table.

Click Tools | Project Report to open the report dialog window.


Locate a specific topic
Return to Introduction
The project report lets you locate any topic quickly by its general context, there may be situations where you want to find a topic by topic ID or help context number. To find a topic:

To locate a specific topic:

1 Select Search | Find topic
The Goto topic dialog box is displayed.

2 Select the search criteria:

By topic ID: enter a topic ID and jump to that topic, if found
By help context number: enter a help context number and jump to that topic, if found


Testing links
Return to Introduction
You can test the functionality of a link during design time.

To test a link during design time:

do-it Simply double-click on the link.
Use the Back button from the toolbar to reverse the jump action.

See also
Test browse sequences


Testing browse sequences
Return to Introduction
A browse sequence is a list of topics in a certain order. Winhelp displays back and forward buttons to navigate through the list of topics. Help & Manual also displays the browse buttons at design time.

If the current topic is a member of a browse section, you can use the browse buttons to jump forward and back:

browsebuttonsdsgntime

To create a browse sequence

1. Click Project | Properties
2. Expand the Common Properties section
3. Select Browse Sequences
4. Create a browse sequence by dragging topics from the selection list


Testing keywords

Keyword Finder
Return to Introduction
The keyword finder is a testing tool that sorts all topics by keywords. This gives you a quick overview of what the keyword table will look like and helps you find duplicates or missing keywords.

To build the keyword list:

1. Click Search | Keyword Search
2. Click List Topics
3. Click on any of the keyword entries below to jump to the topic

Filtering keywords

The keyword finder provides filtering options to search for specific keywords. You can enter a string to filter keywords which only contain this string.

The match case option creates a case-sensitive keyword list. Keywords normally are not case sensitive. This option helps you to find those keywords which unintentionally do not start with a capital.

Regular keywords and A-keywords

The keyword finder can search regular topic keywords or associative A-keywords.


Compiling help files
Return to Introduction
Help & Manual creates all standard Windows help formats from the same single source. It integrates all the tools necessary to build

· HTML Help (.chm)
· Classic Winhelp (.hlp)
· Browser based help (html)
· Adobe Portable Document Format (PDF)
· Electronic books in Windows 32 bit executable format
· Rich text user manuals (in addition to the print manual function)

To start compilation, click Make on the tool bar:

tbfile

See also:
Pros and cons of the different help formats
Customizing the output


Make help file and run
Return to Introduction
To build a compiled help file, click the Make button on the tool bar:

tbfile

This dialog opens:

makedialog

See also:
Customizing the output


Pros and contras of the different help formats

Pros and cons of the different help formats
Return to Introduction
Help & Manual creates several different output formats so you may ask which format to use. There is no simple answer - each format has its advantages and disadvantages. Here is an overview of the capabilities and the typical use:

HTML Help

Standard Windows help file format for Windows 98 or later.

File extension: .chm
Platforms: Windows 32 bit, viewer is pre-installed in Windows 98 and later
Typical use: Application online help
Table of Contents: Yes, inside the .chm file
Keyword index: Yes
Full text search: Yes
Context sensitive help: Yes (context pop-up topics are limited to plain text)
User can print it: Limited print function: the help viewer can print topics and chapters but each topic is a separate page.

Pro: Single file that contains all topics, images and the Table of Contents. The major benefits of HTML Help over Classic Winhelp are the tree-pane viewer window with integrated Table of Contents and the possibilities to customize the layout of the (html) topic pages in Help & Manual.

Contra: The HTML Help viewer is not pre-installed on Windows 95 and NT 4. You may have to deploy the HTML Help redistributable. Viewer is based on a subset of MS Internet Explorer (takes longer to load than Classic Winhelp). .exe may be more difficult than with Classic Winhelp. pop-up windows - unlike Classic Winhelp - cannot contain formatted text.

Classic Winhelp

Standard Windows help file format since Windows 3.1, improved for Windows 95 and later. This file format is still widely used and supported by all Windows versions including Windows XP.

File extension: .hlp plus and additional .cnt file for the TOC
Platforms: Windows 32 bit
Typical use: Application online help
Table of Contents: Yes, separate .cnt file
Keyword index: Yes
Full text search: Yes
Context sensitive help: Yes
User can print it: No. The help viewer supports a print option for single topics only. Poor image print quality.

Pro: Compact file format with strong compression, includes all images in the .hlp file. Classic Winhelp is widely used and recognized by most users as help files (familiar look & feel). Supported by practically all Windows application development tools, simple to integrate into an application.

Contra: The navigation window (Table of Contents, keyword and full text search) is a separate window.

Browser based help (html)

Standard Internet file format. Platform and cross-browser compatible

File extension: .htm or .html, images in .jpg, .png or .gif format
Platforms: All major platforms.
Typical use: Online help on the web or intranet
Table of Contents: Yes
Keyword index: No
Full text search: No
Context sensitive help: No
User can print it: No. Most browsers support a print function for single topics only.

Pro: Platform and cross-browser compatible, can be distributed via the Internet.

Contra: The help system consists of dozens to hundreds single html files and images. Not appropriate for application help.

Help & Manual E-Books (MultiMedia Help)

Proprietary format of Help & Manual, combines viewer and data in one Windows .exe file.

File extension: .exe
Platforms: Windows 32 bit (Windows 95 or higher)
Typical use: CD rom catalogs, stand-alone documentation, electronic books
Table of Contents: Yes, inside the .exe file
Keyword index: Yes
Full text search: Yes
Context sensitive help: No
User can print it: No. The viewer supports a print function for single topics only.

Pro: Very similar to HTML Help but does not require installation of any additional files, even under Windows 95 and Windows NT 4. Password protection possible, several viewer skins.

Contra: Not appropriate for application help.

Adobe Portable Document Format (PDF)

Currently the "standard" format for print manuals that are distributed electronically.

File extension: .pdf
Platforms: All major platforms
Typical use: Print manuals distributed in electronic form, electronic books
Table of Contents: Yes, inside the PDF file
Keyword index: No, just page number references at the end of the document
Full text search: No
Context sensitive help: No
User can print it: Yes. The PDF format is ideal for printing.

Pro: Printer orientated format (particular page size with margins, headers, footers, etc.), highly customizable with Help & Manual via so-called manual templates.

Contra: Requires the (free) Adobe Acrobat viewer. On-screen readability is limited. Not appropriate for application help.

MS Word manual (rich text)

Provided for backward compatibility, but not longer maintained in Help & Manual.

File extension: .rtf or .doc
Platforms: Actually platform independent but optimized for MS Word
Typical use: Print manuals distributed in electronic form
Table of Contents: Page number references at the beginning of the document
Keyword index: page number references at the end of the document
Full text search: No
Context sensitive help: No
User can print it: Yes, with MS Word.

Pro: Can be viewed and printed with MS Word and other word processors that support the rich text format.

Contra: Very limited formatting options, bulky file format (file size!), images are external files.


Customizing the output
Return to Introduction
While the Make dialog box is pretty self-explanatory, there are some very powerful features which we touch on briefly.

Help & Manual has several settings that let you customize output. You can define help window position and color, full text search options, the html layout and even customize PDF files to an extent that most help tools do not allow.

All these output settings are set to default values when you create a new help project. So you get a respectable result with a neutral layout and capabilities that most users will find useful.

Frankly, modifying the layout is not as simple as writing help text. So please reserve some time to read ahead.

The Project Properties dialog

This is the central repository for all project dependent settings. Click here to get an overview.

HTML Export Layout

The HTML Layout section in the Project Properties dialog determines the format of all html based outputs (HTML Help, Browser based help, Multimedia help). Help & Manual uses html templates, this is html source code with placeholder variables for the content (topic text, links, images etc.). Find out more about these templates in Modifying the HTML layout.

PDF and print manual layout

Whether you create a PDF file or directly print a user manual, the internal print engine is responsible for both outputs. The print engine uses so-called print manual templates to format the text. These are separate files (extension .mnl). Click Tools | Print Manual Designer to edit manual templates.


Project Properties
Return to Introduction
The project properties dialog (available from the Project menu) organizes all project dependent options in a central repository. When you create a new help project, these options display the default values. The default language options are set to English.

The project properties dialog is divided into sections. The navigation tree on the left side of this window lets you switch between sections. Click on the plus in front of a section heading to expand it. If you make changes to a section, it is displayed in bold:

Available Sections:

Common Properties
Style Sheets
Help Windows
Winhelp (.hlp) Options
HTML Help (.chm) Options
HTML Layout
PDF Export
MS Word Export
Multimedia Help


Common Properties

(Section of the Project Properties dialog)
Return to Introduction
This property section contains settings that apply to all output formats or to the help project internally (design time settings).

Title and Copyright

Specifies the help project title, copyright, default topic and a brief project description for internal use.

Language and Character Set

Specifies language dependent options.

Help Context Numbers

Defines whether Help & Manual automatically assigns help context numbers when you create new topics. Help context numbers are used for context sensitive application help.

Image Folders

Specifies the search path for images. Help & Manual searches the folders in this list to find an image.

Browse Sequences

Defines optional browse sequences. A browse sequence is a set of topics in a row. In .hlp files, users can switch from one topic to the next using the browse buttons on the Winhelp tool bar.

Text Variables

Lets you define custom text variables.


Style Sheets

(Section of the Project Properties dialog)
Return to Introduction
This section defines font and paragraph styles that are used internally at design time. A style sheet may specify a font style or a paragraph formatting or both.

Font style
If a style sheet specifies a font, the font face, size and color is applied to the selected text when you use this style.

Paragraph formatting
If a style sheet specifies paragraph options, the alignment, indents and tab stops are applied to the selected lines when you use this style.

Two style sheets are predefined: Header Default and Text Default are automatically applied to the topic header and topic body when you create a new topic. You can add as many additional style sheets as you want.

Note
The style sheets are a kind of template. If you change a font style, this does not automatically change the appearance of the topics where you used this style for text formatting. Use the Find & Replace Font Styles function to change font styles in topics.


Help Windows

(Section of the Project Properties dialog)
Return to Introduction
Help windows apply to compiled help files (Winhelp, HTML Help). The help viewer opens in the main help window. Secondary help windows can be used to display topics in separate windows.

Main window

This is a predefined window which is always called Main. You can change the initial position and size as well as the background color. Additional window options such as available buttons depend on the format of the compiled help file. Winhelp and HTML Help files both have a Main help window but support slightly different features.

Secondary windows

It is sometimes useful to display help topics in a separate window. This means that the help topic is continually displayed on the screen while you navigate in the main help window.

pop-up Windows

The third help window type cannot be defined at all. Pop-up topics appear in a pop-up window. You create a pop-up topic by adding a topic to the Invisible Topics list and assign the window type pop-up. Pop-up help windows are automatically sized and positioned by the help viewer. Pop-up topics usually display context sensitive help.

This is what a pop-up topic looks like:


Winhelp Options

Winhelp (.hlp) Options

(Section of the Project Properties dialog)
Return to Introduction
This section contains settings related to Winhelp (.hlp) files only.

It defines the full text search options and lets you modify the compiler project file (.hpj) directly.


HTML Help Options

(Section of the Project Properties dialog)
Return to Introduction
This section contains settings that relate to HTML Help files only.

The HTML Help export shares many settings with Browser-based help. The topic layout, font and image translation options are defined in the HTML Layout section.

This section mainly defines how Help & Manual exports pop-up topics. pop-up topics are topics that appear in a small pop-up window. In Help & Manual you add these topics to the Invisible Topics list and assign the window type pop-up.

While Winhelp (.hlp) files allows formatted pop-up topics (including images and links), HTML Help does not support it. HTML Help only supports tiny text pop-ups.

So if you create HTML Help, what happens with the pop-ups?

Option 1: Help & Manual exports them as text pop-ups. Images, links, text formattings are removed.

Option 2: Help & Manual exports them as regular (html encoded) topics which appear in the main help window, not in a pop-up window.

Option 3: Help & Manual compiles two help files: the HTML Help file that includes regular topics and a separate .hlp file for the pop-ups only. This combines the advantages of both formats but you must ship two files. The pop-up topics may contain formatted text and images but no links.

See also
Context sensitive help
What you should know about pop-up topics
Customize help windows in the Windows section.


HTML Layout

HTML Export Layout

(Section of the Project Properties dialog)
Return to Introduction
The HTML Export Layout determines the formatting of all html based outputs. HTML based outputs are:

· HTML Help
· Browser Based Help
· Multimedia Help

Topic templates, font translation and image conversion options apply to all of the above outputs. Navigation and Table of Contents only applies to browser based help, because the compile help formats have their own navigation panel.

The design of the TOC and topic pages are based on html templates. An html template is a piece of html source code with place holders for headings, navigation buttons, content entries and topic text.

Help & Manual provides simple style editors that let you customize the html output. The style editor "writes" the underlying html template when you change settings. The style editors are rather limited, therefore to increase effectiveness in applying them, you can modify the html templates directly. This, however, requires html programming knowledge.

If you are not familiar with html programming, you can use the style editors and see how the template changes as you modify some settings.

See also:
Modifying the HTML Export layout


PDF Options

(Section of the Project Properties dialog)
Return to Introduction
The Adobe Portable Document Format (PDF) is a platform independent file format.

This output type is perfect if you want to ship manuals on CD rather than providing hard copies.

In comparison with Browser Based help which is also platform independent, PDF is printer orientated and has explicitly formatted pages. When Help & Manual creates PDF, it actually "prints" the topics to the PDF file in the same way it prints a user manual.

getacro

In order to view PDF files, you need Acrobat Reader from Adobe. This application can be downloaded for free for various platforms from the Adobe home page:
http://www.adobe.com/products/acrobat/

Adobe even allows you to distribute the free viewer with your application! Check out the distribution details on http://www.adobe.com/products/acrobat/distribute.html


MS Word Options

MS Word Export

(Section of the Project Properties dialog)
Return to Introduction
This output format creates a manual file in rich text (.rtf) format which can be opened with MS Word (or another text editor that can read rich text).

This output format was implemented for backward compatibility and the layout options are rather scanty. If you want to ship your user manual in electronic format, we recommend exporting it as PDF.


Multimedia Help

(Section of the Project Properties dialog)
Return to Introduction
Multimedia Help is a stand alone help viewer. The output is actually a small program, that includes a viewer and data.

The viewer runs on any 32 bit Windows version (not on Windows 3.1).

So it's great for CD presentations because you have a single compressed file - a program that you can run directly from CD - containing everything required to view it.

You can customize the look of the viewer with skins, also called viewer templates.

The Multimedia Help output is html based (internally) and shares topic layout options with Browser based help. You can customize the topic layout in the HTML Layout section.


Printing user manuals
Return to Introduction
Since version 1.0, Help & Manual not only creates help files but prints user manuals as well. Version 3, however, offers significant improvements in manual printing.

Help & Manual comes with a full featured print manual designer. This is a separate application that creates manual template files - the layout for the print engine.

Who really prints out manuals these days?

Even if you do not print out manuals you will want to use the opportunity to supply an electronic manual. The best format for user manuals is PDF. Pdf is printer oriented, and has a dedicated page layout. It is platform independent and widespread. The Adobe Acrobat Viewer (required to view PDF files) is a free download available for various platforms from the Adobe home page: http://www.adobe.com/products/acrobat/.

Print manual templates are used for direct printing and for PDF output. Help & Manual includes a built-in print engine for manual printing and PDF output. When you create a PDF file, Help & Manual literally "prints" the PDF.

See also:
Using manual templates
Modifying the print layout
The print dialog box


Using manual templates

Templates for PDF files and print manuals
Return to Introduction
A manual template is a separate file with the extension .mnl.

Help & Manual comes with a default manual template called Standard_Manual.mnl, located in the sub-folder .\Templates below the Help & Manual application folder.

Because manual templates are separate files, you can use one template for multiple help files. Manual templates support variables - placeholders for project specific settings like title, copyright, etc. This makes it easy to apply a corporate layout to all your user manuals.

Manual templates are responsible for print and PDF layout. Although you may use the same template file for both outputs, you can specify different templates for print and PDF.

Printed manuals: The manual template is specified in the print dialog box.

PDF files: The PDF template is specified in the project properties dialog in the PDF Layout section.

Unless you change these settings, Help & Manual automatically uses the standard manual template. Even if you are pleased with the layout of the standard template, you will at least want to replace our product logo on the cover page with your own logo.

See also:
Modifying manual templates
The print dialog box


Modifying manual templates
Return to Introduction
Help & Manual includes a separate application to design manual templates.

The manual designer is very similar to known visual report designers, except that it is optimized for print manuals. A print manual is divided into sections (cover page, Table of Contents, topics, etc.) which you can design separately. Refer to the online help of the manual designer for details.

Click Tools | Print Manual Designer to open the manual designer.


Print dialog box

First dialog page Second dialog page
Return to Introduction
The print dialog box appears when you click File | Print or File | Preview.

printdlg1

Printer

Select the printer you want to print to. The printer selection is even required for the print preview. Each printer has a different resolution. Therefore, printouts may vary when selecting another printer.

Please note that the page layout is defined in the manual template, not by the printer (see next page how both are combined). Help & Manual also changes the printer orientation, if necessary. The print resolution, paper bin and other options may be changed by clicking Printer.

Print Manual Template

The print manual template defines the layout of the user manual.

Include Options

Includes all topics that match one or more of the selected criteria.

Colored Text Options

You can choose whether or not to apply a green underline to hyperlinks. For black&white printers, select the Print all text black option.

See also:
Print dialog box - second page


Print dialog box (continued)

First dialog page Second dialog page
Return to Introduction
The second print dialog appears when you are really going to print a user manual. It defines how Help & Manual combines the page layout of the print manual template with the currently selected paper size of the printer.

printdlg2

Normal (size 1:1)

Prints one manual page on each printer page. The printer orientation is automatically adjusted, the manual page is printed in the top left corner. The actual paper size of the printer should be identical to the manual page size, or larger.

Centered on Printer Page

Identical to Normal, but centers the manual page horizontally and vertically. This applies only if the manual page size is different from the printer paper size. If your manual page size and the printer paper size are the same, you get a simple 1:1 copy.

Stretched to Printer Page

Resizes the manual pages to fit the printer paper size. The currently selected paper size (of the printer) applies! If the manual pages are smaller than the actual paper size, the pages are enlarged.

Booklet (2 Manual Pages per Printer Page)

Creates a booklet where two manual pages are printed side-by-side on one printer page. Before the printout starts, Help & Manual calculates the total number of pages and shifts the page order accordingly. Please note that the printer paper format must be large enough to fit two manual pages!

Draft Two Fold (2 Pages per Printer Page)

Draft print. Prints two manual pages per printer page, and resizes the manual pages to printer paper size.

Draft Four Fold (4 Pages per Printer Page)

Draft print. Prints four manual pages per printer page and resizes the manual pages to printer paper size.


Using more advanced features
Return to Introduction
Do you find Help & Manual simple and intuitive?
Well, that's the intention of the clean and self-explaining user interface. But there's a lot more!

Tools

This chapter tells you about additional tools which you only find in Help & Manual. Screen capture, image editing, project reports, just to name a few. Then we explain how to automate Help & Manual to compile a help project from the command line.

Templates

We further discuss templates - a highly stressed term here - for various purposes. Did you know that you can create topic templates which are automatically used when you insert a new topic? Follow this link to learn more!

HTML Layout

Modifying the layout of HTML Help and browser based help is another important issue. With some HTML coding skills, you can fully modify the layout of topic pages, table of contents and index to match the corporate identity of other public documents.

Modular Help

How to split large help projects, how to merge them at compile time or run time. This chapter goes into the details you need to know when more than one help author is involved in the work on your documentation.

Examples & Tutorials

Several example projects are installed on your computer, which especially explain HTML layout changes and modular help systems. Last, not least: the source code of this online help system is included as well. More about the examples in this chapter.


Tools included in Help & Manual
Return to Introduction
Help & Manual comes with several additional tools that aid you in help development. You find them in the Tools menu:

Screen Capture The screen capture function in Help & Manual includes the most important features of our popular T.N.T Screen Capture tool. It quickly takes screen shots from other applications and inserts them into your help project. To start the capture tool, choose Tools | Screen Capture from the menu.

Reports Project reports help you to determine the state of your help project, to find dead links, missing images and more. To start the report tool, choose Tools | Reports from the menu.

Impict Image Editor Help & Manual comes with a full featured image and screen shot editor called Impict! This image editor is especially designed to create, enhance and manage screen shots for help files. To start Impict, choose Tools | Impict Image Editor. Please refer to Impicts online help for more information.

Manual Designer The print manual designer is responsible for the layout of print manuals and for the PDF export. Help & Manual uses so-called "manual templates" to format the PDF and print output. Changing the template means you change the layout of your print documentation. The manual designer lets you edit the predefined templates and apply your own corporate layout. To start the manual designer, choose Tools | Print Manual Designer. Please refer to the online help of the manual designer for more information.

Help Context Tool Assigns, deletes, imports and exports help context numbers. To start the help context tool, choose Tools | Help Context Tool.

Repair Tool The repair tool analyzes and repairs help project files if needed. To start the repair tool, choose Tools | Repair and Recover from the menu.


Command line options for automation
Return to Introduction
You can partially automate the compilation of help files with command line options. Command line options are additional text parameters that you specify at start-up.

The most common parameter is the file name to open.

Example:

helpman.exe "c:\Documents\MyHelp.hm3"

starts Help & Manual and opens a specified project file. If the file name contains spaces, you must place the file name in quotes.

Additional parameters

With additional parameters, you may specify the output type to create. All additional parameters require the help project name specified as the very first parameter.

/hlp Compiles a 32 bit .hlp file
/chm Compiles an html Help file
/htm Creates browser based help
/pdf Creates a PDF file
/rtf Creates a manual file in rich text format
/mmh Creates a MultiMedia help file (exe format)

You may attach a file name to each of the parameters above to specify the output file (see examples at the end of this topic).

/noclose Does not close Help & Manual after compilation

/keeptemp Does not delete temporary files created during compilation. Help & Manual creates temporary files to compile .hlp and .chm files.

/L=<errorlogfile> Specifies the name of the error log file. The error log is a simple text file.

/I=<numeric value> Specifies the include options, similar to the include options in the Make dialog box. If you do not specify this value, the default include options are used. These are the include options used the last time you compiled this file type.

Each file type has a numeric value. To enable more than one include option, specify more than one value:

2 (reserved)
4 html Help
8 Winhelp (.hlp)
16 Browser based help
32 Print manual
64 PDF
128 MultiMedia Help
8192 Demo
16384 User 1
32768 User 2
65536 User 3

/V=<filename> Overloads text variables defined in the help project with values from an external file. This parameter is optional. <filename> specifies the name of a text file which contains variable values in the form of VARIABLENAME=VALUE. Text file example:

varoverloadsample

/Template=<filename> Specifies the name of the PDF manual template. This parameter is optional and only appropriate for PDF export. If you do not specify this parameter, the template that is specified for PDF output in Project Properties is used.

Examples

The following command line opens "MyHelp.hm3" and compiles a .hlp file from it:

helpman.exe "c:\Documents\MyHelp.hm3" /hlp

The same command line but the output file is explicitly specified:

helpman.exe "c:\Documents\MyHelp.hm3" /hlp="f:\help\CompiledHelp.hlp"

Output file names are relative to the help project file. So, if you omit the path, the output file will be created in the same folder as the source project file.

helpman.exe "c:\Documents\MyHelp.hm3" /hlp="CompiledHelp.hlp"

Include values must be specified after the output type. The command below compiles an html Help file, and includes all topics that are marked to be included in html Help (4), as well as all topics which are marked with DEMO (8192). The total include value is 4 + 8192 = 8196.

helpman.exe "c:\Documents\MyHelp.hm3" /chm="CompiledHelp.chm" /I=8196

The sample that creates a PDF file, includes all topics that are marked for PDF, and uses a different manual template. The template may be specified with a path as well. The file name is relative to the project file.

helpman.exe "c:\Documents\MyHelp.hm3" /pdf="UserManual.pdf" /I=64 /Template="MyHelp_template.mnl"

You can create multiple outputs by adding more parameters. All parameters are separated by blanks. The sample below compiles an html Help file first, then makes a PDF manual, both with the appropriate include options:

helpman.exe "c:\Documents\MyHelp.hm3" /chm="CompiledHelp.chm" /I=8192 /pdf="UserManual.pdf" /I=64

Reading parameters from an .ini file

The commands described above are processed in the order they appear. If you compile multiple outputs at once, it may be rather difficult to add all those parameters. If you include path names, the command line will be too long.

Alternatively, command line parameters can be read in from an .ini file, if specified as command line parameter. If you use an .ini file, you must follow the conventions below:

· The .ini file must have the file extension ".ini". This is a simple text file that can be edited with any text editor.
· The .ini file must be specified as the second command line parameter, just after the help project file name.
· The commands are the same but you may not put file names in quotes
· The slashes before each command may be omitted
· Separate each parameter by a line feed

Example:

helpman.exe "c:\Projects\MyProgram\helpsource\MyHelp.hm3" BatchCompile.ini

Commands in BatchCompile.ini:

chm=..\MyProgram.chm
I=4
htm=f:\data\Internet home page\help\index.html
I=16
pdf=..\User Manual.pdf
I=64
L=compilerlog.htm

What it does:

It opens the project file MyHelp.hm3 in the specified folder. The folder where the help project is located, is a subdirectory of the program source folder. We want to place the compiled help file in the program folder rather than in \Helpsource.

The first command compiles an html Help file and specifies the output file with MyProgram.chm. The output file will be placed in the parent directory (..\). The include option 4 applies to html Help.

The second command creates browser based help, and stores the output in a folder on the server. The include option 16 applies to browser based help.

The third command creates a user manual in PDF format. The PDF file is stored in the parent directory of the help project file. The include option 64 applies to PDF.

All compiler messages are saved to:
c:\Projects\MyProgram\helpsource\compilerlog.htm


Working with templates
Return to Introduction
When you read through this manual, you hear the word "template" quite often.

This chapter gives you a brief overview about the types of "templates" used in Help & Manual.

· Templates for new help projects
Can be used to create new help projects. This template is a simple .HM3 file, and empty.

· Templates for new topics
When you insert a new topic, you can specify a topic template that automatically displays some default text in a new topic.

· Manual templates
Define the layout of PDF files and printed manuals.

· HTML templates
Define the layout for all html based outputs.


Templates for new help projects
Return to Introduction
Template files can be used to create new help projects.

A Help & Manual project contains several project dependent settings such as font styles, language options and window definitions. When you create a new project, these options are reset to defaults. A template is supposed to change this behaviour.

A template is useful

· If you have designed a corporate layout that you want to use in every new help project you create.
· If you have written common help topics that you want to included into all your help projects.

What a template is

A template is nothing else than a Help & Manual project file. When you create a new help project, Help & Manual first creates an empty .HM3 file that includes default settings and default styles for all output formats. This is the built-in default template.

If you use another help project as a template, Help & Manual creates a new help project by simply making a copy of the template. The new help project then includes all topics and options from the template file.

To create a template file

1 From the File menu, choose New.
The New Project dialog box is displayed.
2 Select the first option: This is a new help project, then click Next.
3 Enter path and file name for the new help project that you want to create. This will become our template file.
4 For the template option, select radiobutton Use the built-in default template.
Click Next.

5 Do not enter headings in the Quick start entry box. Instead, delete the suggested entries to create a blank, empty help project.
Click Finish to create the project.
6 Modify the new empty help project as you want it. This project file can then be used as a template for other new projects.

Using a template to create a new project

In the New help project dialog box you get asked whether to use a template file for the new project or to use the built-in default template. The default template is discussed above. Alternatively, you can specify an existing Help & Manual project as the template.

Presumed that you have created a template file as shown in the figure above, you can now create a new project based on that template. Specify the template file in the New help project dialog box:


Templates for new topics
Return to Introduction
When you insert new topics, the topics are empty and contain the meaningless text "Enter topic text here...". Not very sophisticated indeed.

To fill new topics with your own default text (and your own layout), create a small rich text file, give it a certain name and place it in the folder of the help project.

To create a topic template

1. Insert a new topic, enter the default text and format it
2. Click Topics | Load/Save Topic | Save to File
3. Locate the folder of the current help project
4. For the file name, enter Template_Main.rtf or Template_popup.rtf
5. Click OK to save the file

Help & Manual automatically searches the project folder for these 2 template files. The file names relate to the window type of the topic.

When you insert a topic in the Table of Contents, it tries to load Template_Main.rtf because the default window type is Main. When you insert a topic in the Invisible Topics list, is searches for Template_popup.rtf, for the default window of the new topic is pop-up.


Templates for the html output
Return to Introduction
HTML templates are responsible for the layout of all html based outputs.

You define and modify html templates in the Project Properties dialog.

Direct modification of html templates requires html programming skills. If you are not familiar with html programming, use the built-in style editors to modify the layout.


Modifying the HTML and HTML Help layout
Return to Introduction
The html layout - which is responsible for all html based outputs - uses html templates. An html template is a piece of text that represents html source code. You edit the templates directly in the Project Properties dialog.

Help & Manual specifies different html templates for the Table of Contents and for topics. Topic templates are actually associated with help windows, so there are different layout options for each help window type.

While html templates allow a certain degree of freedom in designing, you need to be familiar with html programming and perhaps with Javascript.

htmltopictemplate

If you are not familiar with html programming, please use the integrated style editors in the Project Properties dialog to modify the html layout. This gives you less freedom in design, but is much safer because you can't access source code directly.

Next topics:
A foreword: if a HTML template does not work...


If an HTML template does not work...
Return to Introduction
When you modify html templates directly (not with the integrated style editors), Help & Manual does not verify the code. You alone are responsible for the code you write and if it does not work, it is not the fault of the application.

Test the output before you save

It is a good idea to test the output with a modified html template, before you save the help project.

When you click OK in the Project Properties dialog, the settings are stored temporarily. As long as you do not save the entire help project, you can always quit Help & Manual without saving and reopen the help project.

If it does not work as expected, reset to defaults

When your html template does not work as expected, switch back to the integrated style editor and click Reset Defaults. This resets the template to the built-in (and working) standard template. Your changes will be lost.


Template for the Table of Contents
Return to Introduction
This html template is only used for Browser based help. The HTML Help viewer uses its own interface and does not allow much customization.

Below is the source code of the default template for the Table of Contents.

Blue text indicates the style sheet which defines the text styles for the headings. The html tags SPAN.heading1 through SPAN.heading6 correspond to the levels of the Table of Contents. If your TOC has more than 6 levels, all subsequent levels use heading6 as the formatting style.

The second block of styles (green) defines the style for the same headings but highlighted. This is when a TOC entry has been selected. You will usually apply a different font color and a background to indicate the selection.

Red text indicates a placeholder for variable text. This section is rather simple to modify. A project variable is placed between tags, the initial tag <% and end tag %>. These are place holders for the actual data.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head></head>
<style type="text/css">
       SPAN.heading1 { font-family: Arial,Helvetica; font-weight:normal; font-size:1em; color: #000000; text-decoration:none }
       SPAN.heading2 { font-family: Arial,Helvetica; font-weight:normal; font-size:1em; color: #000000; text-decoration:none }
       SPAN.heading3 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.9em; color: #000000; text-decoration:none }
       SPAN.heading4 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.8em; color: #000000; text-decoration:none }
       SPAN.heading5 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.8em; color: #000000; text-decoration:none }
       SPAN.heading6 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.7em; color: #000000; text-decoration:none }

       SPAN.hilight1 { font-family: Arial,Helvetica; font-weight:normal; font-size:1em; color: #FFFFFF; background: #002682; text-decoration:none }
       SPAN.hilight2 { font-family: Arial,Helvetica; font-weight:normal; font-size:1em; color: #FFFFFF; background: #002682; text-decoration:none }
       SPAN.hilight3 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.9em; color: #FFFFFF; background: #002682; text-decoration:none }
       SPAN.hilight4 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.8em; color: #FFFFFF; background: #002682; text-decoration:none }
       SPAN.hilight5 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.8em; color: #FFFFFF; background: #002682; text-decoration:none }
       SPAN.hilight6 { font-family: Arial,Helvetica; font-weight:normal; font-size:0.7em; color: #FFFFFF; background: #002682; text-decoration:none }
</style>
<body bgcolor="#FFFFFF">
<font face="Arial,Helvetica" size="4"><b><%TITLE%></b></font><br>
<font face="Arial,Helvetica" size="2">
<a href="<%HREF_INDEX_PAGE%>">Keyword Index</a>
</font><br><br><br>

  <!-- Place holder for the TOC, do not delete the line below -->
  <%TABLE_OF_CONTENTS%>

  <br>
  <hr>
  <font face="Arial,Helvetica" size="1"><%COPYRIGHT%></font>
</body>
</html>


Template for the Keyword Index
Return to Introduction
This html template is only used for Browser based help. The HTML Help viewer uses its own interface and does not allow much customization. Below is the source code of the default template for the keyword index.

Blue text in the template indicates the style sheet which defines the text styles for the keyword index. There are four different styles:

SPAN.idxsection Specifies the font for the keyword sections (by default the letters A - Z)
SPAN.idxkeyword Specifies the font for a top-level keyword
SPAN.idxkeyword2 Specifies the font for a second-level keyword
SPAN.idxlink Specifies the font for a topic link (topic links are displayed in a small popup window)

Red text indicates a placeholder for variable text. This section is rather simple to modify. A project variable is placed between tags, the initial tag <% and end tag %>. These are place holders for the actual data:

<%HREF_CONTENT_PAGE%> Will be replaced by the link address of the Table of Contents. Such a link is required on the page of the keyword index to switch back (otherwise you are trapped in the keyword index page).

<%KEYWORD_INDEX%> Will be replaced by Help & Manual with the entire keyword index.

htmlayoutkwindex

The template source code:

<html>
<head></head>
<style type="text/css">
       SPAN.idxsection { font-family: Arial,Helvetica; font-weight: normal; font-size: 14pt; color: #000000; text-decoration: none }
       SPAN.idxkeyword { font-family: Arial,Helvetica; font-weight: normal; font-size: 10pt; color: #000000; text-decoration: none }
       SPAN.idxkeyword2 { font-family: Arial,Helvetica; font-weight: normal; font-size: 10pt; color: #000000; text-decoration: none }
       SPAN.idxlink { font-family: Arial,Helvetica; font-weight: normal; font-size: 8pt; color: #000000; text-decoration: none }

</style>
<body bgcolor="#FFFFFF">
<font face="Arial,Helvetica" size="4"><b>Keyword Index</b></font><br>
<font face="Arial,Helvetica" size="2">
<a href="<%HREF_CONTENT_PAGE%>">Table of Contents</a>
</font><br><br>

  <!-- Place holder for the index, do not delete the line below -->
  <%KEYWORD_INDEX%>

</body>
</html>


Template for Topic pages
Return to Introduction
Topic templates apply to all html based outputs: HTML Help, Browser-based help and Multimedia Help.

Below is the default topic template. It is used for regular topics as well as pop-up topics (if you export pop-ups in html format). Blue text indicates a include condition, red text indicates a variable.

What it does:

1. The header contains a Java script that redirects the browser to the index page if a topic is unintentionally displayed in the top frame. This is typically the case when a visitor found your site via a search engine. Since the script is embraced by a <IF_HTML> ... </IF_HTML> condition, the lines are only exported when you create browser-based help. The script is not included in HTML Help.

2. The template checks whether a topic has a non-scrolling header. This part of the template is embraced by a <IF_TOPIC_HEADER> ... </IF_TOPIC_HEADER> condition. If the topic has a header, the template generates a table with the background color of the topic header ("<%TOPIC_HEADER_BGCOLOR%>") and places the text of the topic header ("<%TOPIC_HEADER%>") therein. If a topic has a header, it adds navigation links (Top, Previous, Next). The Previous and Next links are again embraced by a condition. The condition <IF_PREVIOUS_PAGE> is false on the very first topic.
The rest of the template includes the topic body text and a small footer with copyright notice and the date when the topic was changed last time.

Refer to conditional output for a list of valid conditions and to template variables for a list of supported variables.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
   <title><%TOPIC_TITLE%></title>
   <meta name="generator" content="Help & Manual">
   <meta name="keywords" content="<%TOPIC_KEYWORDS%>">
</head>

<IF_HTML>
  <!-- Redirect browser to index page if page is not in the content frame.
       This script is only valid for regular HTML export -->
  <script language="JavaScript">
       <!--
           if(top.frames.length==0) top.location.href='<%HREF_TOP_PAGE%>?<%HREF_CURRENT_PAGE%>'
       //-->
  </script>
</IF_HTML>

<body bgcolor="<%TOPIC_TEXT_BGCOLOR%>">

<IF_TOPIC_HEADER>
<table width="100%" border="0" cellspacing="0" cellpadding="2" bgcolor="<%TOPIC_HEADER_BGCOLOR%>">
  <tr>
    <td align="left">
      <%TOPIC_HEADER%>
    </td>
    <td align="right">
     <font face="Arial" size="2">
     <IF_PREVIOUS_PAGE><a href="<%HREF_PREVIOUS_PAGE%>">Previous</a>&nbsp;</IF_PREVIOUS_PAGE>
     <a href="<%HREF_DEFAULT_PAGE%>">Top</a>&nbsp;
     <IF_NEXT_PAGE><a href="<%HREF_NEXT_PAGE%>">Next</a></IF_NEXT_PAGE>
     </font>
    </td>
  </tr>
</table>
<br><br>
</IF_TOPIC_HEADER>

<%TOPIC_TEXT%>

</body>
</html>


HTML Templates - conditional output
Return to Introduction
Html templates can be customized for different outputs. This actually only applies to topic templates, because the template for the Table of Contents is only used with browser based help.

Think of these conditions as proprietary html tags. You will use them to embrace some html code in your template which should be included conditionally. Each condition must have a corresponding end tag (</...).

Examples:

<IF_TOPIC_HEADER>
<font size="3">This text only appears in the topic
if the topic has a <b>non-scrolling header</b>.<br>
For pop-up topics which do not have a header,
this section is omitted.</font>
</IF_TOPIC_HEADER>

<IFNOT_PREVIOUS_PAGE>This is the very first topic.</IFNOT_PREVIOUS_PAGE>

<IF_NEXT_PAGE>
<a href="<%HREF_NEXT_PAGE%>">Click here to jump to the next topic</a>
</IF_NEXT_PAGE>

List of supported conditions

<IF_TOPIC_HEADER> True if a topic has a non-scrolling header and the header is not empty (variable <%TOPIC_HEADER%> is not "")
<IF_PREVIOUS_PAGE> True if a previous page is available (variable <%HREF_PREVIOUS_PAGE%> is not empty). This section is used to skip the "Previous" button on the very first topic.
<IF_NEXT_PAGE> True if a next page is available. This section is used to skip the "Next" button on the last topic.

<IF_HTML> True when you create Browser based help
<IF_CHM> True when you create HTML Help
<IF_MMH> True when you create MultiMedia Help
<IF_DEMO> True if the include option "DEMO" is activated, regardless of the output format.
<IF_USER1> True if the include option "USER1" is activated.
<IF_USER2> True if the include option "USER2" is activated.
<IF_USER3> True if the include option "USER3" is activated.

Each section also has a corresponding exclude-section which negates the meaning:

<IFNOT_TOPIC_HEADER>
<IFNOT_PREVIOUS_PAGE>
<IFNOT_NEXT_PAGE>
<IFNOT_HTML>
<IFNOT_CHM>
<IFNOT_HXS>
<IFNOT_MMH>
<IFNOT_DEMO>
<IFNOT_USER1>
<IFNOT_USER2>
<IFNOT_USER3>


Templates with external images
Return to Introduction
You can reference external images in html templates.

For regular html output and HTML Help, you may include .jpg, .gif and .png images, the MultiMedia Help format supports only .jpg and bitmaps.

If you refer to images in an html template, use relative path names. Best if you copy the original image into the same directory as the project file and omit the path. When Help & Manual parses the template, it resolves the image path, copies the image file to the destination output directory, and removes any path information from the template.

The following html tags are supported:

HTML Tag Value which contains a reference to an image

<BODY ...> BACKGROUND="imagename.jpg"
<IMG ...> SRC="imagename.jpg"
<TABLE ...> BACKGROUND="imagename.jpg"

Example

If you want to use a tiled image as the topic background, modify the topic template and include the "Background" value into the body tag (changes in red):

<html>
<head>
   <title><%TOPIC_TITLE%></title>
   <meta name="generator" content="Help & Manual">
   <meta name="keywords" content="<%TOPIC_KEYWORDS%>">
</head>

<IF_HTML>
  <!-- Redirect browser to index page if page is not in the content frame.
       This script is only valid for regular HTML export -->
  <script language="JavaScript">
       <!--
           if(top.frames.length==0) top.location.href='<%HREF_TOP_PAGE%>?<%HREF_CURRENT_PAGE%>'
       //-->
  </script>
</IF_HTML>

<body bgcolor="<%TOPIC_TEXT_BGCOLOR%>" background="mybackground.jpg">

<IF_TOPIC_HEADER>
<table width="100%" border="0" cellspacing="0" cellpadding="2" bgcolor="<%TOPIC_HEADER_BGCOLOR%>">
  <tr>
    <td align="left">
      <%TOPIC_HEADER%>
    </td>
    <td align="right">
     <font face="Arial" size="2">
     <a href="<%HREF_CONTENT_PAGE%>"><img src="myHomeButton.gif"></a>&nbsp;
     <IF_PREVIOUS_PAGE><a href="<%HREF_PREVIOUS_PAGE%>"><img src="myBackButton.gif"></a>&nbsp;</IF_PREVIOUS_PAGE>
     <IF_NEXT_PAGE><a href="<%HREF_NEXT_PAGE%>"><img src="myNextButton.gif"></a></IF_NEXT_PAGE>
     </font>
    </td>
  </tr>
</table>
<br><br>
</IF_TOPIC_HEADER>

<%TOPIC_TEXT%>

<hr>
<font face="Helvetica,Arial" size="1">
Last edited: <%TOPICLASTEDITED%><br>
<%COPYRIGHT%>
</font>

</body>
</html>


Modular help systems
Return to Introduction
A modular help system is a help system that consists of more than one help project.

This has two advantages:

1. You can split a help project into several parts and the child projects can be edited simultaneously by more than one person.

2. You can re-use parts of your documentation and avoid redundancy.

The following screen shots were taken from the Modular Help example which ships with Help & Manual. You find these files in the \Samples folder beneath the application folder of Help & Manual. This example consists of 3 files:

Master.hm3 The master file
Module_A.hm3 Child file
Module_B.hm3 Child file

A child help project is simply another Help & Manual project (a separate .hm3 file).

To insert a child project into a master file, add a new entry in the Table of Contents and choose the option to include a child project. The child entry appears as a blue book as shown in the screen shot below. The blue book is a placeholder for the child:

See also:
Two merge methods with different purpose


Two merge methods with different purpose
Return to Introduction
Help & Manual supports two merge methods which actually have a very different purpose.

1. Run time merging

Creates a true modular help system that consists of two or more compiled help files. This facility is built-in to the Windows help viewer: if a (compiled) child file is present at run time, it gets seamlessly integrated into the master help. If it is not present, the help viewer omits it.

Run-time merging works with Classic 32 bit Winhelp (.hlp) as well as with HTML Help (.chm). Other outputs such as PDF always merge child projects at compile time because these formats to not allow run-time merging.

You must compile the child files separately - Help & Manual does not automatically do that when you compile the master help. It is further required that all compiled help files are located in the same folder (on the users computer).

Run-time merging in details

2. Compile time merging

This method creates one big help file that includes all child projects. The advantage is that you can split the help sources into several files while you still get a single compiled help file that includes all topics.

Help & Manual automatically merges the child projects and compiles it. You do not have to compile them separately.

Compile time merging in details


Run time merging of child files
Return to Introduction
The screen shots below illustrate run-time merging. We are using the three example projects (master.hm3, module_A.hm3 and module_B.hm3).

In the first figure we compiled the master file only. If we open this help file, the HTML Help viewer only displays those entries which are present in the master file. No child entries are displayed, because they are not present as compiled .chm:

In the second figure we also compiled the child projects Module_A and Module_B. You must compile the child projects separately - Help & Manual does not automatically do that.

Now there are 3 compiled .chm files in the same folder. If you open the file Master.chm, the child entries are displayed because the HTML Help viewer finds the compiled .chm files in the same folder:

See also:
Compile time merging of child files
Choosing the desired merge method


Compile time merging of child files
Return to Introduction
In contrast to run-time merging, compile time merging always creates just one compiled help file. The compiled help file includes all the topics of the master and the child projects.

Advantages of compile time merging

· You only get 1 compiled help file although you are still able to split the sources.
· All topics are in the same help file, no fuzz with context sensitive help.

Disadvantages of compile time merging

· Since all topics are in the same help file, you have to take care that all topic IDs are unique! The same goes for help context numbers.
· You only get 1 compiled help file, so you cannot distribute the help in "modules".

See also:
Merging of invisible topics
Choosing the desired merge method
Design considerations


Merging of invisible topics
Return to Introduction
Invisible topics are topics that are not listed in the Table of Contents.

When you use run-time merging, you compile the child help files separately and invisible topics defined in the child project will be automatically included in that help file.

Compile-time merging, on the contrary, works differently.

The topics which are merged depends entirely on where you place the reference to the child in the master project.

· If you include a child project in the TOC, Help & Manual includes the child project TOC in the master. Invisible topics of the child are not merged automatically.

· If you include a child project in the list of invisible topics, Help & Manual includes the child project invisible topics in the master help. The Table of Contents is not merged automatically.

· To include the child project TOC and invisible topics, insert two references: one in the TOC (where you want the child TOC to be included) and a second in the list of invisible topics (actually does not matter where since the topics are invisible).


Choosing the desired merge method
Return to Introduction
The merge method - either run time or compile time merging - applies to all child projects that are referenced by a help project. This means you cannot include one child project at compile time and a second child at run time.

To choose the desired merge option

1. Click Project | Properties
2. Switch to the section for the help type you want to create (Classic Winhelp or HTML Help) and choose the "Modular options" entry.

Help & Manual supports separate merge options for .hlp (Winhelp) and .chm (HTML Help) files. Other output types do not support run-time merging, so there is no option.

See also:
Design considerations


Design considerations
Return to Introduction
The design of a modular help system affects the design of an application as well; especially context sensitive help.

Run-time merging

· The big advantage of run-time merging is that you get a true, modular help system. If your application is modular (this is, it consists of several sub-programs that may or may not be installed, depending on the modules included), the help system may be modular as well. The benefit is that the online help module is only visible when the help file (and the application module) is installed. Thus, help topics that are irrelevant to the user, are not displayed.

· Run-time merging creates a dynamic help system that displays only those modules which are actually installed.

· Remember that topics (and pop-up topics / invisible topics as well) are located in separate, compiled help files. When your application attempts to call context sensitive help, you must call the correct (module) help file!

Compile-time merging

· As there is only one compiled help file, compile time merging works as if you created the help file from a single help project. All topics and help context numbers are located in the same help file, so it is simpler to call context sensitive help.

· The disadvantage is that you must ensure that all topic IDs and help context numbers are unique! Not only within the master project or module, but across all modules.

· Before you start writing a modular help system that will be merged at compile time, think of naming conventions for topic IDs, and reserve a range of unique help context numbers for each module.


Example help projects
Return to Introduction
When you installed Help & Manual on this computer, the setup program created a "\Samples" folder beneath the application folder.

All example projects are ready to compile. Depending on their purpose, not all work with all output formats. Please open the sample files and refer to the introduction topic of each sample ("About this example project").

The following examples are currently available:

Conditional output
DHTML examples
Modular help systems
MSDN style browser help

And finally the biggest example of all:

The source of Help & Manuals online help


MSDN style browser help (example)
Return to Introduction
Create browser based help that looks similar to MSDN online help.

Location:
\Program files\Helpman3\Samples\MSDN-Style_BrowserHelp

Level:
Beginner

Topics covered:
· How to change the layout of Browser based help
· Using images in topic headers (similar to this help file)


Modular help systems (example)
Return to Introduction
Use multiple help projects to create modular help systems.

Location:
\Program files\Helpman3\Samples\Modular_Helpsystems

Level:
Intermediate

Topics covered:
· How to use multiple help projects and combine them
· How to create true modular help

Note:
Modular help systems are described in detail in the chapter Modular help systems. The chapter refers to the example files.


Conditional output (example)
Return to Introduction
This example file discusses the conditional output feature.

Location:
\Program files\Helpman3\Samples\Conditional Output

Level:
Advanced

Topics covered:
· How to use include options for topics
· Conditional text (include options on text level)
· Conditional output and modular help systems
· Text variables - different values for different outputs


Dynamic HTML Help (example)
Return to Introduction
In-depth discussion of advanced HTML Help techniques using dynamic html.

Location:
\Program files\Helpman3\Samples\DHMTL-Examples

Level:
Advanced (requires html knowledge)

Topics covered:
· How to create HTML Help topics that can expand and collapse
· How to create a non-scrolling topic header


Help & Manual online help source
Return to Introduction
This is the source of this help file which you can open and recompile with Help & Manual.

Location:
\Program files\Helpman3\HelpSource

Level:
All levels

Topics covered:
· Everything you see in this help file
· HTML Help with a non-scrolling header and mouse-over effects
· Integrated help for the web (see: http://www.ec-software.com/helphtml/)


Reference & Frequently asked questions
Return to Introduction
The most frequently asked questions from our support statistics:

We separated them into general, design time related and output related questions. Most topics in this section are duplicated, but proved to be hard to find in the online help.

If you face a problem in Help & Manual or ask yourself "how do I do this or that...", please take a moment and categorize your question: is it related to a particular help format (e.g. is the text in Help & Manual not identical with the compiled HTML Help file) or is it a general "how-to-accomplish" question.


How to integrate a help file into my application?

How can I integrate a help file in my application?
Return to Introduction
Help & Manual creates standard Windows help files, either classic Winhelp (.hlp) or HTML Help (.chm). Integrating a compiled help file in a Windows application depends on the development tool you used for the application.

Our home page supports tutorials for:

· Borland Delphi
· Visual Basic
· C++
· Visual Objects

Link to the tutorials page:
http://www.ec-software.com/tutorial.htm


Additional dictionaries for the spell checker
Return to Introduction
Help & Manual uses the spell checker from Addictive Software. This is a 3rd-party tool.

We did not create the dictionaries for the spell checker and we cannot create dictionaries for other languages.

Help & Manual ships with dictionaries for American and British English. However, you can download several, additional dictionaries directly from the Addict home page.

Download link:
http://www.addictivesoftware.com/dicts-extern.htm

Please check the download link above for updated or new dictionaries. When this version of Help & Manual ships, the following dictionaries are available.

Languages:

Afrikaans, American English, Australian English, Brazilian Portuguese,
British English, Czech, Danish, Dutch, Finnish, French, German (Old style), German (New style), Italian, Norwegian, Polish, Portuguese, Russian, Spanish, Swedish.

Specialized Dictionaries:

Technical, Medical, Legal, Latin, Italian Medical, Russian Scientific

Installation of additional dictionaries

1. Download the dictionary file. This is a zip archive.
2. Unzip the archive and copy the .ADM file into the .\Dictionaries folder of Help & Manual
3. Click Tools | Spell check | Config to enable the new dictionary


Help compilers to download
Return to Introduction
Like all help authoring tools on the market, Help & Manual uses Microsoft help compilers to turn output into a compiled help file. All help compilers can be freely downloaded from the Microsoft home page.

Because they are hard to find on the Microsoft site, we placed a copy of the most recent versions on our home page.

Download link:
http://www.ec-software.com/reshelp.htm

Three different help compilers are available:

· HCP - 16 bit help compiler
This is a command line tool for Windows 3.1. When you create help files for Windows 3.1 you need this compiler.

· Microsoft Help Workshop
This is a 32 bit Windows application, required to compile .hlp files for Windows 95 or later. The Microsoft Help Workshop also includes extended documentation about Winhelp Macros.

· Microsoft HTML Help Workshop
This is a 32 bit Windows application, required to compile HTML Help (.chm) files.


Design time problems
Return to Introduction
Questions answered in this section relate to design time problems - that is everything which is not related to a particular output format.

Topics covered:

· Recovering projects after a crash
· Text formatting
· and more


Recovering a project after crash
Return to Introduction
Your computer crashes, freezes or simply restarts after a power failure?
Three hours of work are lost! And because bad news often come in pairs, the original help project file is damaged as well, so you lost everything...

Not necessarily. Not at all! When you work on a help project, you always work on a temporary copy of the project file. The temporary file is created before you start editing and deleted after the original project file has been successfully saved.

So there is always at least one copy of the project file which works. Either the original project file or the temporary file. The latter is what you can try to recover in case of a crash.

How to find the temporary project file?

The temporary files are stored by default in the folder designated for temporary files. For instance "c:\Windows\Temp".

The easiest way to find temporary files created by Help & Manual is to search your hard disk. Start your search on drive C: and search for the file name pattern "hmd*.tmp". If the search finds more than one, find out which is the most recent file.

How to recover a temporary file?

Armed with this information, you can run the repair function on the temporary file. In Help & Manual, click Tools | Repair & Recover.

In the repair dialog box, locate the temporary file (e.g. "hmd542.tmp"), then click Start to recover it.

Help & Manual will create a file with the same name on the same location, just with the extension ".hm3". Open the file, check the recent changes you made, and save it under the correct name.


Unnumbered list with custom bullets
Return to Introduction
An unnumbered (often called a 'bulleted') list can easily be created by applying the bullet text style from the format toolbar.

To create a bulleted list

1 Enter a couple of lines, terminate each line that should get a bullet by a hard return.
2 Select all the lines of this text.
3 On the Format toolbar, click the bullet button.

Example:

· This is a simple unnumbered list
· with two lines

While this type of unnumbered list is very simple to implement, you may want to use custom bullets for your list. This requires a little bit more work but the task is quite similar. The key to an unnumbered list (or a numbered list) is the indentation. If you point the caret to a paragraph that is formatted with bullets, you will notice that this paragraph has a certain indentation (visible on the ruler). The indents look like this:

The figure above shows a left indent set to 0" and an extra indent at 0.2". Also, there is an accompanying tab stop exactly at 0.2". The extra indent creates "hanging" lines. In other words, if a line exceeds the width of the help window, the text is continued on a second and third line, but with an extra indentation applied to the second and all subsequent lines.
The first line starts flush left - this is where you place the bullet. The tab stop is required to define the starting point for the actual text of the first line.
Since the tab stop and the extra indent are identical, the first line and all subsequent lines start exactly at the same position, which results in a properly formatted block.

To create an unnumbered list with custom bullets

1 Enter a new line.
2 Insert the bullet you want to use.
To use a font symbol for the bullet, choose Special Character from the Insert menu, and select the desired symbol.
To use a bitmap, choose Image from the Insert menu, and select the desired bitmap.
3 Proceed with the rest of your list as described above. Do not insert hard line breaks in between, even if the automatic word break function seems to be inappropriate.
4 Select all the lines of the numbered list in the text.
5 From the text ruler, apply an indentation of 0" for the left indent and (approximately.) 0.2" for the extra indent. Help & Manual automatically sets an appropriate tab stop along with the extra indent.

Example:

onestep This is an unnumbered list that uses custom bullets (in this case the built-in image onestep.bmp). The first line is long enough to break into two or more lines.
onestep This is the second line. Note: there is exactly one tab stop and no space character between the image and the word This.
onestep The left indent of this list is set to 0.3" which creates the general indent. The extra indent is set to 0.1" (which is relative to the left indent). This extra indent together with an accompanying tab stop creates the gap between the arrow and the text of each line.


Topic editing is very slow
Return to Introduction
Problem

Do you experience the following problems?

· Help & Manual is very slow when moving from topic to topic
· It takes several seconds to load a topic
· When you make a change, there is a notable delay
· The .hm3 project file is very large

Cause

The reason for these problems is most likely the size of your topics resp. OLE objects that are embedded in the text. You may have copied an image incuding text from MS Word for instance. This automatically makes the image an embedded OLE object.

Embedded OLE objects are a standard Windows feature but storage in help topics takes a lot of space which may cause significant delays when you load, save and edit the topic.
problemembeddedimages

Solution

Convert these embedded objects to images. Help & Manual has an explicit function for that:

1 Right-click on the image object
2 From the popup menu, choose Convert Image
3 In the save dialog that pops up, enter the desired file name


How to jump from an image to a topic in another file.
Return to Introduction
This is not explicitly supported by Help & Manual. But there is a workaround:

1. Use the IPP image format
2. Insert a hotspot
3. Don't use the Link hotspot type, use Macro instead
4. Enter the Winhelp macro as shown below for .hlp files and/or enter the appropriate HTML Help data for .chm files:

imagejumpanchorexternal

Winhelp remarks

If you compile a .hlp file, the Winhelp macro is used.

HTML Help remarks

If you compile a HTML Help file, the alternative HTML Help data is used. This text is inserted into the HTML file between the quotation marks of the href= tag.

Example:
(Text in red is what you enter as html data in the hotspot dialog box.)

<map name="MYIMAGE">
  <area shape="rect" coords="13,22,194,43"
    href="OtherHelp.chm::/TopicID.htm#AnchorID">
</map>
<img src="myimage.png" width="195" height="47" border="0"
ismap usemap="#MYIMAGE">


Html and HTML Help related questions
Return to Introduction
Questions answered in this section relate to html and HTML Help and particular problems of the Microsoft HTML Help compiler.

Topics covered:

· Text conversion problems H&M editor -> HTML
· HTML Help compiler problems
· HTML Help errors
· HTML topic layout
· and more


Tab stops do not appear in HTML Help
Return to Introduction
Most browsers do not support tab stops at all. Help & Manual translates tab stops into a couple of non-breaking-spaces ("&nbsp;") to create some distance to the preceding text.

If you need accurate tab stops to format a code example, use indents or use a fixed spaced font and create indents with spaces. The following examples illustrate this.

This block uses Arial, a font with variable character width. To create an accurate indent, you cannot use spaces. Instead change the indents on the ruler.

This line is indented by 0.5 inch.
This line is indented by 1 inch.
0.5 inch again.
No indentation.

This block uses Courier, a fixed spaced font
    This line is indented by 4 characters
        This line is indented by 8 characters
    4 characters again
No indentation


Text formatted with Courier does not wrap
Return to Introduction
Problem

Topic text formatted with Courier and Courier New font does not wrap to the next line.

Cause

This is intentional. These fixed spaced fonts are used for source code documentation. Help & Manual exports this text with non-breaking spaces to avoid unwanted line wrapping in code examples. By default. But you can freely select the font(s).

Solution

Change the list for code-example fonts:

1. Click Project | Properties
2. Choose HTML Export Layout
3. Choose Font Translation
4. Remove the font the Special Fonts list


Full text search does not work
Return to Introduction
Problem

You compile an HTML Help file, but full text search does not work, even though the Search tab is available and enabled in the compiled help.

Cause

Presuming that you have enabled the full text search option in Help & Manual (Project | Properties -> Windows), this is probably an installation problem in Microsoft HTML Help Workshop.

Solution

· Uninstall Microsoft HTML Help Workshop
· Download the latest version from our home page: http://www.ec-software.com/reshelp.htm
· Reinstall this application under administrator rights


HELP file pops up error messages
Return to Introduction
Problem:

Your compiled HTML Help file displays an error message like the message below. This only occurs on particular Windows versions, not all.

hhactivexerror

Solution:

This error is due to an incomplete installation of Microsoft Internet Explorer. Details for this error can be found on http://support.microsoft.com/default.aspx?scid=kb;EN-US;q235653. Here is an excerpt of the solution:

CAUSE

This issue can occur if the Comcat.dll file is damaged or is the wrong version number.

RESOLUTION

To resolve this issue, unregister the Comcat..dll file by using the Regsvr32.exe utility with the /u switch as in the following example:

regsvr32 /u C:\winnt\system32\comcat..dll

and rename the Comcat..dll file in the %SystemRoot%\System32 folder.

After you unregister the Comcat..dll file, reinstall Internet Explorer.
For information about how to rename a file, click Start, click Help, click the Index tab, type renaming, and then double-click the "Renaming files" topic.
If you remove Internet Explorer before you reinstall it, be sure to rename the Comcat..dll file after removing Internet Explorer.


How do I create a link to an external file (for example: PDF)?
Return to Introduction
Problem

You would like to supply additional external files with your help file that are referred to by a link.

Solution

Use a macro to accomplish this. Although Winhelp macros are specific to .hlp files and not HTML Help, Help & Manual translates all macros to their HTML Help equivalent, if possible. The macro you need for a file link is ExecFile().

Example

problemchmexecfile

This macro assumes that the file MyPDFtutorial.pdf is in the same folder as the compiled html Help file.


Topic links to external .chm files
Return to Introduction
How do you link to a topic in an external HTML Help file, perhaps a file that was not even created with Help & Manual?

Problem

If you insert an external topic link, you usually just specify the topic ID without an extension. During export, Help & Manual automatically verifies the target ID and adds the extension '.htm' (and the default extension specified in Project Properties).

This works well as long as both help files - the current and the external file that you link to - are created with Help & Manual, because the same rules apply to topic IDs and extensions. If the external HTML Help file was not made with Help & Manual, it may be that Help & Manual topic ID "validation" produces a link that does not match the topic ID in the external file.

Solution

1. Specify the external file with extension .chm (not .hm3)
2. For the target link, enter the exexactopic ID including the .htm or .html extension

chmexternaltopiclink


How do I change the Previous/Next links?
Return to Introduction
The navigation buttons that Help & Manual inserts in HTML Help are plain English text by default. You can change the text as well as you can alternatively use images.

problemchmheader

To change the navigation buttons

1. Choose Project | Properties
2. Click HTML Export Layout
3. Click Topic Pages
4. The navigation buttons grid provides 3 entries for Main / Previous / Next

problemchmnavbuttons


How to change the help window title
Return to Introduction
The window title of your HTML Help file is defined in the help window.

1. Click Project|Properties and select the Windows section.
2. Choose the Main help window and change the title

However, there is a known problem with HTML Help. Non-English help files always display the title string "HTML Help" on English Windows versions. There is no workaround known.

problemchmfalsetitle
German help file on an English Windows
version always displays "HTML Help"


How to remove the image hints in HTML Help
Return to Introduction
If you find these image hints annoying (see screen shot below), you can simply turn them off.

1. Click Project|Properties
2. Select HTML Export Layout, then choose Image Conversion
3. Uncheck the option "Export image file name as image hint"

Example for an image hint:

problemchmimagehint


Pop-up topics in HTML Help are plain text!
Return to Introduction
Problem

Pop-up topics in HTML Help are missing the text format, and images and links do not appear:

winhelpvshtmlhelp

Cause

While .hlp files support rich text pop-up topics, HTML Help does not.

Solution

None. This is a general limitation of HTML Help.


How to create a non-scrolling header.
Return to Introduction
A frequently asked question is how to create a non-scrolling header such as in the online help of Help & Manual.

problemchmheader

This is accomplished with two style sheets, a Java script and additional external files. The whole procedure, its advantages and disadvantages, are explained in the DHTML example project.


Can I modify the HTML sources before compilation?
Return to Introduction
When you create a compiled HTML Help file with Help & Manual, you get the final .chm file but not the sources. What if you need to modify the html source files before the file is compiled?

Help & Manual creates temporary files for HTML Help compilation. These temporary files are stored in the temporary folder .\~tmphtml beneath the project folder. The temporary folder and its files are automatically deleted when the compilation is done.

To prevent Help & Manual from deleting the temporary files, uncheck the Delete Temporary Files option in the Make dialog box.

makedontdeltemp


Custom icons for my help file - possible or not?
Return to Introduction
Problem

Help & Manual provides 42 predefined icons that can be used in HTML Help to illustrate the meaning of an entry in the Table of Contents. You cannot change these icons to a custom icon set.

Cause

This is a bug in the HTML Help viewer.

Solution

None - this is unfortunately not possible. Although the Microsoft HTML Help Workshop documentation suggests that these default icons could be replaced by a custom icon strip, this feature never worked in HTML Help.

A custom icon strip can be referenced in the Table of Contents (the .hhc file). But if you experiment with HTML Help Workshop, you will discover that the help compiler requires an absolute path to the icon strip file to display it correctly. This restriction is unacceptable if you distribute your help file to customers.


Help file crashes if a # is included in the path
Return to Introduction
If your HTML Help file is installed in a folder that includes a # in path or file name, the help files does not work. It does not display help topics or even crashes.

This is a known problem of Microsoft HTML Help.
Don't use # in filenames.
# is reserved to specify a bookmark in an URL.


How to call a .chm file from the command line
Return to Introduction
How to call an HTML Help file directly, not calling it from an application

You simply start (open) the help file itself or you execute the HTML Help viewer with the help file as the first parameter:

HH "myhelp.chm"

HH.EXE is the executable of HTML Help. It should be located in your Windows directory and therefore be found without a path name specified.

Examples:

HH "myhelp.chm::/requestedtopic.htm"

Opens the file myhelp.chm and displays the topic requestedtopic.htm. The "::/" in the parameter separates the requested topic (the html file name in the internal structure of the .chm file).

HH "myhelp.chm::/requestedtopic.htm#paragraph2"

Opens the file myhelp.chm and displays the topic requestedtopic.htm and jumps to the topic anchor paragraph2.

HH -mapid 123456 myhelp.chm

Opens the file myhelp.com and displays a topic referring to its help context number.


Our programmer needs a list of help context numbers...
Return to Introduction
Problem

Our programmer needs a list of help context numbers so he can link the correct help topic to the right function within our program.

Solution

When you compile a help file, Help & Manual creates a separate map file that contains a list of topic IDs and their associated help context numbers. This file is part of the temporary files that are automatically deleted after compilation.

To get your hands on this file, uncheck the option Delete temporary files in the Make dialog box.

For HTML Help, the file <Projectname>.hm contains the help context number list, this file is located in the temporary folder ~tmphtml beneath the project folder.

For Winhelp (.hlp), the file ~<Projectname>.hm contains the help context number list - you find this file in the project folder.


Winhelp (.hlp) related questions
Return to Introduction
Questions answered in this section relate to Classic Winhelp and particular problems of the Microsoft Winhelp compiler.

Topics covered:

· Winhelp bugs and compiler errors
· Limitations of HLP files
· and more


Table of Contents is missing
Return to Introduction
Problem

Your help file was successfully compiled but if you open the .hlp, the Table of Contents does not appear.

Cause

You have probably forgotten to support the content file of your help. A .hlp file actually consists of two files - the .hlp and the .cnt which contains the Table of Contents.

Solution

You must deploy both files and place both in the same folder.


Chapters with text are duplicate
Return to Introduction
Problem

Chapters with text are duplicated in the Table of Contents of a .hlp file.

Cause

This is a limitation of the Winhelp viewer which only distinguishes between chapters (without text) and topics (with text).

Solution

None. If you create a chapter with text, Help & Manual first exports the chapter heading, and then a topic with the same caption.


The neat icons are ignored by the help viewer
Return to Introduction
Problem

The icons you assigned to entries in table of content in Help & Manual are not displayed in the Winhelp viewer.

Cause

This is a limitation of the HLP viewer.

Solution

None. The icons are reserved for HTML Help.


Topics in the Table of Contents disappear
Return to Introduction
Problem

If you create a content structure as shown below, the last topic does not appear in the Table of Contents of the compiled .hlp file. Instead, it is displayed as the last topic under the previous chapter.

contenttreeproblem

Cause

This is a bug in the Winhelp viewer.

Solution

None. We found a workaround for topics that are not top-level topics (Help & Manual applies this fix automatically if you export a .hlp file) but there is unfortunately no workaround if a single topic is at the very first level.


Keywords are not properly sorted
Return to Introduction
In Winhelp you can define second-level keywords by separating the secondary keyword from the main keyword with a comma (,). However, the main keyword must be defined as a separate keyword.

keywordwrong
Winhelp does not recognize Creating as a second-level keyword

What's wrong? The main keyword Messages is not defined separately. To get a proper result, add the keyword Messages as an extra keyword:

keywordright
Properly sorted keyword index


My help file crashes on someon'es computer

My help file crashes on someone's computer
Return to Introduction
Problem

The .hlp file cannot be displayed on someone's computer. It simply quits with an access violation. This problem may not appear with all, just with particular topics.

Cause

This happens very rarely and we know this bug only from Windows NT. It only appears when the topic contains a true color image. The is due to a bug in the Winhelp viewer in combination with particular graphics adapters.

Solution

Reduce the color depth of the images in your .hlp file to 256 colors.


How to call a .hlp file from the command line
Return to Introduction
How to open a .hlp directly, not calling it from an application

You simply start (open) the help file or you execute the Winhelp viewer with the help file as the first parameter:

winhlp32 "myhelp.hlp"

The following command line parameters are supported by Winhelp:

-k Find a keyword (based upon "K" footnote)
-n Go to a topic by number (based upon a help context number)
-i Go to a topic id (based upon #defined string)
-h Run Winhelp with Winhelp.hlp (help on help)

Examples:

winhlp32 -Nx "myhelp.hlp"

The x in -Nx refers to the help context of the requested topic.

winhlp32 -Ixxxxx "myhelp.hlp"

The xxxxx after -I refers to an alphanumeric topic ID.


PDF and Printing related questions
Return to Introduction
Questions answered in this section relate to PDF export, manual printing and manual layout.

Topics covered:

· Changes to the layout of the user manual (PDF & Print)
· Word and line break options in the user manual
· Particular PDF problems
· and more


How do I create a PDF file?
Return to Introduction
The PDF format is one of the output file formats of the Make dialog.

To create a PDF manual

1. Click File|Make Help File and Run
2. Choose PDF
3. Click OK

See also
Changing the layout of the PDF manual


Where can I change the layout of the user manual?
Return to Introduction
The layout of a PDF manual is defined by a so-called "manual template". Since PDF creation and manual printing are (technically) very similar, these manual templates are used for PDF creation as well as printing similarly.

A manual template is a separate file and the template file used for PDF output is defined in Project Properties.

To change the template used for PDF output

1. Choose Project | Properties
2. Click Adobe PDF Output
3. Click PDF Layout
4. Change the template file name

See also
Modifying manual templates


Where can I change the copyright info?
Return to Introduction
The copyright information that appears in the PDF manual is predefined a text variable.

To change the copyright information

1. Choose Project | Properties
2. Select Common Properties
3. Select Title & Copyright

See also
Text variables in topics


PDF word spacing is not correct
Return to Introduction
This is a general problem on Windows 98 and Windows ME. Help & Manual renders the PDF pages with screen resolution on Windows 98/ME while a printer resolution would generate better results. The reason is that we had so many problems with buggy printer drivers under Windows 9x, especially with HP drivers.

To improve the PDF quality under Windows 98/ME, choose a reference device for the PDF output. A reference device is any installed printer driver. This option is available in Tools|Customize and is used for all help projects.

Please be prepared - the reference device may inadvertently create even worse results, especially with HP printer drivers. It helps to update the driver in this case.


How can I insert a page break before a topic?
Return to Introduction
The page break options - whether a topic of a particular level starts on a new page or not - are defined in the manual template.

To change the page break option for a topic level

1. In Help & Manual, choose Tools | Print Manual Designer
2. In the Manual Designer, open the manual template you use for your help project
3. Switch to the Topics section, then click the Properties button:

problempdftopicbreaks

4. The Properties dialog box lets you specify a page break option for each level:


How can I insert a page break within a topic?
Return to Introduction
Page breaks at a particular text position are not supported. Instead, you have two line break options that control the flow of text.

A typical situation where you would want to insert a page break is an image with an additional caption. Both must not be separated. So you want to insert a page break before the image to put both together on the next manual page? Think twice - what if the text of the topics above change and the image including its caption would fit on the current page? The line break options solve this problem!

To apply line break options

1. Select the topic text that you do not want to be separated
2. Choose Edit | Paragraph Settings
3. Select the Numbering & Line Breaks tab
4. Apply the Keep Lines Together and select the Keep Paragraph with Next option

Keep Lines Together is used to control text flow of one paragraph (a paragraph is all text until the next hard line break). All lines of this paragraph are kept together on the same page.

Keep Paragraph with Next is used to keep the current paragraph plus the next paragraph on the same page. This option lets you combine a screen shot with its caption.


AboutHelpContextMaps

About Help Context Map Files
Return to Introduction
When you are not a programmer, you are probably not familiar with help context map files. So let's investigate this mysterious thing.

A help context map file is a plain text file, that contains pairs of topic IDs and help context numbers.

This map is used in compiled help files, to associate integer numbers (the so-called help context numbers) to alphanumeric topic IDs. It is a matter of application design whether you need them at all. Most Windows applications display context sensitive help through help context numbers. When you compile a help file, Help & Manual creates a couple of source files that are fed to the help compiler. Among the sources is a file with the extension ".hm" which contains the mapping for help context numbers. Since the temporary files are not longer needed after compilation, they get deleted and you probably never see them.

When a help context map file is needed...

Situation 1 The programmer of the application that you are writing help for, gives you a help context map file and asks you to assign the numbers in this file to the appropriate topics in your help project. You can do this manually - go from topic to topic and copy and paste the help context numbers into the HelpContext field of each topic. The help context tool assists you by importing the map file and assigning the numbers in one step.

Situation 2 You have already assigned context numbers to your help topics and the programmers ask you for a list, so that they can prepare the application accordingly. The help context tool assists you by exporting a text file (a help context map file) with pairs of topic IDs and help context numbers.

How does such a help context map file look like?

To give you an idea, below is an excerpt of the help context map of Help & Manuals help file. It's that simple.

#define introduction 10
#define getfullversion 9900
#define whatsnew 999
#define howtoprintthishelpfile 208200
#define convertversion2 208190
#define jointhehelpcommunity 208440
#define theuserinterface 207870
#define treepanewindow 1
#define hmitemoptions 3
#define kbshortcutsgeneral 204220
#define optionsprogram 2010
#define workingwithhelpmanual_ 208030
#define starthere 207880
#define projectempty 2050
#define projectimporthlp 205340
#define projectimporthpj 2051
#define projectimportchm 207910
...


BtnActionsDelete

 Delete

Deletes the selected bookmark.


BtnActionsGoTopic

 Goto Topic

Jumps to the topic the bookmark relates to.


BtnActionsNew

 New

Creates a new bookmark.


BtnBack

 Back and Next button

Jumps to the last topic in the history list. The history list is automatically updated when you move from one topic to another and saves the last 31 items.


BtnBold

 Bold text style

Toggles style bold for the current selection.


BtnBullets

 Unnumbered list

Toggles the paragraph style to an unnumbered list and back.


BtnCenter

 Center

Centers the text of the selected paragraph(s).


BtnCodeFormat

 Syntax highlighter

Formats the selected text in programming source code style, as in the code editors of Borland Delphi, C++ Builder and Visual Basic. The highlighter recognizes reserved words, strings, numbers, comments and compiler switches, and highlights them accordingly.

Click on the drop down arrow to the right of the button to choose a syntax style.
Click the button directly to apply the last syntax style used.


BtnCopy

 Copy

Copies the selected text to the clipboard.


BtnCut

 Cut

Cuts the selected text and copies it to the clipboard.


BtnFind

 Find

Opens the Find & Replace dialog box.


BtnFontcolor

 Font color

Changes the font color of the selected text.


BtnHelp

 Help

Opens the Table of Contents of the full Help & Manual help file.


BtnHome

 Home

Jumps to the default topic.


BtnIndentLeft

 Shift Indent

Decreases the left indent of the selected paragraph.


BtnIndentRight

 Shift Indent

Increases the left indent of the selected paragraph.


BtnInsertimage

 Insert image

Inserts an image into the text.


BtnInsertlink

 Insert link

Inserts a link to another topic into the text.


BtnInsertTable

 Table

Inserts a table into the text.


BtnItalic

 Italic text style

Toggles style italic for the current selection.


BtnKeepLines

 Keep lines together

Keeps the lines of the current paragraph together and does not insert an occasional page break here. This paragraph option only applies to manual printing and PDF output.

See also:
Explict page break (main menu Insert|Manual Page Break)


BtnKeepNext

 Keep paragraph with next

Keeps the current paragraph together with the next paragraph and does not insert an occasional page between. A paragraph is a sequence of words up to the next hard line break (inserted with the enter key).

If you have a screen shot with a caption below there may be 2 paragraphs that you want to keep together. Select the first paragraph (the image) and apply this option to keep to the image toghether with the caption.

This paragraph option only applies to manual printing and PDF output.

See also:
Explict page break (main menu Insert|Manual Page Break)


BtnLeftalign

 Left align

Sets the alignment of the selected paragraph(s) to left align.


BtnLineSpace

 Line Spacing

Inserts a blank line of half the height before the selected paragraph.


BtnMake

 Make

Opens the make dialog box to create a help file.

Note
To print a user manual directly, use the Print button.


BtnNavDelete

 Delete

Deletes the selected entry including child entries.


BtnNavEdit

 Edit

Edits the caption of the selected entry.


BtnNavInsert

 Insert

Inserts a new entry.


BtnNavMove

 Move

Moves the selected item into this direction.


BtnNew

 New

Opens a dialog to create a new Help & Manual project.


BtnNext

 Next

Jumps to the next topic of a browse sequence. This command is enabled if the current topic belongs to a browse sequence.


BtnNumbers

 Numbered list

Toggles the paragraph style to numbered list.


BtnOpen

 Open

Opens an existing Help & Manual project.


BtnPaste

 Paste

Inserts the content of clipboard into the text.


BtnPreview

 Preview

Opens the print preview to view the user manual on screen before you print it.


BtnPrevious

 Previous

Jumps to the previous topic of a browse sequence. This command is enabled if the current topic belongs to a browse sequence.


BtnPrint

 Print

Opens the print dialog box to print a user manual.


BtnRightalign

 Right align

Sets the alignment of the selected paragraph(s) to right align.


BtnSave

 Save

Saves the current project. This command is available when changes to your project have been made. To save your project with a different file name, select Save as from the File menu.


BtnScreenshot

 Screen shot

Activates the screen capture function.


BtnUnderline

 Underline text style

Toggles style underline for the current selection.


BtnUndo

 Undo

Reverses the last action you made to the text.


CbActionComment

 Comment

This is the reminder text.


CbActionReview

 Renewed submission

Determines when Help & Manual should remind you and display the bookmark.

Currently None: No automatic reminder
On Open Project: When you open the help project
On Display Topic: When the topic the bookmark relates to is displayed
On Compile Help: When you compile a help file
On Date: Lets you enter a date. If you open the help project on or after this date, the bookmark will be displayed.


CbActions

 Bookmarks

Displays the active bookmark list for quick access. To edit the bookmark list, click Project | Bookmarks.


CbActionsList

 Bookmark list

Displays a list of all bookmarks defined in this project.


CbActionTopic

 Relates to topic

If the bookmark relates to a particular topic, specify the topic ID here.


CbActionType

 Bookmark type

Defines whether it is a Topic Bookmark, a Reminder or a Scheduled Task. Each bookmark type has its own icon.


CbExportDeleteTemp

 Delete temporary files

When Help & Manual creates a compiled help file, it first makes temporary files to feed the help compiler. The final output is the compiled help file and the temporary files are automatically deleted by default.

This option is mainly for debugging purposes. If you need the temporary files to compile a help file manually, uncheck this option. At the end of the compilation, you are told which files have been created.


CbExportHLP16bit

 Help file for Windows 3.1

Compiles a help file that can be used on 16 bit Windows versions. Help & Manual uses a different compiler to create 16 bit help files. 16 bit help files have various limitations, for instance: long file names are not supported.


CbExportHLPCheckFont

 Check for missing fonts

This is a debug option. Help & Manual checks whether the topic pages contain fonts which are not installed. Substituted fonts may create irritating results in compiled help files.


CbExportHLPNoCompress

 Test Compilation

Windows help files have a relatively strong compression. If you have many images, the compilation may take several minutes if compression is on.

This option temporarily disables the compression which speeds up the help compilation.


CbExportHTMInvisbile

 Export invisible topics

Exports all topics from the Invisible Topics list. If this option is disabled, only topics in the TOC are exported, and automatically exports all topics which are referred to by the exported topics (even if the referred topics are not visible).


CbFontname

 Font name

Changes the font name of the selected text.


CbFontsize

 Font size

Changes the font size of the selected text.


CbInetlinkNewwindow

 New window

Specifies whether the target address should be opened in a new window or in the current browser window. Even HTML Help files can display websites in the main help window.


CbInsertjumpTopicID

 Topic ID

Select the topic you want to link to from the list below.

If you want to link to a specific anchor in the target topic, select the topic first, then choose the anchor from the drop-down list.


CbInsertjumpWindow

 Help window

Defines the help window in which the target topic will be displayed.

By default, the target topic is displayed in the window which was defined along with the target topic. If you want to display your topic explicitly in a window other than its default, change this value.


CbPDFHighlight

 Highlight hotspots

Indicates PDF hotspots with red rectangles. This is a debug option to quickly check which hyperlinks are active and which not. The PDF file contains only hyperlinks that point to a topic listed in the Table of Contents. Other topic links are ignored.


CbTableBGColor

 Table Background Color

Defines the background color of the table. If you do not specify a background color, the table uses the background color of the current topic.


CbTableBorder

 Cell border

Defines whether or not the table has a border.

Note:
Winhelp (.hlp) files do not support tables with borders.


CbTableBorderWidth

 Border width

Defines the width of the border line.


CbWindow

 Lets you choose a help window for the topic. There are always at least two windows available:

Main
The "Main" window is the default. If you add a new topic to the table of content, this value is pre-selected. A topic that is displayed in the main window is typically divided into a non-scrolling header and a scrollable topic text.

Pop-up
This is the second, predefined value, and although it is not actually a window, it may also be defined. It is a formatting option. Pop-up topics are small topics (in the most cases) that display context sensitive help. In Windows help files, links to pop-up topics are designated with a dashed underline.
A topic that is displayed as context sensitive help in a pop-up window automatically disappears when you click on another region.


ChangeStatusAll

 checkbox Change Status of All Topics

Changes the status of all topics in the current view (either Table of contents or Invisible list).


ChangeStatusChilds

 checkbox Apply Status to Child Entries

Changes not only the selected entry but applies the same status to the child entries as well.


ContextToolcbAssign

 Assign new Context Numbers to topics

Creates help context numbers for existing topics. If you forgot to enable automatic help context numbering (this is a setting in Projects|Properties) you can use this function to assign context numbers to existing topics.


ContextToolcbAssignTOC

 Assign help context numbers to topics...

Specifies which topics will be checked for new help context numbers.


ContextToolcbDelete

 Delete Help Context Numbers from this project

Deletes all or a range of help context numbers. This function may be used to re-assign help context numbers completely. For instance, before you import a help context map file.


ContextToolcbExport

 Export Help Context Numbers

This function creates a so-called help context map file - a plain text file with pairs of alphanumeric topic IDs and help context numbers. Such a list may be used by a software developer to update help context numbers in the application the help file is for. If you need a report with more information about the topics, please use the Project Report instead, which also reports help context numbers.


ContextToolCbExportAnchor

 Anchor encoding

Topic anchors may optionally have help context numbers. Depending on what you need the output file for, you may want to choose a special character to separate the topic ID from the anchor ID in the exported file.


ContextToolcbImport

 Import a so-called Help Context Map file

A Help Context Map is a text file that contains pairs of alphanumeric topic IDs and help context numbers. Software development tools like Visual Studio can create such a map file. Reasons to import the map file in Help & Manual could be that you get such a file from the software developer and have to assign a given list of context numbers to existing topics.


ContextToolEdExportFile

 Output file

Specifies the file name of the help context map file. The output file is a simple text file with pairs of topic IDs and help context numbers.


ContextToolEdImportFile

 Import file

Specifies the file name to import. This must be a help context map file - a simple text file with pairs of topic IDs and help context numbers.


ContextToolEdImportOvr

 Overwrite Output File

Defines whether the output file is overwritten or appended. This option is only available when the output file already exists.


ContextToolEdIncrement

 Increment Value

Specifies the increment for the automatic numbering.


ContextToolEdStart

 Start Value

Automatic help context numbering requires a numerical value to start with. This can be any integer number - Help & Manual automatically checks for existing numbers to avoid duplicates.


ContextToolrbDeleteAll

 Delete all help context numbers

Deletes all help context numbers from this help project.


ContextToolrbDeleteNumber

 From / to help context number

Specifies the range of help context numbers to delete.


ContextToolrbDeleteRange

 Delete help context numbers of a particular range

Deletes only help context numbers within a particular range. Use the from/to values to specify the range.


ContextToolrbDeleteTOC

 Delete context numbers from topics...

Specifies which topics are checked for deletion of context numbers.


EdActionReviewDate

 Date

Determines the date for the reminder.


EdHelpContext

 The HelpContext is the numeric identifier of a topic. It is required to display context sensitive help for a Windows application. The HelpContext can be zero (not assigned) but if it is non-zero, it must be unique throughout a help project like the alphanumeric topic ID.

You can assign more than one help context number to a topic by separating the numbers with a comma.


EdHelpfile

 Enter the file name of the help file where the target topic is located. This option is only enabled if the current item of the Table of Contents is a link to an external help file.


EdInetlinkAddress

 Link address

If the link jumps to an internet address, the address must specify the full URL. For example: http://www.ec-software.com. If the link sends an email, enter the email address here. For example: support@ec-software.com.


EdInetlinkCaption

 Caption

Specifies the caption of the link.


EdInsertBtnDecIndent

 Decrease indent

Decreases the indent of the line. Indented lines are treated as child entries.


EdInsertBtnIncIndent

 Increase indent

Increases the left indent of the line. Indented lines become child entries of the line above.


EdInsertBtnMultiple

 Multiple

Expands the entry box for multiple entries.


EdInsertBtnSingle

 Single

Reduces the entry box to single line.


EdInsertChapter

 Chapter without text

This is a normal chapter heading like it appears as a closed/open book in the content of a Winhelp file. You cannot enter text here. Chapters without text are supported by all output types (Winhelp, HTMLhelp, html, manuals).


EdInsertChapterText

 Chapter with text

This is a chapter heading that is actually a topic. Unlike normal topics, it is allowed to have child items (child topics). The text of such a chapter will typically give a short introduction, while the child topics explain the details.
Important: chapters with text are not supported in Winhelp files. If you create a Winhelp file, the chapter is exported as a normal chapter heading without text. HTMLhelp, plain html and manual printing accept chapters with text.


EdInsertExternal

 Jump to an external help file

This option enables you to insert items to the Table of Contents that point to another, external help file.
To insert such a topic, specify the help file (or help project) where the topic is located and then browse for existing topics by clicking [...]. External topics do not appear in the printed manual as long as the external help project file is not included in your project (see below).


EdInsertInclude

 #Include another help file

Creates a placeholder for a subsequent help project to merge at run time.


EdInsertjumpCaption

 Caption / Bitmap

This is the visible text of your help link. If you have selected any text before opening this dialog box, the selected text is assumed to be the caption of your link.
If you are using a small bitmap file as link (style = bitmap), enter the bitmap path and file name here.


EdInsertjumpHelpfile

 Help file

Defines the help file where an external topic is located.
This option is only enabled if you link to another help file.


EdInsertPosition

 Position of the new item

Specifies where the new entry will be inserted.


EdInsertTopic

 Topic

Check this option to insert a normal topic like the one you are currently reading. Standard topics are supported by all output types (Winhelp, HTML Help, html, manuals).


EdInsertTopicCaption

 Enter the caption for the new item here. You can change the caption later in the Table of Contents.


EdInsertTopicHelpfile

 Enter the target help file here or click the [...] button to locate it. This item is enabled when the item type is either a jump to an external help file or include another help file.


EdInsertTopicID

 Address

This entry defines the topic ID (if the new new item is a topic) or the url (if the item is a link to a WWW address).

Topic IDs:
Help & Manual automatically creates a new valid topic ID from the item caption. You can change the automatically created topic ID here or link the new item to an existing topic. Click [...] to select an existing topic.


EdInsertTopicIDLines

 Topic Captions

This entry box lets you insert multiple items at once. Each line in this box will become a topic or chapter. To create a child entry, click on the indentation button right of the box.


EdInsertWeblink

 Link to a WWW address

This option allows you to insert an internet shortcut into the Table of Contents. If you select this option in a Windows help file, it will launch the default browser to display the internet address. HTML Help, on the contrary, does not launch a browser. Since it is a browser, the internet address is displayed right in the help window as if the internet homepage were compiled into the help file. Printed manuals ignore WWW addresses (what else?).


EdMacroCaption

 Caption / Bitmap

This is the visible text of your macro. If you have selected any text before opening this dialog box, the selected text is assumed to be the caption of your macro.

If you are using a small bitmap file (style = bitmap), enter the bitmap path and file name here.


EdMacroString

 Macro

Complete a selected macro or enter your own macro string.


EdTableCellPadding

 Cell padding

Defines the cell padding in pixels.


EdTableCols

 Columns

Defines the number of columns for the table.


EdTableColwidth

 Column width

Specifies the column width. Unless you change this value, Help & Manual calculates the column width automatically. To change the width of a particular column, select a column from the list, then change the value.


EdTableRows

 Rows

Defines the number of rows for the table


EdTopicAnchor

 Anchor in Topic

Specifies the default anchor of the topic, if any. Click on this entry in the TOC to display a topic and scroll to the paragraph with the anchor.


EdTopicID

 The TopicID is the alphanumeric identifier of a topic. The TopicID is used for all calls to a topic. It must be unique throughout a help project.

· TopicIDs are not case sensitive.
· TopicIDs may contain spaces, but avoid leading and trailing spaces.
· Do not use reserved characters: / \ : * ? # = + * % ! @ [ ] > " | , < &
· Do not begin a TopicID with a number if the ID will also be used in the [MAP] section.


Example AVI
Return to Introduction
Click on the start button to show the animation.


ExamplePopup

 This is an example pop-up topic.


ExportExpand

 Options

Expands or collapses the dialog to show/hide additional options.


ExportInclude

 Include Options

Includes all topics that match one or more of the selected criteria. These include options also apply to conditional text.


ExportOutputFile

 Output File

Specifies the name of the output file. If you compile a help file, this is the name of the compiled help.


ExportShow

 Show Output File

Automatically displays the output file after compilation.


FrmActions

Bookmarks
Return to Introduction
You can use bookmarks to create design time annotations, topic bookmarks and reminders. These bookmarks do not appear in the compiled help file.

Bookmarks are useful to ...

... add annotations to particular topics
... remind you that when you compile a help file, you have to test it
... remind you about events after a specific date

There are many uses for them and can easily be customized to suit your needs.

Bookmarks can appear when a particular topic is displayed, when the file is opened, compiled, or after a specific date.

To create a bookmark

1. Click Project | Bookmarks
2. In the Bookmarks dialog box, click New Entry

You can access bookmarks from the tool bar as well:

tbbookmarks

If you select a bookmark from the drop down list that points to a topic, Help & Manual jumps to that topic.


FrmCapture

Screen Capture Function
Return to Introduction
The built-in screen capture function lets you capture any portion of the screen. The screen shot is saved as a bitmap file and directly inserted into the current topic at the cursor position. When you click Start Capture!, the main window is minimized and the screen capture begins.

There are 2 possible scenarios:

Scenario 1
You capture a Window or a fixed region of the desktop

The main window is minimized and a red clipping rectangle is displayed on the screen. The rectangle indicates the area of the screen that will be captured.

To select the desired area ...
onestep More or resize the clipping rectangle with the mouse

To make the screen shot ...
onestep Hold down the Ctrl key and click the left mouse button

To cancel the screen capture ...
onestep Press ESC

Scenario 2
You capture a free region of the desktop

The main window is minimized and a cross-hair line is displayed at the mouse position.

To select the desired area ...
onestep Click to mark the top left corner of the selection
onestep Drag the mouse to define the selection rectangle

To make the screen shot ...
onestep Point inside the selection rectangle and left-click
To cancel the screen capture ...
onestep Click ESC


FrmCaptureAddSparkle

 Add Sparkle

Adds a sparkle or 'visualized mouse action' to the image. The sparkle is added at the cursor position when you make the screen shot. See the combo box below for a list of available sparkles.


FrmCaptureBackground

 Background Color

Determines the fill color of the background. The background color is applied to the edges if the image is not rectangular, and to the background if the image has a shadow.


FrmCaptureCursorShadow

 Cursor Shadow

Determines whether the cursor symbol (if included) has a shadow.


FrmCaptureExpand

 Extended / Hide

Expands or hide extended screen capture options.


FrmCaptureFader

 Fade Out

Adds some transparency to the image. Note: the image appears to be transparent in front of the Background Color. So, if the Background Color is white, your image will fade to white. Possible values are:

· No Fade - does not add a fader
· Soft Border Fade - adds a soft fader at the border of the image. The image border depends on the image shape. Soft border fade looks great with an elliptic shape!
· Linear Faders - adds a linear fader from one edge (fully opaque) to the opposite edge (fully transparent)


FrmCaptureFilter

 Filter

Defines a filter for the resampling function (only when zoom <> 100%).


FrmCaptureIncludeCursor

 Include Cursor

Determines whether or not to include the mouse pointer in the screen shot.


FrmCaptureRegion

 What do you want to capture?

A window or menu:
This is the default option. It lets you select and capture any top-level window on the desktop, a control within a window, a dropdown menu or a pop-up menu.

A free region:
Captures any rectangular region of the desktop. You will select the region with the mouse. T.N.T assists you with a magnifier window that displays the portion of the screen below the mouse pointer.

A fixed region:
Captures an area of a specific size. You specify the width and height of the area below.


FrmCaptureReset

 Reset

Resets the current screen capture options to default values.


FrmCaptureShadow

 Image Shadow

Determines whether the image as a whole has a shadow.


FrmCaptureShadowColor

 Shadow Color

Defines the color of the shadow, which is black by default. The shadow color is toned down by the shadow intensity, so the shadow appears to be gray. You can create stunning effects with other colors.
Examples:

shadowblack shadowyellow


FrmCaptureShadowDirection

 Shadow Direction

Determines which direction the shadow goes. On Windows systems, a shadow is always placed at the lower right edge, meaning the light comes from top-left.
Examples:

shadowlr shadowll


FrmCaptureShadowDither

 Shadow Dither

Determines the "softness" of the shadow.
Examples:

shadow2 shadow3


FrmCaptureShadowIntensity

 Shadow Intensity

Determines the intensity of the shadow. This function actually makes the shadow semi-transparent. The intensity defines the opacity of the shadow.
Examples:

shadowlowintensity shadowhiintensity


FrmCaptureShadowOffset

 Shadow Offset

Determines the offset of the shadow from the image center. An offset of 0 would place the shadow right below the image and would not be visible.
Examples:

shadow1 shadow2


FrmCaptureShape

 Image Shape

Determines the shape of the image. By default the shape is a rectangle, but you can select a different shape to give the image a more interesting look.

· Rectangle - the image appears as a simple rectangle
· Rounded Rectangle - the image appears as a rounded rectangle where the edges assume the Background Color
· Ellipse - the image is an ellipse where edges assume the Background Color
· Right Paper Edge - creates a shape that looks like a paper cut
· Left Paper Edge - creates a shape that looks like a paper cut
· Automatic Shape - creates a fully transparent object. The transparency mask is made from the lower left pixels in the image, that is assumed to be the transparent color.

Examples:

shapeellipse shaperightpaper shapeauto


FrmCaptureSound

 Sound ON / OFF

Enables or disables the "camera click".


FrmCaptureSparkleType

 Sparkles

· Twinkle - adds a white camera twinkle. This one looks best on a dark background.
· Hot Mouse Action - adds a red splash beneath the mouse position to visualize a mouse click
· Soft Click - same as Hot Mouse Action, but smaller
· Double Click - adds a small double splash to visualize a double click


FrmCaptureStart

 Start

Click Start Capture! to make a screen shot.


FrmCaptureZoom

 Zoom

Specifies the zoom factor of the screen capture. 100% means no zoom - the image will appear with its original size. A zoom factor less than 100% decreases the image size, a zoom factor larger than 100% increases it. Enter a zoom value between 10 and 400 % or select a value from the drop-down list.

Zoom Filter

T.N.T has several filters that are responsible for smooth rescaling of images. T.N.T automatically chooses an appropriate filter if you change the zoom factor.


FrmReplaceStyle

Find & replace font styles
Return to Introduction
You can change any font into any other font throughout a help project with the Font Style Find & Replace function.

To change a font style

onestep On the main menu click Search, then Replace Font Styles
This opens the replace dialog box for font styles.

onestep Select, which topics you want to change.

onestep Select the current font that you want to change. You must specify the font name, size and color. Optionally specify the font styles that you want to change.

onestep Select the new font that you want to apply. You must specify the font name, size and color.

onestep Click Change all topics


FrmChangeFontAll

 Select topics

You can either replace the selected font in

· All topics of this help project
· Just the current topic
· Topics with a specified window type only. This function is useful if you want to change the font of context sensitive help topics.


FrmChangeFontAllSizes

 Replace all font sizes and colors

Replaces all the selected font (face) in all sizes and colors, not only the selected size and color. The size and color of the font is retained in this case, just the font face is changed.


FrmChangeFontNewFont

 New Font Style

Click Change... to select the font that you want to apply.


FrmChangeFontOldFont

 Old Font Style

Click Change... to select the font that you want to change. Optionally you can sub-select a style (bold/italic/underlined). If you select a sub-style, Help & Manual will only change these styles.


FrmChangeFontText

 Change header / text

Determines whether the selected font will be replaced in the (non-scrolling) topic header only, in the topic text or in both.


FrmChangeFontTopics

 Replace Fonts

Begins replacing of the selected font in all topics that match the search criteria.


FrmCharmap

Special characters
Return to Introduction
This window lets you insert special characters into the topic text. It stays open and in front of all other windows unless you close it.

To insert a character, select a character from the map and then click Insert.
The selected character is inserted into the text at the caret position.


FrmCharmapClose

 Close

Closes this window.


FrmCharmapFont

 Select font

Changes the font selection. The map below displays characters of the currently selected font.


FrmCharmapGrid

 Character grid

Displays special characters in the currently selected font. To view a character, click it once. This points the lens over the selection and gives you a larger image of the selected character. Click Insert to insert the character into the topic text.


FrmCharmapInsert

 Insert

Inserts the selected character into the text at the caret position. The window remains open to let you insert more than one character.


FrmContextTool

Help Context Tool
Return to Introduction
The help context tool lets you assign, delete, import and export help context numbers.
The first page of this dialog offers four - different and independent - tasks:

· Delete Help Context Numbers from this project

Deletes all or a range of help context numbers. This function may be used to re-assign help context numbers completely. For instance, before you import a help context map file.

· Assign new Context Numbers to topics

Creates help context numbers for existing topics. If you forgot to enable automatic help context numbering (this is a setting in Projects|Properties) you can use this function to assign context numbers to existing topics.

· Import a so-called Help Context Map file

A Help Context Map is a text file that contains pairs of alphanumeric topic IDs and help context numbers. Software development tools like Visual Studio can create such a map file. Reasons to import the map file in Help & Manual could be that you get such a file from the software developer and have to assign a given list of context numbers to existing topics.

· Export Help Context Numbers

This function creates a so-called help context map file - a plain text file with pairs of alphanumeric topic IDs and help context numbers. Such a list may be used by a software developer to update help context numbers in the application the help file is for. If you need a report with more information about the topics, please use the Project Report instead, which also reports help context numbers.


FrmCustApplyconstruction

 checkbox Apply Under Construction status to new topics

Applies the Under Construction topic status to any new topic that you insert. This marks the topic heading with a yellow background.


FrmCustCbAnimateSplash

 checkbox Animate Splash Screen

Displays a softly fading about box. If the animation appears rather slow on your graphics adapter, please turn it off with this option.


FrmCustCbAutoJump

 checkbox A double click on a link jumps to the target topic

Defines if the jump function is active during design time. This means that if you double click a link, the topic where the link points to is displayed. If this option is disabled, a double-click on a link opens the link dialog box.


FrmCustCbBackup

 checkbox Automatic backup after ... minutes

Automatically saves the temporary files every xx minutes.


FrmCustCbCopyPlainText

 checkbox Copy selection as plain text to clipboard

When you copy selected text in a topic to the clipboard, Help & Manual retains the text format as well as objects (links, images, etc). These objects, however, cannot be pasted into other applications. If this option is enabled, Help & Manual places the formatted text as well as an additional plain text version of the current selection on the clipboard.

Depending on the selection, this procedure requires additional time (several milliseconds) for each copy command.


FrmCustCbCorrectID

 checkbox Auto-correct blanks in topic IDs

A topic ID should not contain blanks. If this option is enabled, every blank is substituted by an underscore "_" when changing the ID of a topic.


FrmCustCbEmptyClipboard

 checkbox Empty clipboard on close

Automatically clears the clipboard when Help & Manual closes.


FrmCustCbHint

 checkbox Show hints

Defines if the application shows short hints. Long hints are always shown in the status bar.


FrmCustCbLargeIcons

 checkbox Large toolbar icons

Uses enlarged icons for the toolbar.


FrmCustCbLastProject

 checkbox Open Last Project on Start

Automatically opens the most recent help project when Help & Manual starts.


FrmCustCbMultiUndo

 Enable multiple undo

This option saves multiple undo states of the text editor. Saving multiple states, however, is time and memory consuming. If your computer is rather slow, we recommend turning this option off.


FrmCustCbOrphan

 checkbox Check for lost temporary files

Checks the directory for temporary files if there are any project files left and tries to recover them.


FrmCustCbSizeheader

 checkbox Auto-size topic header

The edit window for the topic-header (the non-scrolling region above the topic text) is normally automatically sized the height fits with the text of a topic header. You can uncheck this option if you prefer the edit window to have a fixed size.


FrmCustCbStartup

 checkbox Show startup screen

Displays a selection dialog when Help & Manual is started.


FrmCustChangeID

 If you change a topic ID...

...Help & Manual must search all topics that refer to the current topic and change these links as well. But this search may take a while if your project is rather large. And if you have created a new topic and you know that there is no referrer to this topic, this may be annoying. So you have three options:

radiobutton Ask to change all related links pops up a dialog box and lets you choose whether to correct all referrers. If you know that there are no links to this topic, you can cancel the dialog.

radiobutton Change links automatically does not ask you but checks the references automatically.

radiobutton Do not change related links does nothing. This means that you have to change all links that refer to this topic by yourself.


FrmCustChangeStatus

 checkbox Change topic status after changes

Automatically sets the topic status to the specified value when you make changes to a topic.


FrmCustCompilerMessages

 Compiler messages

Defines which kind of compiler messages are displayed during compilation.

Hints: messages that provide just information.
Warnings: messages about problems. If a topic references an unknown topic, you get a warning.
Errors: error messages that make a compilation impossible.
Compiler results: summary information created by the help compiler.


FrmCustDefdir

 checkbox Default directory

Defines a directory that is always suggested as default when you open a help project or when you create a new project. If no default directory is defined, the last directory you halved used is saved and then suggested as default.


FrmCustEdcomp16

 Help Compilers

This configuration is set automatically. Please do not change it unless instructed to do so by support.


FrmCustKeepDateStamp

 checkbox Do not modify the topic date/time stamp

Disables the automatic update of the topic date/time stamp. This is useful if you intend to make just small changes to a topic (spell check them for instance). Please be careful when you use this option! The topic date/time stamp is used to speed up the HTML export (Help & Manual only exports topics that have changed).

This option is intentionally not stored when you close Help & Manual.


FrmCustPDFDriver

 Reference Device for PDF Output

Please set this option to default unless you experience problems with the PDF export.

The problems that you may experience are incorrect word spacing, or crash during the PDF output. If the PDF output crashes, the reason is very likely a buggy printer driver (we especially have had problems with HP drivers on Windows 9x). It may help to change the reference to a different driver in this case.


FrmCustTempdir

 Directory for temporary files

Help & Manual creates temporary files while you are working on your help project. These files are by default created in the \Windows\Temp directory. If your C: drive is low on disk space, it's a good idea to change this directory.


FrmCustUnits

 Ruler Units

Defines the units of the ruler above the topic text editor in either inch or cm.


FrmHelpman

 This is the main window of Help & Manual. Right-click any of the buttons and controls in this window to obtain help on it.


FrmHTMLCbBack

 checkbox Back

Adds a Back button to the toolbar of the HTML Help file to jump back to the previous topic.

Back button in HTML Help:
hhback


FrmHTMLCbFavTab

 checkbox Add a FAVORITE tab to the navigation panel

Adds a separate favorites tab to the HTML Help file.


FrmHTMLCbHideshow

 checkbox Hide / Show

Adds a Hide or Show button to the toolbar of the HTML Help file. This allows you to hide/show the navigation pane, which includes the Table of Contents.

Hide/show buttons in HTML Help:
hhhide hhshow


FrmHTMLCbHome

 checkbox Home

Adds a Home button to the toolbar of the HTML Help file to jump to the main page. The Home button, by default, points to the default topic of your help file which is defined in the Project options. You can overwrite this address by entering a valid topic ID (+ ".htm") in the entry box below.

Home button in HTML Help:
hhhome


FrmHTMLCbLocate

 checkbox Locate

Adds a Locate button to the toolbar of the HTML Help file which lets the user synchronize the Table of Contents with the topic currently displayed. This is useful if you have been following links and then wants to know in which chapter the current topic is located.

Locate button in HTML Help:
hhlocate


FrmHTMLCbNavigationPane

 checkbox Main help window has navigation panel

Defines whether the main HTML Help window has a navigation panel and buttons.


FrmHTMLCbNext

 checkbox Back

Adds a Forward button to the toolbar of the HTML Help file to go forward again when you have jumped back a topic.

Forward button in HTML Help:
hhnext


FrmHTMLCbOptions

 checkbox Options

Adds an Options button to the toolbar of the HTML Help file with a pop-up menu to modify the display options.

Options button in HTML Help:
hhoptions


FrmHTMLCbPrint

 checkbox Print

Adds a Print button to the toolbar of the HTML Help file which lets the user print a topic or a whole chapter.

Print button in HTML Help:
hhprint


FrmHTMLCbRefresh

 checkbox Refresh

Adds a Refresh button to the toolbar of the HTML Help file to refresh the current page. For offline help files, a refresh button is typically not required. If your HTML Help file points to addresses on the web, we recommend including refresh button.

Refresh button in HTML Help:
hhrefresh


FrmHTMLCbSearchtab

 checkbox Add a SEARCH tab to the navigation panel

Adds full text search capabilities to the HTML help file:

hhsearchpanel


FrmHTMLCbSecondaryWin

 checkbox Allow secondary windows

Enables secondary help windows in HTML Help. Help & Manual uses the help window definitions from the Project options dialog. If secondary windows are disabled, the HTML Help file will display all topics in the main view.


FrmHTMLCbStop

 checkbox Stop

Adds a Stop button to the toolbar of the HTML Help file to stop the current action. For offline help files, a stop button is typically not required. If your HTML Help file points to addresses on the web, we recommend including a stop button.

Stop button in HTML Help:
hhstop


FrmHTMLChartranslation

 Character translation

Defines the translation rules for special characters.

Automatic (default)
Character translation is done automatically. Help & Manual uses one of the other three values, depending on the language of the help project which is defined in the Project options dialog.

Standard
Translates special characters into their decimal values. Example: Ä becomes &#196;

Extended
Translates special characters into their appropriate names. If no name is defined for a character, the decimal value is exported. Example: Ä becomes &Auml;

None
Skips character translation. This option is required for help projects written in languages that use a double-byte character set, such as the most Asian languages.


FrmHTMLFixedFonts

 Fixed pitch fonts

Defines a list of fixed pitched fonts. Text formatted with one of these fonts is exported in a special manner: without automatic word breaks. This is useful for code examples.

Click Add to insert a new row.
Click Delete row to remove an entry from the table.


FrmHTMLFrameBorder

 checkbox Show frame border

Defines whether the frame is displayed with a border or not.


FrmHTMLIndexLevelind

 Indentation per level

Defines an indentation for the each chapter/topic level. This value must correspond to the width of the icon images used in the Table of Contents.

A typical icon size is 16 x 16 pixels, so an appropriate width value is slightly higher.
An indentation of 20 pixels is a good choice if you use standard icons.


FrmHTMLIndexwidth

 Width of Navigation Frame

Defines the width of the left frame in either pixels or in percent.

Value < 100 = width in %
Value > 100 = width in pixels


FrmHTMLOpenBook

 Expanded chapter

Defines a custom icon image for an expanded chapter. This is typically represented by an open book.


FrmHTMLRgbmpconversion

 Image conversion

Defines, how images are converted during the html export.

radiobutton Do not create gifs or jpegs: topics are exported without images. No conversion.

radiobutton Convert 256 color bitmaps to gif, others to jpeg: Bitmaps with a color palette of 256 colors or less are converted to .gif (which is limited to 256 colors), high and true color bitmaps are converted to .jpg. Windows metafiles and embedded images are always converted to .gif.

radiobutton Convert all to gif: only creates .gif images. You may notice that true color bitmaps look distorted because .gif only supports 256 colors.

radiobutton Convert all to jpeg: ensures the best quality for all images. However, jpegs are larger than .gifs.


FrmHTMLTopicicon

 Topic Entry

Defines a custom icon image for a topic entry (for items that do not have child entries). This is typically represented by a small page icon.


FrmHTMLTranslateFont

 Font translation

Defines a font-substitution table for Windows font names.
Click Add to insert a new row.
Click Delete row to remove an entry from the table.


FrmInsertDEF

Conditional Text
Return to Introduction
Text conditions are basically the same as the topic include options, but for text level. Using a text condition you can include a large screen shot into PDF export (user manual) but exclude it from the compiled help file (application help).

A text condition consists of a pair of statements. An IF or IFNOT statement to start the condition and an ENDIF statement to terminate it. The text between these statements is included or excluded into/from all the selected output formats. If a text condition is not terminated by an ENDIF statement, it is valid until the end of the topic text.

This is best explained by examples:

IF HLP This text only appears in HLP files. ENDIF
IF PRN This text only appears in the printed user manual. ENDIF
IFNOT PRN This text appears in all output formats except the print manual. ENDIF
IF CHM, HTML, MMH This text is included in all html based output formats. ENDIF
IF DEMO This text is included when the DEMO compile option is enabled. ENDIF

Text conditions may be nested:

IF PRN, PDF This text will appear in the IF PRN print manual ENDIF
IF PDF PDF manual ENDIF but not in the compiled help file. ENDIF


FrmInsertHTMLCode

Insert plain html code
Return to Introduction
Help & Manual creates Winhelp files as well as standard html and HTML Help. To support the extended functionality of html and HTML Help, you can insert additional html code into your topic.

This is a piece of html code that can be anything - an ActiveX control, a script, additional html text for footers, a html table and so on. To work with this feature, you must be familiar with html coding.

To insert plain html code

1 Place the cursor on the position in the topic text where you want to insert html code.
2 From the Insert menu, choose Plain html code.
The Insert html dialog box is displayed.
3 Enter the html code you want to insert and click OK.

Additional html code appears in the topic text as a small text object on blue background that shows the first few characters of the html code it contains. This is not WYSIWYG.

The html code is treated as is when you export browser based help or HTML Help. Help & Manual does not perform any error checks on the piece of html code.

If you create any other type of file (for instance, a HLP file) or print a manual, the html code is not applied to this output. Instead, it is simply skipped and does not appear.


FrmInsertTopicSelect

 Select a topic

Choose a topic from this list of existing topics and click OK.


FrmInsertTable

Insert Table
Return to Introduction
This function inserts a table into the topic.

When you use tables, please keep in mind that tables do not automatically break when you print a manual or export a PDF file. So tables that exceed the height of one manual page will not be printed correctly.


FrmInsertVariableEdit

 Edit

Opens the Project Properties dialog box where you can define additional text variables.


FrmInsertVariableList

 Variables

Lists all available text variables. These are predefined variables and custom text variables that you have defined. To extend the list and define your own variables, click Edit.


FrmInsHTML_cbHtml

 checkbox Apply to standard html

Determines whether this html code is inserted when you export this help project in standard html format.


FrmInsHTML_cbHtmlHelp

 checkbox Apply to HTML Help

Determines whether this html code is inserted when you export this help project in HTML Help format (.chm).


FrmInsHTML_edCode

 HTML code

Enter the html code here. This piece of html code is treated as is when you create plain html or HTML Help.


FrmKeywordAkeys

 Search A-keywords

Sorts A-keywords only, not regular keywords.


FrmKeywordBtnList

 List

Updates the keyword list to reflect changes.


FrmKeywordCase

 Distinct case

Keywords are generally not case sensitive.

If the same keyword exists in a lower case version and with a capital, the help compiler will take the first occurrence. The result is a keyword list where most keywords start with capitals and few do not.

This option helps you to find these keywords. Distinct case creates a case sensitive keyword list.


FrmKeywordFind

 Find keyword

Specifies a keyword to search for. Leave blank for a list of all keywords.


FrmKeywordList

 Keyword list

Contains the keywords that match your search criteria. Click on any keyword to jump to the topic where it is defined.


FrmKeywordRegular

 Search regular keywords

Sorts regular topic keywords only, not A-keywords.


FrmManCaptFont

 Font for heading

Defines a font for each chapter level. This lets you use a larger font for "main" chapters and a smaller font for sub-items. Click [...] to change the font settings.

Numbering

Defines a numbering style for each chapter level:

· None - disables numeration for this level. If you set a level to no numeration, all following levels should also be set to "None".
· 1.2.3. - sets Arabic numeration for this level
· A.B.C. - sets uppercase numeration for this level
· a.b.c. - sets lowercase numeration for this level
· I.II.III. - sets roman numeration for this level

Page break

Defines whether heading of this level start a new page or not.


FrmManColSpace

 Column space

Defines the space between columns if the number of columns is > 1.


FrmManColumns

 Number of columns

Defines the number of columns for a page (paper sheet).


FrmManFlipmargin

 checkbox Flip margins on even pages

Reverses the left and right indentation on even pages (paper sheets). This creates a mirrored effect, which is useful if you print a manual on both sides of the paper.


FrmManHeaderFont

 Font

Defines the font for the header/footer text.
Click [...] to select or change the desired font.


FrmManHeadertext

 Text

Defines the text which is printed as the page header/footer.


FrmManIndents

 Indents

Defines the general indentation of the left / top / bottom and right margin for the page (the physical paper size) in selected Units.


FrmManManualSize

 Page width and length

Shows the page width and page length in mm or inch (depending on the selected Units value). If Paper size is set to Custom size you can change these values manually.


FrmManOrientation

 Orientation

Changes the page orientation.


FrmManPageText

 Text for "Page"

Defines a string value for the word "Page". This string is printed along with the page number. If this entry field is empty, Help & Manual prints only the page number.


FrmManPapersize

 Paper size

Defines the paper size of the printed manual. Select one of the predefined values or select Custom size to define the paper width and length manually.


FrmMessages

 Messages

This window displays messages (help compiler messages, import messages, bookmarks, project reports, tips and so on). Click on any hyper link (blue underlined) to obtain more information about the particular message.


FrmMessagesBack

 Back

Jumps back to the previous location in history.


FrmMessagesClose

 Close

Closes this window.


FrmMessagesCopy

 Copy

Copies the selected text to the clipboard.


FrmMessagesFind

 Find

Opens a find dialog box to search for particular text in the document.


FrmMessagesFont

 Font size

Changes the font size of the document for easier reading.


FrmMessagesHome

 Home

Jumps back to the initial position of the displayed document (usually to the top).


FrmMessagesNext

 Next

Jumps forward to the next position in history.


FrmMessagesPrint

 Print

Prints the page.


FrmMessagesSave

 Save

Saves the document to a file. This is an html file.

Note:
If you save the document and view it with an external browser, the icons will not appear (icons are loaded internally).


FrmNewDefaultTemplate

 radiobutton Use default template

Uses the built-in default project template to create the new help project. This is an empty file. Alternatively, you can select another Help & Manual project to use as the template.


FrmNewFileTemplate

 radiobutton Use template file

Uses a Help & Manual project as the template for the new help project. All existing settings and topics from the template will appear in the new help project. Choose [...] to select a template file.

To set the selected template as default for future help projects, enable the option Use this output path and template as the default.


FrmNewHeadings

 Quick start

Help & Manual adds the lines you enter here to the Table of Contents and automatically creates a few topics. This function is convenient to get you started quickly. You can delete and change them later and add new items to the Table of Contents.

The suggested default entries create the Table of Contents below:

tocnew


FrmNewImportFile

 Import file

Lets you specify the source of the file to import.


FrmNewNext

 Next button

Jumps to the next page of this wizard.


FrmNewPrevious

 Previous button

Jumps to the previous page of this wizard.


FrmNewProjectfile

 Help & Manual project file

Defines the file name of the new help project you are about to create.


FrmNewRbImportHLP

 radiobutton Decompile a Winhelp file

Choose this import option to read a compiled Winhelp file (.hlp) directly.


FrmNewRbEmpty

 radiobutton This is a new help project

Select this option if you want to create an empty new help project.
If you have created Windows help files with other tools and want to import that sources, select the second option.


FrmNewRbImportHPJ

 radiobutton I have created help files before

Select this option if you have created Windows help files with other tools and want to import existing source files.
Specify the source file in the entry box below.


FrmNewRbImportCHM

 radiobutton Decompile a HTML Help file

Choose this import option to read a compiled HTML Help file (.chm).


FrmNewRbImportRTF

 radiobutton Import an RTF document created with MS Word

Choose this import option, when the source of your document is not formatted to compile a help file from it. For example, if you have created a user manual with MS Word. Save the Word document in RTF format to import it in Help & Manual.

Note:
The source of a Windows help file (.hlp) is also an RTF document, but has an accompanying .hpj project file. If you have an .hpj, please use the import option above.


FrmNewUseasdefault

 checkbox Use this output path and template as the default

Saves the output path of the new help project and the template settings as defaults for future help projects.


FrmOptBrowselist

 Browse sequences

Displays a list of defined browse sequences. Use Add to add a new browse sequence, Change to change the name of the selected browse sequence and Delete to remove it from the list. To add topics to a browse sequence, drag it from the list of available topics and drop it on the browse list on the left.


FrmOptBtnAdd

 Add

Adds a new secondary window to the list.


FrmOptBtnAutoBrowse

 checkbox Auto-create browse sequences

Enable this option to automatically create one large browse sequence for all topics that do not belong to another browse sequence.


FrmOptBtnBrowseadd

 Add

Adds a new browse sequence to the list.


FrmOptBtnBrowsechange

 Change

Changes the name of a browse sequence. This name is only used internally to illustrate the purpose of a browse sequence.


FrmOptBtnBrowseDel

 Delete

Deletes an item from the current browse sequence. If the selected item is a topic, the topic is removed, if it is the browse sequence, the browse sequence itself, including all topics, is removed.


FrmOptBtnBrowseTopics

 Available topics

Displays a list of topics defined in your help project. To add a topic to a browse sequence, drag it to the list on the left side and drop it over the desired position.


FrmOptBtnCbAutosize

 checkbox Auto-size height

Lets Winhelp auto-size the height of a secondary window according to the length of the topic that is displayed. This option is only available for secondary windows.


FrmOptBtnCbKeepontop

 checkbox Keep on top

If this option is checked, the help window is always on top, in front of all other windows, even of the application that calls the help file.


FrmOptBtnCbMaximize

 checkbox Maximize window

Lets Winhelp maximize the help window when it is displayed. While the user can normalize the help window, the initial state is always maximized.


FrmOptBtnChangecol

 Change color

Click this button to change the color selection for the selected window.


FrmOptBtnDefaultpos

 Default positions

Resets the windows position and size to default values, these are -1. Default positions means that Winhelp chooses an appropriate position for this window when it is displayed (typically centered, full screen height, half screen width).


FrmOptBtnFormatpara

 Change Paragraph

Changes the paragraph attributes (indents and tab stops) of the style.


FrmOptBtnPosWizz

 Position wizard

Opens a window that helps you to define the windows position and size easily.


FrmOptBtnRemove

 Remove

Removes a secondary window from the list. The windows "Main" and "pop-up" are predefined values and cannot be removed.


FrmOptCbFTS

 checkbox Full text search index

If you enable full text search capabilities for Winhelp (.hlp) files, the help compiler generates a full-text search index for the Help file and the Find tab in Help is populated the first time you click it. In other words, you will not have to use the Find Setup wizard to create a full-text search file, which can take quite a while for larger Help files.

The disadvantage to creating a full-text search file for users is that it significantly increases compile time and takes up space on the distribution disks for your product. If you are shipping your product on a CD-ROM, you can probably provide the convenience of an .fts file at little cost to you. If you are shipping on floppy disks, the size of the full-text search file can affect the number of disks needed to ship your product.


FrmOptCbnoheader

 checkbox Suppress header

A normal help window is divided into a non-scrolling region (the "header") and into a scrolling text region ("text"). If you want to suppress the non-scrolling region at all, select this option.


FrmOptDefaultpath

 Image search path list

This list of path names is used to detect images. If you insert an image, Help & Manual automatically adds the path to the list. Use Add to add a new path and Remove to delete a directory from this list.


FrmOptEdCitation

 Citation

Provides space to type text that will be appended to Help text that is copied or printed from a compiled Winhelp file (HLP).


FrmOptEdFormatfont

 Change Font

Opens a font dialog box to change the font of the style.


FrmOptEdstylename

 Style name

Defines a name for the selected style. The first two styles of this list have a predefined name which cannot be changed.


FrmOptEdWincaption

 Window caption

This is the title of the help window. This title is displayed as the window caption of the compiled help file.


FrmOptEdWinname

 Window name

Defines a name for a secondary window. This name will show up in the list of available windows in the topic options.


FrmOptEdWinrect

 Left, Top, Width and Height

Defines the screen coordinates of this help window in pixels. This value is device independent and Help & Manual calculates the value relative to the users screen resolution.
If your screen is 800 x 600 and you define a window at the upper left corner (0, 0), with a width of 400 and a height of 600, this help window will always cover the left half of the screen, even if screen resolution is 640 x 480 or 1024 x 748.

Use the position wizard to adjust window size and position.


FrmOptHPJclear

 Clear lines

Empties the list of additional help project options.


FrmOptPathAdd

 Add

Opens a dialog box to choose a directory which is then added to the list.


FrmOptPathDown

 Move down

Moves the selected path one item down. This changes the search order.


FrmOptPathRemove

 Remove

Deletes the selected path from this list.


FrmOptPathUp

 Move up

Moves the selected path one item up. This changes the search order.


FrmOptPnlColorprev

 Color preview

Visualizes the actual color selection for the selected window.


FrmOptrbftsmatchphrase

 checkbox Display matching phrases

Enables you to see matching phrases as you type them, which can make it easier to find a phrase. Although this makes the full-text search index more usable, it increases the size of the full-text search (.fts) file. If your Help file is large, or your machine is slow, specifying this option can significantly increase the amount of time it takes for Help to search the full-text search file.


FrmOptrbftsphrase

 checkbox Search for phrases

Enables you to search for complete phrases, such as a first and last name. Although this makes the full-text search index more usable, it increases the size of the full-text search (.fts) file.


FrmOptrbftsSimiliar

 checkbox Search for similar topics

Enables you to mark Help topics for later reference. Help can then search for information that is related to the information in the marked topics.
This feature is most useful for searching large or multiple Help files. Although it makes the full-text search index more usable, it increases the size of the full-text search (.fts) file.


FrmOptrbftswords

 checkbox Search for words

Enables you to search only for individual words. Although this keeps full-text search (.fts) files size to a minimum, it prevents you from searching for phrases, matching phrases, or similar topics.


FrmParaAlign

 Alignment

Defines the alignment for the paragraph.
This line is left aligned.
This line is centered.
This line is right aligned.


FrmParaDelalltabs

 Delete all

Clears the list of tab stops.


FrmParaDeltab

 Delete tab

Deletes the selected tab stop from the list.


FrmParaExtraind

 Extra indent

Defines an extra indent which is applied to the second and all following lines of the paragraph. The extra indent is relative to the left indent.

Example:
This paragraph has a left indent and a right indent of 0.5". The second line of this paragraph has an extra indent of 1".


FrmTabs

Paragraph
Return to Introduction
This dialog window lets you modify the indents and tab stops of a paragraph. A paragraph consists of one or more lines without a hard line break in between. When you press ENTER, you create a new paragraph.

Units

Defines the measuring units for the paragraph. This can be either inch or centimeters.
The ruler above the topic text displays these units.

Indents

Defines the indents for the paragraph. The preview window below illustrates the appearance.

ruler

Alignment

Defines the alignment for the paragraph.
This line is left aligned.
This line is centered.
This line is right aligned.

Tab stops

Defines tab stops for the paragraph. These tab stops are absolute values which means that when your left indent is 1", the first tab stop must be greater than 1". To add a new tab stop, enter the value of the tab and then click Set tab. To delete a tab stop, select the tab in the list and then click Delete.


FrmParaLeftind

 Left indent

Defines a general left indent for the paragraph. The extra indent (below) is relative to the left indent.


FrmParaRightind

 Right indent

Defines a general right indent for the paragraph.


FrmParaSettab

 Set tab

Adds the tab value you have entered above the list to the list of tab stops.


FrmParaTabs

 Tab stops

Defines tab stops for the paragraph. These tab stops are absolute values which means that when your left indent is 1", the first tab stop must be greater than 1".
To add a new tab stop, enter the value of the tab and then click Set tab.
To delete a tab stop, select the tab in the list and then click Delete.


FrmParaUnits

 Units

Defines the measuring units for the paragraph. This can be either inch or centimeters.
The ruler above the topic text displays these units.


FrmPrevCancel

 Cancel

Cancels the print preview and closes this window.


FrmPrevCbpage

 Select page

Lets you select any page number and jumps to that page of the document.


FrmPrevFirst

 First

Jumps to the first page of the document.


FrmPrevLast

 Last

Jumps to the last page of the document.


FrmPrevNext

 Next

Jumps to the next page of the document.


FrmPrevPrevious

 Previous

Jumps to the previous page of the document.


FrmPrevZoom100

 Zoom to 100

Sets the zoom state of the preview window to 100%. Use the scroll bars to move the preview window if the page does not fit on your screen.


FrmPrevZoomDouble

 Double page mode

Adjust the zoom rate of the preview window for two pages, side by side.


FrmPrevZoomFit

 Zoom to fit page

Adjust the zoom rate of the preview window, so that the whole page fits in the window.


FrmPrevZoomWidth

 Zoom to width

Adjust the zoom rate of the preview window, so that the page fits in the screen width.


FrmPrintpreview

 Print preview

This window displays a preview of how your document will look when printed
The Table of Contents of this print preview does not display page numbers, to save one print loop (otherwise, Help & Manual would have to run twice to calculate the page numbers).


FrmPropHLPCntOffset

 Offset for Table of Contents

This option creates an offset in the Table of Contents (.cnt) of a Winhelp file. This offset is necessary when you plan to merge Winhelp files at runtime and the Table of Contents of the merged help file has an indent (does not start at level 0).


FrmRepair

Repair & Recover
Return to Introduction
The repair tool analyzes and - if needed - repairs help project files.

Even if Help & Manual crashes, there is almost always a fully functional back-up copy, left over. While you edit a help project, you are actually working on a temporary file - a full copy of the original help project. Help & Manual automatically checks whether there are any files left over from a previous crash. If found, you are prompted to recover these files with the recovery tool.

The repair & recover tool performs the following steps:

1. It attempts to open a help project
2. It reads the Table of Contents, invisible topics and the help context index.
3. It checks each topic record whether it can be read.
4. If a topic record cannot be read, it tries to recover the topic. If not possible, the topic is deleted and reported.
5. It checks whether there are any blind topics, that is, if a topic is neither referenced by the Table of Contents nor by the list of Invisible topics.
6. If this is the case, it adds the blind topic to the list of invisible topics and reports it.
7. It rebuilds the index of help context numbers. Duplicate help context numbers are removed.

See also
How to find & recover temporary files of Help & Manual after a crash


FrmReplaceBtnFind

 Find next

Finds the next occurrence of the search string, starting at the cursor position in the current topic.


FrmReplaceBtnReplace

 Replace

Replaces the found word and searches for the next occurrence.


FrmReplaceBtnReplaceAll

 Replace all

Automatically replaces all occurrences of the search string with the replacement string. The automatic Find & Replace will continue to search remaining topics.


FrmReplaceCase

 Match case

Defines whether the search is case sensitive or not.


FrmReplaceFind

 Find what

Defines the string to search for.


FrmReplaceReplace

 Replace with

Defines the replacement string. If you only want to search for a word, disable the Replace check box.


FrmReplaceSearchAll

 Search all topics (start at first)

Searches all topics, starting at the first topic in the Table of Contents.


FrmReplaceSearchAllCurrent

 Search all topics (from current)

Searches all topics and starts searching at the current topic. Topics above the current are not searched.


FrmReplaceSearchCurrent

 Search current topic

Searches for the string in the current topic only, starting at the top of the topic.


FrmReplaceSearchKeywords

 Search keywords

Searches for the string in topic keywords.


FrmReplaceSearchText

 Search text

Searches for the string in the topic text.


FrmReplaceWord

 Match whole word

Defines whether the search string may be part of a word or if only whole words are found.


FrmReportExtBrowser

 External browser

Determines whether Help & Manual displays the report in the internal browser window or in your standard browser. The project report is an html document.


FrmReportFilename

 File name

Specifies the file name for the report if you display it in an external browser.


FrmReportInclude

 Include Options

Reports all topics that match one or more of the selected criteria.


FrmReportModified

 Report modified topics only

Reports only those topics which have been modified between From and To date.


FrmReportReset

 Reset Options

Resets the report options to defaults.


FrmReportSort

 Sort order

Determines the sort order of the report.


FrmReportStatus

 Topic Status

Reports topics that match the selected topic status.


FrmReportType

 Report Type

Determines the report type and the amount of information displayed.

Short Project Report

Creates a project report with the most important topic information. This is caption, topic ID, help context number, topic status and include options.

Extended Project Report

Creates a report with more information: window type and topic keywords are included and a list of images is created. Missing images are reported.

Full Project Report

Creates a report with full information: in addition to the above, part of the topic text is displayed, topic referrers are included and images with hyperlinks are reported.


FrmReportWindow

 Window type

Reports only topics that match the selected help window type(s).
If you want to report context sensitive help topics only, set the window selection to pop-up.


FrmTargetCaption

 Caption

Specifies the caption of the anchor. The caption appears with a light green background in the text.

This background color and the caption is used internally, to make the anchor visible at design time. In the compiled help file, the caption appears as normal text and the anchor is actually invisible.


FrmTargetHelpcontext

 Help context

Like every topic, an anchor can have a help context number as well. This allows you to address this specific paragraph by context sensitive help calls from an application. The help context number must be unique throughout a help project.


FrmTargetID

 Anchor ID

Defines a name for this anchor. You must not use the same anchor name in the same topic twice.

Similar to topic IDs, the following characters are reserved and cannot be used in anchor IDs:
/ \ : * ? # = + * % ! @ [ ] >


glossCHM

 HTML Help file (.chm)

Is a single file that contains help topics, keywords and a Table of Contents in html format. This is the standard Windows help format since Windows 98.


glossCNT

 Winhelp contents file (.cnt)

This file type is an add-on to HLP files. It defines the Table of Contents of a 32 bit Winhelp file:


glossHCW

Microsoft Help Workshop
Return to Introduction
An application that is required to compile Winhelp files. This application is freely available from the resource page of our home page. Click here to download


glossHHW

Microsoft HTML Help Workshop
Return to Introduction
An application that allows you to create compiled HTML Help files. This application is freely available from the resource page of our home page. Click here to download


glossHLP

 Winhelp files (.hlp)

This is a compressed file that contains help topics and keywords. HLP or Winhelp was first introduced with Windows 3.0 and has been improved many times since then. It is the preferred help format for most help projects and is still supported in the recent versions of Windows.


glossHPJ

 Help project file (.hpj)

This is a configuration file that is used by the help compiler to compile a help file (.hlp). Together with the rich text file and optional bitmaps, this is the source of a Winhelp file.

When you create a new Help & Manual project and want to import an existing help file, Help & Manual reads this configuration file first.


glossHTMLhelp

 HTML Help

Is the successor of Winhelp. HTML Help was first introduced with Windows 98 and is included in Windows 98 and later versions. To view HTML Help files on Windows 95, the HTML Help runtime must be installed on that computer.


glossWinhelp

 Classic Winhelp

This is classic help systems of Windows, available since Windows 3.0. A Winhelp help file consists of an .hlp and a .cnt file.


GotoCbTopicID

 Topic ID or topic number

Depending on selected option above, enter either the topic ID or a help context number or a topic-error-number from the help compiler.


GotoRbHelpcontext

 radiobutton Help context number

Lets you locate a topic by its help context number(s). A help context number is the (optional) unique numeric identifier of a topic which is used to create application context sensitive help.


GotoRbtopicID

 radiobutton Topic ID

Lets you locate a topic by its topic ID. The topic ID is the unique alphanumeric identifier of each topic you have created.


HEADER

 This is the header area of your topic text and is mostly used to display the title of the help topic. The header area may also contain links. It is also called the "non-scrolling region", because in the compiled help file, this text is displayed in a separate, non-scrolling area above the topic text.


FrmProjectReport

Report Reports
Return to Introduction
Project reports help you to determine the state of your help project, to find dead links, missing images and more.

Help & Manual analyzes your help project by scanning and filtering topics. The result is an html report may either be displayed in the internal report window or in an external browser.

The project report includes hyperlinks from one topic to another.
The internal browser has search capabilities and can print the report.

Click Tools | Reports to open the Project Report dialog box.


HowDoI

 How do I...

Choose this command for information on general and special tasks.


IDH_APP_HMB

 What's This? Button

Click to start up a temporary, context-sensitive help mode. In this mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel context sensitive help.


IDH_APPLY_BTN

 Apply Button

Saves all changes you have made
without closing the dialog box.


IDH_CANCEL_BTN

 Cancel Button

Closes this dialog box without saving the changes
you have made.


IDH_CLOSE

 Close

Closes the current window.


IDH_DEFAULT

 No Help topic is associated with this item.


IDH_HELP_BTN

 Help

Displays a help topic that gives you an
overview of this dialog.


IDH_OK_BTN

 OK Button

Applies changes you have made and then
closes this dialog box.


IDH_WHAT_IS_THIS_CMD

 What's This? (Help Menu)

Starts up a temporary, context-sensitive help mode.
In this help mode you can left-click any object to display a context-sensitive help window for that object. The help window provides a brief explanation about the object and how to use it.

Note
Press ESC to cancel the context sensitive help mode.


IDH_WHAT_IS_THIS_POPUP

 What's This? Command

To get help on a selected object click What's This?


LbMacroSelection

 Selection

Select one of the listed Winhelp macros. Not all available macros are listed here. All macros listed are compatible with 16 bit Winhelp files as well as with 32 bit Winhelp files.
This selection list is just for help.
If the desired Winhelp macro is not listed, simply enter the macro string manually.


MeAKeywords

 A-keywords are similar to normal keywords (so called K-keywords) except that A-keywords never appear in the index. Separate each keyword entry by a new line.


MeKeywords

 These keywords are used to build a keyword index in help files and for the printed manual. Separate each keyword entry by a new line.


Misc

 This is a dummy text.


mnuAddAfter

 Add Item After

Opens a dialog box to add a new topic or chapter. The new item is inserted after the currently selected item.


mnuAddbefore

 Add Item Before

Opens a dialog box to add a new topic or chapter. The new item is inserted before the currently selected item.


mnuAddChild

 Add Item as Child

Opens a dialog box to add a new topic or chapter. The new item is inserted as a child of the currently selected item.

Note
The Table of Contents is limited to a maximum of 9 levels and does only allow child items for chapters.


mnuChangeConvert

 Convert chapter

This function converts a chapter without text into a chapter with text (actually a topic) or vice versa.


mnuChangeIcon

 Change icon

Changes the icon of a topic. These icons apply to html Help, MultiMedia Help and Browser based help. Winhelp files do not support these icons!


mnuClose

 Close

Closes the currently open help project but does not exit the application.


mnuCollapse

 Collapse all

Collapses all items of the currently selected list (either Table of Contents or the list of pop-up topics) and makes all child items invisible.


mnuCustomize

 Customize...

Opens a dialog box that lets you customize Help & Manual.
These options are not related to the help project, but to Help & Manual itself.


mnuDefaultbitmaps

 Built-in bitmaps

Inserts one of the built-in bitmaps of the help compiler:

bullet.bmp

chiclet chiclet.bmp

do-it do-it.bmp

emdash emdash.bmp

onestep onestep.bmp

prcarrow prcarrow.bmp

shortcut shortcut.bmp

open open.bmp

closed closed.bmp

document document.bmp


mnuDelete

 Delete Item

Deletes the selected topic or chapter including its child items, if any. This action cannot be reversed!


mnuEditcaption

 Edit topic caption

Lets you edit the caption (which appears in the Table of Contents) of the current topic.


mnuEditPara

 Edit paragraph

Opens a dialog box that lets you modify the indents and tab stops of the selected paragraph(s).


mnuExit

 Exit

Closes the application and exits.


mnuExpand

 Expand all

Expands all items of the currently selected list (either Table of Contents or the list of pop-up topics) and makes all child items visible.


mnuFindReferrers

 Find Referrers

Generates a small report with all topics that refer (link) to the current topic. If you want to delete a topic, you should check out the referrer list before.


mnuFindReplace

 Find & Replace Text ...

Opens the Find & Replace dialog box. Alternatively, press Ctrl + F.


mnuFont

 Font ...

Opens a font dialog box to modify the text attribute of the current selection.


mnuGototopic

 Goto topic

Lets you locate a specific topic by topic ID, help context number or a compiler error number.


mnuHelpAbout

 About Help & Manual

Displays the About box of Help & Manual.
The About box shows you the software version.


mnuHelpWeb

 Help & Manual on the Web

Links to the Help & Manual home page.


mnuInsertAVI

 AVI ...

Inserts a video file (AVI) into the topic. More about using videos in help files.


mnuInsertChar

 Special Character ...

Opens a window that lets you choose special characters from a character table to insert them into the text.

Examples: 8*(&)J


mnuInsertEmbeddedTopic

 Embedded topic ...

Inserts an embedded topic into the text. An embedded topic is a reference to another (typically small) topic that should be merged into this topic when you compile a help file.


mnuInsertHTMLcode

 Plain html Code

Opens a dialog box that lets you add plain html code to your topic. This is useful when you want to extend the html output of Help & Manual, for instance when adding an html script to a topic. You must be familiar with html coding to use this function.

Plain html code applies to html only. When you create a Winhelp (.hlp) file or print a user manual, this piece of code is ignored.


mnuInsertIFDEF

 Conditional text ...

Inserts a text condition into the topic. Text conditions are used to include or exclude parts of the topic text from a particular output.


mnuInsertInternetlink

 Internet Link ...

Inserts a link to an internet address or sends an email.


mnuInsertLine

 Horizontal Line

Inserts a horizontal rule into the text.


mnuInsertMacro

 Winhelp Macro ...

Inserts a Winhelp macro into the text. Macros can be used to customize .hlp files.


mnuInsertOLE

 OLE-Object

Opens a dialog to insert an OLE object into the topic.


mnuInsertPagebreak

 Manual Page Break

Inserts an explicit page break for the print manual and for PDF export.


mnuInsertTarget

 Anchor...

An anchor is a location somewhere in the middle of a topic that can be addressed by a link. It lets you jump to a specific paragraph.


mnuInsertVariable

 Text Variable ...

Inserts a text variable into the topic.


mnuLayout

 Text layout

Applies a text style to the current selection. Text styles are defined in the project options.


mnuLoadSave

 Load / Save topic

Opens a dialog box to load topic text from a rich text file or to save the current topic text to a rich text file.


mnuMiscSpellcheck

 Spell check

Starts the spell checker.
Click Config Spell Checker to specify the dictionaries you want to use.


mnuMiscSpellConfig

 Configure Spell Checker

Opens the configuration dialog of the spell checker. This dialog lets you organize the dictionaries used by the spell checker.


mnuPastetext

 Paste Text Only

Inserts the content of the clipboard as plain text. While Paste copies text from the clipboard including the attributes of the text (font name, size and style), this function does not copy text attributes.


mnuPopConvertImage

 Convert Embedded Image

Convert the selected object to an image file. Embedded images take a lot of disk space and RAM and significantly slow down the program.


mnuPrintTopic

 Print Topic

Prints a draft of the current topic only - unlike the print manual function under the File menu.


mnuProjectBookmarks

 Bookmarks...

Opens the bookmarks dialog box.


mnuProjectProperties

 Project Properties...

Opens the project properties dialog box.


mnuRecallFont

 Recall Last Font

Applies the last used font style (type face, size and style) to the current selection.


mnuRefresh

 Refresh Topic

Refreshes the current topic and updates all images of the topic, if any. If you have made changes to the topic, you are prompted to save. This function allows you to disregard the changes you have made to a topic and refresh it with the previous version.


mnuRefreshImage

 Refresh image

Updates the selected image if the original image file beneath has changed.


MnuReopen

 Reopen

Provides a list of recently used help project files and folders for a quick selection.


mnuReplaceStyle

 Replace Font Styles ...

Replaces one font style with another in all topics of the current help project.


mnuReport

 Reports...

Opens a dialog window to create a project report.


mnuSaveas

 Save as...

Saves the current project under a different file name.

Note
To create a help file, use the Make command.


mnuSearchKeyword

 Keyword Search

Opens the keyword finder.


mnuSelectAll

 Select All

Selects the all topic text at once.


mnuSort

 Sort Items Alphabetically

Sorts the children of the selected chapter alphabetically.


mnuSyntaxCustomize

 Customize syntax highlighter

Opens a dialog box that lets you customize the font face, size, colors and styles of the syntax highlighter.


mnuSyntaxStyle

 Choose a syntax highlighter style

Pascal formats a piece of code like the Borland Delphi code editor. This syntax highlighter recognizes Pascal reserved words, Pascal comments and compiler switches.
C++ formats a piece of code like the Borland CBuilder code editor. This syntax highlighter recognizes C++ reserved words, C++ comments and compiler switches.
Visual Basic formats a piece of code like the Visual Basic code editor. This syntax highlighter recognizes VB reserved words and VB comments.


mnuTabindent

 Tabs and indents

Opens a dialog box that lets you modify the indents and tab stops for the currently selected paragraph.


mnuTableConvertTable

 Convert Table to Text

Converts a table into tab delimted text.


mnuTableConvertText

 Convert Text to Table

Converts a tab delimted text into a table.


mnuTableDelete

 Delete

Deletes the selected row, column or the whole table.


mnuTableFormat

 Format...

Opens the table format dialog box.


mnuTableInsert

 Insert

Inserts a new row or column to a table.


mnuTableMerge

 Merge Cell with next

Merges the cell with the next table cell and creates a cell that goes over 2 columns.


mnuTableSelect

 Select

Selects a row, a column or the entire table.


mnuTableSplit

 Split Cells

Separates cells that were combined.


mnuTableSplitTable

 Split Table

Splits the table into two tables at the current row.


mnuTbBookmarks

 Bookmarks toolbar

Displays or hides the Bookmarks tool bar.


mnuTbEdit

 Insert & Edit

Displays or hides the Edit tool bar.


mnuTbFile

 File toolbar

Displays or hides the File tool bar.


mnuTbFormat

 Text Format toolbar

Displays or hides the Format tool bar.


mnuTbHelp

 Help toolbar

Displays or hides the Help tool bar.


mnuTbNavigation

 Topic Navigation toolbar

Displays or hides the Navigation tool bar.


mnuTbParagraph

 Paragraph Format toolbar

Displays or hides the Paragraph format tool bar.


mnuTbTools

 Tools toolbar

Displays or hides the Tools tool bar.


mnuTextEdit

 Edit

Opens a dialog box to change the properties of the selected object.


mnuTextMakeKw

 Make keyword

Makes the selected text a keyword and adds the string to the keyword list of this topic.


mnuTextPlain

 Convert to plain text

Changes the selected object to plain text.


mnuToolsContext

 Help Context Tool

Starts the help context tool which lets you delete, add, import and export help context numbers.


mnuToolsImpict

 Impict Image editor

Opens the Impict image editor of Help & Manual.


mnuToolsManualDsgn

 Print Manual designer

Opens the print manual designer of Help & Manual. The print manual designer is used to customize the layout of your print manuals and PDF files.


mnuToolsRepair

 Repair and Recover

Starts the Recover & Repair tool. This tool is used to recover lost project files after a crash and repair them.


mnuTopicStatus

 Change Status

Changes the status of the topic. A help topic can have one of 4 status indicators which are visually represented by different colors:

Complete (transparent background)
Under Construction (yellow background)
Needs Review (light blue background)
Out of Date (red background)

The topic status is used to mark topics that still need some review. You can select topics by their status in the Project Report.


mnuUndockTopic

 Undock Topic Options

Undocks the topic options tab which normally appears as a tab in the right pane, along with the Help Text editor window. If the topic options tab is undocked (displayed in a separate window) you can dock it into the main form again by calling this command.


mnuUndocktree

 Undock Table of Contents

Undocks the navigation pane on the left side to enlarge the text editor. If the navigation pane is undocked (displayed in a separate window) you can dock it into the main form again by calling this command.


NotFound

 Sorry, the file was not found in this directory.


Misc

Additional settings for the Winhelp Project File

(Section of the Project Properties dialog)
Return to Introduction
The edit box on this tab allows you to define additional settings that should appear in the exported .hpj file. The .hpj (help project) file which is required by the help compiler to compile your project into a Windows help file, is always overwritten when you export your project.

This option is recommended for advanced users only! You should have skills in creating help files manually before you change this option!

Help & Manual creates the settings for the .hpj file automatically. However, you may wish to add other settings that are not generally included. The statements in this edit box must look like an .ini file. Example:

This is the content of a typical .hpj file created when you export your help project:

; This file is maintained by HCW. Do not modify this file directly.
[OPTIONS]
HCW=0
COMPRESS=12 Hall Zeck
LCID=0x409 0x0 0x0 ;Englisch (USA)
REPORT=Yes
CHARSET=1
FTS=1
CONTENTS=Introduction
TITLE=Help & Manual help
CNT=.\HELPMAN.cnt
COPYRIGHT=© 2001 EC Software, all rights reserved
CITATION=© 2001 EC Software
DEFFONT=MS Sans Serif,8,0
HLP=.\HELPMAN.hlp

[FILES]
.\HELPMAN.rtf

[WINDOWS]
Another="Secondary window",(110,276,679,408),27904,(r16777088),(r12632256),1
Main="Main window",(204,3,592,743),28420,(r16777215),(r12632256),f3

There is no [MAP] section in this file because no help context was defined in any of the topics. Let's say you want to include another file that contains the mappings for context sensitive help. You can include other files with an #include statement. Also, you want to change the target path for the compiled help file. In this case, you would enter the following lines in the edit box of the misc tab:

[OPTIONS]
CNT=F:\data\common projects\help\helpman.cnt
HLP=F:\data\common projects\help\helpman.hlp
[MAP]
main_index=HID_MAIN
#include .\ProjektX.txt

When Help & Manual exports your help project the next time, your settings will be merged into the .hpj file. The result would look:

; This file is maintained by HCW. Do not modify this file directly.
[OPTIONS]
HCW=0
COMPRESS=12 Hall Zeck
LCID=0x409 0x0 0x0 ;Englisch (USA)
REPORT=Yes
CHARSET=1
FTS=1
CONTENTS=Introduction
TITLE=Help & Manual help
CNT=F:\data\common projects\help\helpman.cnt
COPYRIGHT=© 2001 EC Software, all rights reserved
CITATION=© 2001 EC Software
DEFFONT=MS Sans Serif,8,0
HLP=F:\data\common projects\help\helpman.hlp

[FILES]
.\HELPMAN.rtf

[WINDOWS]
Another="Secondary window",(110,276,679,408),27904,(r16777088),(r12632256),1
Main="Main window",(204,3,592,743),28420,(r16777215),(r12632256),f3
[MAP]
main_index=HID_MAIN
#include .\ProjektX.txt

More information about the available settings of an .hpj file can be found in the documentation of the Microsoft Help Workshop.


PnlPrintOptions

 Include options

Defines which builds this topic is included in. The default is All Builds.

DEMO, USER1, USER2 and USER3 are additional options with no appropriate output. You can use them for the fine tuning a help project, or for special compilations.


PrnDlgAllpages

 radiobutton Print all pages

Print all pages of the manual.


PrnDlgBtnBack

 Back

Returns to the first page of the print dialog box.


PrnDlgBtnNext

 Next / OK

Goes to the second page of the print dialog box and starts a print job.


PrnDlgColorOptions

 Colored text options

Defines how colored text is printed. In a paper manual, you may not want to have green, underlined links.


PrnDlgFromToPage

 radiobutton From page to page

Lets you select a range of pages. Printing starts with From page and ends with To page.


PrnDlgInclude

 Include Options

Includes all topics that match one or more of the selected criteria. These include options also apply to conditional text.


PrnDlgInsertSeeAlso

 checkbox Print links with page referrers

Adds a page referrer to links. A page referrer is a "see also" hint - a small page symbol with the manual page number.


PrnDlgPageSelect

 Print selection

Lets you print all pages in range selected above, or just even or odd pages.
You can, for example, choose to print the odd pages from the range 17 to 51.


PrnDlgPrint2File

 Print to file

Creates a printer file. Enter the file name in the text box.


PrnDlgPrintCutmarks

 Print cutmarks

Prints small horizontal and vertical lines at the edges of the manual pages for easier cutting.

This option has effect if the manual pages are smaller than the printer paper size. (Otherwise the cutmarks run off the printable area and you won't see them.)


PrnDlgPrinter

 Printer

Selects the printer for the user manual. Click Printer... to change the selected printer and/or printer properties.

Note:
Even the WYSIWYG print preview is rendered for a specific printer. If you change the printer, this may result in slightly different line and page breaks due to varying printer resolutions.


PrnDlgPrintStyle

 Print style

Defines the print style - how the manual pages are printed.

Normal (size 1:1)
Prints one manual page on each printer page. The printer orientation is automatically adjusted, the manual page is printed in the top left corner. The actual paper size of the printer should be identical to the manual page size, or larger.

Centered on Printer Page
Identical to Normal but centers the manual page horizontally and vertically. This only makes a difference if the manual page size is different from the printer paper size. If your manual page size and the printer paper size are of the same format, you get a simple 1:1 copy.

Stretched to Printer Page
Stretches the manual pages to fit the printer paper size. The currently selected paper size (of the printer) applies! If the manual pages are smaller than the actual paper size, the pages are enlarged.

Booklet (2 Manual Pages per Printer Page)
Creates a booklet where two manual pages are printed side by side on one printer page. Before the printout starts, Help & Manual calculates the total number of pages and shifts the page order accordingly. Please note that the printer paper format must be large enough to fit two manual pages!

Draft Two Fold (2 Pages per Printer Page)
Draft print. Prints two manual pages per printer page and stretches the manual pages to fit on the printer paper size.

Draft Four Fold (4 Pages per Printer Page)
Draft print. Prints four manual pages per printer page and stretches the manual pages to fit on the printer paper size.


PrnDlgSelectpage

 radiobutton Select pages

Lets you specify an individual selection of pages. Type in the page numbers you want to print and separate them by a comma. You can also enter from-to ranges.

Example
2, 4-5,15 prints the pages 2, 4, 5 and 15.


PrnDlgTemplate

 Print manual template

Defines the template file that is used to print the user manual.
Click Design... to open the print manual designer.


PrnDlgTemplateDesign

 Design...

Opens the print manual designer.


PropAutocontext

 checkbox Automatic help context numbering

Enables the automatic creation of help context numbers for every new topic that you create. If you check this option, you must also define a start number and an increment value.


PropAutoContextAnchor

 checkbox Apply help context numbers to topic anchors

By default, Help & Manual automatically adds help context numbers to new topics only. But anchors in help topics can also have help context numbers (supported by Classic Winhelp only). This option determines whether Help & Manual applies help context numbers to topic anchors.


PropAutoContextInc

 Increment

Defines the value by which help context numbers are automatically incremented. This value must be greater than 0 to enable automatic help context numbering.


PropAutoContextStart

 Start value

Defines the next context number that is automatically assigned to the next topic you create.


PropCHMHHPClear

 Clear lines

Empties the list of additional help project options.


PropCHMHHPLines

Additional settings for the .HHP file

(Section of the Project Properties dialog)
Return to Introduction
The edit box in this tab allows you to define additional settings that should appear in the exported .hhp (HTML Help project) file.

This setting is blank by default. You may need to modify it if you want to enable actions in the compiled HTML Help file that require additional files, e.g. additional images.

Example:


PropCHMPopupFilename

 File name

Specifies the name of the .hlp file of the pop-up topics. Enter the file name only, without path. The file will be created in the same output folder as the .chm file.


PropCHMPopups

 Text only pop-ups

Exports pop-up topics as text only. Line breaks are retained, formatted text, images and links are not. HTML Help text pop-ups are stored in an internal text file inside the compiled HTML Help file. This internal text file is called "CSHelp.txt" by default.

HTML encoded topics

Exports pop-up topics as regular topics. Full text layout is kept but the topic will appear in the main help window, not in a pop-up window.

Winhelp pop-ups

Creates a dual mode help file: Regular topics are html based and contained in the HTML Help (.chm) file. pop-up topics are compiled separately as .hlp file. The entry box below specifies the file name for the .hlp pop-ups.


PropCHMPopupTextfile

 Internal Text File

HTML Help text pop-ups are stored in an internal text file inside the compiled HTML Help file. This internal text file is called "CSHelp.txt" by default. This option allows you to specify a different name. Do not include any path information in this setting.


PropComment

 Comment

This is an internal comment for your own information. The comment is displayed in the open dialog when you select a help project file to open.


PropCopyoptions

 Copy options from...

Copies the selected section from another Help & Manual project.

Note: some options - such as the default topic and browse lists - are not modified by this command.


PropCopyright

 Copyright

Provides space to specify your copyright. The copyright is displayed in Winhelp files when you click on the Help menu in a main window, and then click on Version.


PropDefaultFont

 Default for Help File Dialog boxes

Defines the font that is used in the Table of Contents, the keyword index and in dialog boxes of your compiled help file.

This option applies to all compiled help files (HLP and HTML Help).


PropDefaulttopic

 Default topic

Specifies the topic that is displayed by default when the compiled help file is opened.

Note: we recommend defining this default topic explicitly. If the default topic is not defined, Help & Manual uses the very first topic of your help project as the default.


PropFontApplyCharset

 Apply charset to topics

Starts a functions that applies the changed character set to the text of all topics.


PropFontCharset

 Font charset

Defines the character set for your help project.
This applies to compiled help files as well as to the design time display in Help & Manual.


PropGridVariables

 Text Variables

Provides a place to enter custom text variables. Text variables can be used in the topic text as placeholders. Help & Manual has predefined text variables and lets you define your own additional variables.

The following variables are predefined:

TITLE
COPYRIGHT
CITATION
SELF
DATE
DATELONG
TIME
TIMELONG
NOW
TOPICLASTEDITED
MONTH
YEAR


PropHLPEncodeAnchor

 Encoding of topic anchors

HLP files treat anchors in topics as absolute IDs - equal to topic IDs. To ensure that an anchor is absolutely unique, Help & Manual creates a new ID from the topic ID plus the anchor ID. Both IDs are separated with a colon (:) by default.

This is suitable for most situations. If you need a different encoding, you may either select a different separator (an underscore or a dot) or choose the last option: no combination with the topic ID.

This last option writes the anchor IDs as they are and assumes that they are unique and do not coincide with other topic IDs. Help & Manual does not check for duplicates! Use the last option at your own risk.


PropHTMCollapseTOC

 checkbox Automatically collapse

Collapses all other TOC entries when the user selects a new branch.


PropHTMContentNumbers

 checkbox Display ordering numbers

Turns on numbering of the Table of Contents.


PropHTMDefaultExt

 Default extension

Defines the default extension for html files, which is ".htm" by default.

This property applies to Browser based help only. If you create html Help files, the default extension is always ".htm".


PropHTMDynamicTOC

 radiobutton Dynamic Table of Contents

Creates a navigation page with dynamic entries that can expand and collapse. This TOC option requires a browser with Java script capabilities.


PropHTMImageAltTag

 Export image file name as ALT tag

The ALT tag is an optional description for an image which appears when the browser does not display images or when the user points with the mouse over the image. You can use the image name to export it as ALT tag or simply omit this tag.


PropHTMImageSize

 Reduce dimensions of large screen shots

Reduces the width and height of screen shots to the given maximum values. If an image exceeds either the max width or height, it is scaled down.


PropHTMImageSmartOvr

 Smart overwrite

Checks whether the output file (the converted image) exists at all and has the same file date as the source image. If the file date is the same, the image conversion is skipped which results in a faster export.


PropHTMIndexDesigner

 Design Mode

Switches between a simple style editor and a text box that lets you modify the html template directly. When you use the simple style editor, Help & Manual changes the html template accordingly. This happens in the background. When you switch to direct editing, you see the changes.


PropHTMIndexHeadings

 Keyword Index Fonts

You can specify a different font face, size and style for each section of the keyword index.

Separator Font for a section heading (A, B, C, ...)
Keyword Font for a top-level keyword
Sub-Keyword Font for a second-level keyword
Topic Link Font for a topic link


PropHTMIndexPopupTitle

 Keyword Links Popup Title

The topic links which are affiliated with a keyword are displayed in a small popup window. This setting defines the title text of the popup window.


PropHTMIndexReset

 Reset

Resets the html template to default values.


PropHTMIndexSeparators

 Index Separators

Defines a list of index sections or "groups". These are typically the letters A - Z but may be changed for non-English languages. If you don't want the index to be grouped, set this option to blank.


PropHTMIndexTemplate

 Template source code

This text box lets you edit the html template directly.

Warning!
You must have skills in html and style sheet programming to modify the template directly! Help & Manual does not check the syntax of the template. If you create invalid html source code, the html export may completely fail.

If your modified html template does not work as expected, click Reset to restore the defaults!


PropHTMIndexTextbefore

 Text before Keyword Index

This text is inserted above the keyword index.


PropHTMJPGQuality

 JPEG Quality

Determines the image quality and therefore the compression of JPEG images. JPEG compression is not lossless - the higher the compression the lower is the image quality. A value of 90 is typically a good balance of image size and quality.


PropHTMScrollTOC

 checkbox Scroll into view

Automatically scrolls down to the selected entry.


PropHTMStaticTOC

 radiobutton Static Table of Contents

Creates a navigation page with static entries where all chapters are expanded. This TOC option does not require a browser with Java script capabilities.


PropHTMSyncTOC

 checkbox Synchronize Contents

Synchronizes the display of the (left) navigation frame with the (right) topic frame.


PropHTMTOCClosedBook

 Collapsed chapter

Defines a custom icon image for a collapsed chapter. This is typically represented by a closed book.


PropHTMTOCCustomIcons

 radiobutton Custom Icons

Uses custom icon images for the Table of Contents. You must specify the icon files below.


PropHTMTOCDefaultIcons

 radiobutton Default Icons

Automatically creates icons for the Table of Contents. The icons are the same as displayed during design time. If you rather want to use your own icons, select Custom Icons.


PropHTMTOCDesigner

 Design Mode

Switches between a simple style editor and a text box that lets you modify the html template directly. When you use the simple style editor, Help & Manual changes the html template accordingly. This happens in the background. When you switch to direct editing, you see the changes.


PropHTMTOCHeadings

 Headings

You can specify a different font face, size and style for each heading.


PropHTMTOCReset

 Reset

Resets the html template to default values.


PropHTMTOCTemplate

 Template source code

This text box lets you edit the html template directly.

Warning!
You must have skills in html and style sheet programming to modify the template directly! Help & Manual does not check the syntax of the template. If you create invalid html source code, the html export may completely fail.

If your modified html template does not work as expected, click Reset to restore the defaults!


PropHTMTOCTextAfter

 Text after

This text is inserted below the Table of Contents.


PropHTMTOCTextbefore

 Text before Table of Contents

This text is inserted above the Table of Contents.


PropHTMTopicButtons

 Navigation buttons

Lets you specify the caption of the navigation buttons. Navigation buttons are inserted right of the topic header (if the topic has a header at all).

Caption
The button caption is used for text links and as a hint.

Image
Instead of plain text, you can use images as well. If you define an image for a button, the caption has no effect.


PropHTMTopicDesigner

 Design Mode

Switches between a simple style editor and a text box that lets you modify the html template directly. When you use the simple style editor, Help & Manual changes the html template accordingly. This happens in the background. When you switch to direct editing, you see the changes.


PropHTMTopicReset

 Reset

Resets the html topic template to default values.


PropHTMTopicTemplate

 Template source code

This text box lets you edit the html template directly.

Warning!
You must have skills in html and style sheet programming to modify the template directly! Help & Manual does not check the syntax of the template. If you create invalid html source code, the html export may completely fail.

If your modified html template does not work as expected, click Reset to restore the defaults!


PropHTMTopicTemplateWin

 Template for Window type

Help & Manual stores a separate topic template for each window type. When you export the help project, it checks the help window defined by the topic to get the appropriate html template.

According to the default window types, there are at least two html templates for the Main window and for the window type pop-up.


PropHTMTopicTextAfter

 Text after

This text is added below the topic.


PropHTMTopicTextBefore

 Text Before

This text is inserted above the topic header.


PropKeyboard

 Keyboard layout

This option is only available when more than one keyboard layout is installed.

Help & Manual normally uses the default keyboard layout. If you have a project written in another language, for instance Chinese or Korean, you might want to use the appropriate keyboard layout to edit this project.


PropLanguage

 Language of help file

Defines the language of the compiled help file. This option effects the keyword indexing and full text search of the compiled help file.


PropMMHAbouttext

 About text

This is displayed when you click about in the viewer. The about box is a small html window, so html tags are allowed in the about text.


PropMMHCompressed

 Compress viewer

Help & Manual ships with two viewer versions: a compressed (about 310 kb) and an uncompressed version (about 780 kb). If size does not matter (e.g. if you deliver the viewer on a CD) we recommend using the uncompressed version.


PropMMHCopyProtect

 Copy protect viewer

You can enable copy protection by compiling the viewer so that it only runs if the data is loaded from a particular disk.

Note:
If you intend to create CD-R, make sure that your CD burning software has the ability to apply a particular serial number.


PropMMHIcon

 Icon

Defines a window icon for the viewer. This is the icon that appears in the task bar when the viewer is running.


PropMMHKeywordindex

 Enable keyword index

Makes a keyword index available to the viewer. You must define keywords along with your topics to create a keyword index.


PropMMHLanguage

 Language pack

Defines the language of the viewer. This is a small text file that contains translations for messages, menu items and hints.

To translate the viewer to your own language, open the language pack english.lng with a text editor, translate it and save it with a different name.


PropMMHMaximized

 Viewer window is maximized

Maximizes the viewer window when it opens. Please note that not all viewer templates that Help & Manual provides may support that.


PropMMHPageSound

 Page turn sound

Defines a sound that is played when the user jumps from one topic to another.


PropMMHPassword

 Password

If you enter a password here, this password is required to open the compiled viewer.


PropMMHPosDefaults

 Default Positions

Resets the window position to defaults.


PropMMHPositions

 Window position and size

Defines the size and initial position of the viewer window. Please note that some viewer templates may have a fix sized interface and do not support the size values.


PropMMHPosWiz

 Position wizard

Opens a dialog window for easy window positioning.


PropMMHSaveRegistry

 Not used

Description...


PropMMHSearch

 Enable full text search

Includes a full text search option into the viewer.


PropMMHSelectCopy

 Users can copy text

Enables you to copy text from the viewer to the clipboard. If this option is disabled, you can only view the pages.


PropMMHSerialnumber

 Serial number

Defines the hard disk serial number the viewer is compiled for. Click Select Disk to obtain the serial number from a disk.


PropMMHStartBmp

 Splash Image

This image is displayed when the viewer starts. You may include your company or product logo here.


PropMMHStartSound

 Startup sound

Defines a sound that is played when the viewer starts.


PropMMHTemplate

 Viewer template

Defines the skin of the viewer. Select one of the supported viewer templates.


PropPageHLPAKeywords

 Export A-keywords as ...

When you create a Winhelp (.hlp) file, A-keywords are exported by default with A-footnotes. If you need to change that, specify the footnote character here.


PropPageHLPftsIncludePopup

 Include untitled topics

Topics which do not have keywords and titles (such as topics defined with window type pop-up) are typically excluded from full text search. If you want to include them though, enable this option.


PropPDFAuthor

 Author

Author of the PDF file. This is you.


PropPDFCompression

 Compression

Specifies the compression of the PDF file.


PropPDFCreateTOC

 Create Table of Contents

Creates an expanding Table of Contents.


PropPDFEnableChange

 User can change

Enables the user to change the PDF file. If you disable this option, specify an owner password as well.


PropPDFEnableCopy

 User can copy text

Enables the user to copy text to the clipboard. Note that the user can change the PDF options unless you specify an owner password.


PropPDFEnablePrint

 User can print

Enables the user to print the PDF file. Note that the user can change the PDF options unless you specify an owner password.


PropPDFEncrypt128bit

 Strong 128 Bit Encryption

Your PDF file will be automatically encrypted if you set a user or owner password and uses a 40 bit encryption by default. This option allows you to apply a stronger 128 bit encryption. Not all PDF readers support 128 bit encryption.


PropPDFFontEmbedding

 Font embedding

Defines whether and how Help & Manual embeds fonts into the PDF file. Although this increases the size of the PDF significantly, it is recommended to embed True Type fonts. If you do not embed fonts, the PDF file may not be displayed correctly because of substituted fonts.

· Do not embed True Type fonts:
Does not embed any fonts, the fonts used in your document must be available on the user's computer

· Embed TrueType fonts:
Embeds TrueType fonts except the fonts from the exclude list

· Embed Symbol fonts only:
Embeds Symbol TrueType fonts only (like Symbol and WingDings)

· Use Base 14 Type1 Fonts:
Uses the built-in PDF fonts as substitutes

· Embed TrueType Subset:
Embeds TrueType fonts, but only the code page that is used

· Embed TrueType used characters only:
Embeds TrueType fonts, but only the characters that are used (Warning: slow!)


PropPDFFontExAdd

 Add font

Adds a font to the exclude list (so that the font is not embedded).


PropPDFFontExclude

 Exclude fonts

Fonts like Arial, Courier or Times New Roman do not need to be embedded. You can expect that these fonts are installed on the computer of the user.


PropPDFFotnExRemove

 Remove font

Removes a font from the exclude list.


PropPDFHyperlinks

 Active hyperlinks

Defines whether hyperlinks in help topics are enabled in the PDF file. Help & Manual only exports those hyperlinks which point to topics in the Table of Contents. A PDF file cannot contain invisible topics.


PropPDFIgnoreBlank

 Ignore blank pages

Skips any blank pages that may be defined in the print manual template. The PDF file is more convenient to read if it does not contain blank pages like a paper manual.


PropPDFJPEGQuality

 Image Quality

Defines the compression of images in the PDF file.
We recommend JPEG compression with a quality of 50 to 100 % as this is a good compromise between image quality and PDF size.


PropPDFKeywords

 Keywords

Keywords of the PDF file. These keywords are used by some PDF tools to search for PDFs that match a particular keyword.

Note:
These keywords apply to the PDF file as a whole. The keywords have nothing to do with the topic keyword index that Help & Manual creates.


PropPDFOpenMode

 Open Mode

Specifies how the PDF reader opens the document by default. This is only a suggestion for the PDF reader and may be overwritten by user settings.


PropPDFOwnerPW

 Owner Password

Specifies the password that is required to modify the PDF.


PropPDFPages

 Pages

Defines which pages (sections) from the print manual template are used. You can enable and disable sections in the template file directly. The aim of this setting is to enable you to use one manual template for direct printing and for PDF export but disable certain pages that you do not want in the PDF file.


PropPDFStyle

 PDF Style

Creates an interactive or static PDF file. Interactive PDF files may have an expanding Table of Contents and active hyperlinks.


PropPDFSubject

 Subject

Subject of the PDF file. This is a kind of sub-title.


PropPDFTemplate

 PDF manual template

The PDF export works like a printer: it "prints" a user manual to a PDF file. The layout of printed user manuals as well as PDF is defined by manual templates. This option specifies the template used for PDF export (may be different from the print function).


PropPDFThumbnails

 Create thumbnails

Creates page thumbnails. This increases the size of the PDF file.


PropPDFUserPW

 User password

Specifies the password that is required to view the PDF.


PropPDFZoomMode

 Zoom Mode

Specifies which zoom mode the PDF reader initially uses to display the document.


PropRTFEmbedImages

 Embed Images

Embeds images into the RTF manual. This results in a much larger RTF file and if you used many images, MS Word may not be able to open the document.


PropRTFGreenHotspots

 Hotspots green underlined

Marks hotspots as green underlined text.


PropRTFTranslateOLE

 Translate OLE objects into images

Translates (embedded) OLE objects into plain bitmaps. This makes OLE objects smaller.


PropStyleAdd

 Add Style

Adds a new style to the list.


PropStyleApplyFont

 checkbox Apply font

A format style consists of paragraph attributes and font attributes.
If you want to apply font attributes to the selected text when using this style, enable this option.


PropStyleApplyPara

 checkbox Apply paragraph

A format style consists of paragraph attributes and font attributes.
If you want to apply paragraph attributes to the selected text when using this style, enable this option.


PropStyleDelete

 Delete Style

Deletes the selected style from the list. The styles Header Default and Text Default are predefined and cannot be deleted.


PropStylePreview

 Preview

Displays a preview of how this style looks like.


PropStyleShortcut

 Shortcut

Defines a keyboard shortcut for this style. Using keyboard shortcuts you can quickly apply a style to the selected text.


PropTitle

 Title

Provides space to type text that will appear in the title bar of the main Help window if no main window type is specified in the Windows Properties dialog box.
If you leave this box blank and the contents (.cnt) file does not specify a title, the words "Windows Help" appear in the title bar of your main windows.


PropTree

 Navigation Tree

This tree view organizes the properties into sections. Click on the plus sign to expand a section.

When a section is displayed bold, you made changes to this section. Click OK or Apply to save the changes.


PropVariablesAdd

 Delete

Deletes the selected line in the grid.


PropVariablesDelete

 Add

Adds a new line to the grid to enter a new custom text variable.


PropVariablesExport

 Export Text Variables

Saves the current list of variables to a text file. This is useful if you want to maintain several sets of variables.


PropVariablesImport

 Import Text Variables

Imports a list of variables from a text file. The text file must be structured like an INI file where the name and value pairs are separated by a equal ("=") symbol.


PropVariablesTranslate

 Translate variables names in Table of Contents, Keywords and Links

Help & Manual attempts to translate text variables even in the caption of TOC entries, keywords and in links. You can insert a text variable in the Table of Contents or in the caption of a link by manually entering the variable name as "<VARIABLE>".

This function, however, makes documentation of certain topics impossible. The expression <TITLE>, for instance, is always translated in the help project title, so you cannot use this string. This may be a problem if you have to document XML statements or similar material. Please disable this option in this case.


PropWindowCHMJump1

 checkbox Jump1

Adds a Jump button to the toolbar of the HTML Help file. HTML Help files have 2 predefined jump buttons that can be activated or not.

Enter the target URL of the jump button in the grid right of the check box.

Please note that HTML Help does not allow to change the icon of the jump buttons:
hhjump


PropWindowCHMJump2

 checkbox Jump2

Adds a Jump button to the toolbar of the HTML Help file. HTML Help files have 2 predefined jump buttons that can be activated or not.

Enter the target URL of the jump button in the grid right of the check box.

Please note that HTML Help does not allow to change the icon of the jump buttons:
hhjump


PropWindowCHMNavPaneWidth

 Navigation pane width

Defines the width of the navigation panel in pixels and applies it to the help window width.


PropWindowCHMSaveReg

 Save user settings in registry

Defines whether HTML Help saves the window position in the registry and restores it when the user opens the help file the next time.


PropWindowCHMUserbuttons

 User defined buttons

HTML Help has 3 buttons that can be freely addressed.

Jump 1: specifies the URL of the Jump 1 button
Jump 2: specifies the URL of the Jump 2 button
Home: specifies the URL of the HOME button


PropWindowHLPAbsolute

 Window coordinates are absolute

You define the window size and position in pixels for your own desktop size.

This option determines whether the help window position and size is absolute (in pixels) or sized accordingly if the help file is displayed on a computer with a different screen resolution.


PropWindowHLPButtons

 Window buttons for HLP files

Defines which buttons are visible on the tool bar of the help window.


PropWindowHLPCustomButtons

 Custom buttons in HLP files

The windows of HLP files allow to add custom buttons.

Caption
Specifies the caption of a button. To add a shortcut, insert a & before the character that should become the shortcut.

Macro to execute
Specifies a Winhelp macro that is executed when the user clicks the button.

Example:

Caption I&nternet
Macro ExecFile("http://www.ec-software.com/index.html")

Result:
hlpcustombutton


RbInetlinkType

 Link type

Determines whether it is a link to an internet address or to send email.


RbInsertDEF

 IF, IFNOT and ENDIF

Defines the text condition to apply. A text condition always consists of two statements, an IF or IFNOT statement to start the condition and an ENDIF to terminate it.

IF ... The embraced text is included when the include option(s) is (are) true
IFNOT ... The embraced text is excluded when the include option(s) is (are) true
ENDIF ... Terminates the text condition


RbInsertInclude

 Include option

Includes or excludes the embraced text into or from all of the selected output formats.


RgInsertjumpStyle

 Style

How should your link appear?

· A normal text link (appears as green underlined text in the final help file) is the default.
· If you want to display a pop-up window on your link, select the second option (and make sure that the topic the link points to is defined as a pop-up topic in a pop-up window).
· A button with caption or a small button if you omit the caption text
· A bitmap. In this case please use the "caption" entry window to specify the bitmap you want to display.


RgMacroStyle

 Style

How do you want your macro to appear?
· Green text: like a normal help link, green underlined
· Non-green text: underlined, but normal text color
· Button: Create a button for the macro (note: if you leave the caption blank, the button will appear as a small 12 x 12 pixels button)
· Bitmap: Use a bitmap for the macro


Ruler

 The ruler displays the indents and tab stops of the current paragraph.
You can change tab stops and indents by dragging the markers with the mouse ,or double-click the ruler to open the paragraph options dialog box.

ruler

Tip
If you hold down the Ctrl key while dragging indents and tab stops with the mouse, they do not snap to the next position.


SpellCheckConfiguration

Spell Check Configuration (Dictionaries)
Return to Introduction
This tab of the configuration window controls which user dictionaries are active during the spell check. See the options tab for more configuration options.

To form a new user dictionary, click New.
To edit an existing user dictionary, click Edit.

See Also:
Configuration Options


SpellCheckConfiguration2

SpellCheckConfiguration (Options)
Return to Introduction
This tab of the configuration window controls specific configuration options related to the spell check.

spellcheckconfig

Ignore Options

· The "Words in UPPERCASE" check box, when checked, forces the spell checker to skip any words completely in uppercase. This can be useful for ignoring abbreviations.

· The "Words Containing Numbers" check box, when checked, forces the spell checker to skip any words that may contain one or more numeric characters. This can be useful for ignoring license plates and other partially numeric words. This can also be somewhat detrimental if a number key was accidentally pressed instead of a character.

· The "Quotes lines" check box, when checked, forces the spell checker to skip any sentences that are enclosed in quotes.

· The "Suggestions from main dictionary only" check box, when checked, forces all suggestions to be constructed from the primary dictionary only. If the option is not checked, then suggestions are generated from each main dictionary. The primary dictionary is the first dictionary in the main dictionaries list

· The "Prompt on repeated words" check box, when checked, forces the spell checker to detect repeated words like "the the".

Dictionaries

Lists all dictionaries found in the .\Dictionaries folder of Help & Manual. Only those dictionaries which are checked, are used by the spell checker.

General Options

The "Re-check Replaced Words" check box, when checked, forces the spell checker to re-check words that it has replaced as a result of a change or change all operation. This is a useful feature to counter-act the occasional spelling mistake that may occur when typing a corrected word.

The OK button saves the current configuration and closes the configuration window.

The Cancel button aborts any changes made to the configuration, and closes the configuration window.

See Also:
Dictionary Options


FrmSpellcheck

Spell Check dialog
Return to Introduction

The spell check dialog provides many useful options for easily locating misspelled words and correcting them. Many different configuration options are also available (see Spell Check Configuration for more details).

The Change All button will replace all occurrences of the misspelled word with the word in the "Replace With:" edit field, while the Change button replaces only the current occurrence of the misspelled word.

The Ignore All button will ignore the word thought to be misspelled throughout the rest of the spell check, while the Ignore button will only ignore the current occurrence.

The Add button adds the word in the "Not Found:" edit field to the user dictionary specified in the Configuration.

The Auto-Correct button adds the words in the "Not Found" edit field and the "Replace With" edit field to the current user dictionary (specified in the Configuration) as an auto-correct pair. Any future occurrence of the presumed misspelled word will then be replaced with the correct spelling automatically. This is useful for common spelling mistakes, such as recieve:receive and teh:the.

The Suggest button will, if possible, add additional word alternatives to the suggestions list.

The Start button is used to restart a spell check session from the current cursor position if the spell check window lost focus in favor of another window in the current application. This gives you the freedom to edit the document being checked without ending the current spell check session.

The Undo Last button restores the last spell check action performed and reselects the previous misspelled word (if possible). This button can be pressed multiple times to undo multiple operations.

The Options button shows a window allowing you to set spell check configuration options


SpellCheckDictionaryEdit

Spell Check Dictionary Editor
Return to Introduction
This configuration dialog lets you edit custom dictionaries.

spellcheckeditdict

Added Words

Defines a list of words which are always considered correct during a spell check operation. The spell checker does not prompt on these words.

Auto-Correct Pairs

Defines a list of word pairs that are automatically corrected.

Excluded Words

Defines a list of words which are always considered incorrect during a spell check operation. The spell checker will prompt on these words.


Standard topics

 This is a dummy topic - it never appears in your help project.
It is used to group standard help topics under a pseudo-chapter.


stStatusbar

 The status bar displays various information of the current topic and - if you are editing text - of the current position in the text.


SyntaxBtnResetDefault

 Reset default

Resets all element settings to original defaults.


SyntaxCbAddKeywords

 checkbox Add keywords

This option is available when you specify an alternative keyword list. This option determines whether the alternative list of keywords replaces the built-in list of reserved words or if it will be merged with it.


SyntaxCbFontface

 Font face

Defines the overall font face that source code examples are formatted with. The font face applies to all elements.


SyntaxCbFontSize

 Font size

Defines the overall font size that source code examples are formatted with. The font size applies to all elements.


SyntaxCbStyles

 Font style

Defines the font style for the selected element.


SyntaxCgFontColor

 Font color

Defines the font foreground color for the selected element.


SyntaxEdKeywords

 Keyword list

The syntax parser has a built-in list of reserved words for each syntax style. You can replace the list of reserved words by entering the name of a text file here.

The text file is assumed to contain a list of reserved words, where each word is a separate line that ends with a CRLF.

If you do not want to replace the built-in keywords but rather add your keywords to the built-in list, enable the check box below.


SyntaxLbElements

 Elements

Select a syntax elements from this list to change the style of this element.

Plain text This is normal text. Procedures, functions, names and other identifiers that are not reserved words and not strings, numbers or comments are formatted with this style.
Reserved word These are keywords known by the compiler. It varies among syntax parsers which words are recognized as reserved words. Usually, reserved words are formatted bold or in a different color.
Comment Comment text. This can be a line comment or text between comment identifiers, such as { } in Pascal.
Number Integer values, decimal and hexadecimal numbers
String Single characters and strings
Compiler directive Compiler switches and similar statements. Compiler directives are only supported by the Pascal and C++ parser.


TellMeAbout

 Tell me about...

Choose this command to get an overview about procedures and terms used in this help file.


TEXT

 This is where you enter the text of your help topic. In the compiled help file, this text scrolls if the window isn't large enough to display all the text.


Treeview

 Table of Contents

This view shows you the chapters and topics of the current help project. This is what the final help file will display when you open the TOC of your Windows help file.

To add, edit or delete entries in the TOC, click Topics and select the desired command.


Treeview2

 Invisible Topics

This list contains invisible topics only. Invisible means that these topics do not appear in the Table of Contents or in the print manual. A typical example for an invisible topic is a context sensitive help topic that describes a particular control (like this topic).


UpdateV3

Comparison Help & Manual version 3 versus version 2
Return to Introduction
Help & Manual 3 was released in November 2001. What has changed since version 2.7? Here is an overview of the most important features we implemented in version 3 - a lots of reasons to upgrade!

Faster than ever Help & Manual 3 is now 30% faster. Most of the increase in speed is due to the new project file format, which is significantly smaller and subsequently faster.

Improved HTML export Help & Manual creates cross browser compatible html files - browser based help. The new html export is more accurate (exact font sizes), lets you fully customize the layout of the topic pages and last, not least, it creates an expandable Table of Contents for easy navigation. Browser based help is platform independent and Java-applet free. No fuss with the missing Java VRT in Windows XP!

Variable HTML layouts Different layouts for HTML Help and browser based help are supported. Help & Manual uses html templates which can be fully customized. If you want to apply your own corporate design or implement additional functionality (Java, ASP, PHP, etc.) you will appreciate the new level of freedom.

Native PDF export PDF has become more and more important as a wide-spread, cross-platform file format. Unlike html, PDF is printer orientated, so it's perfect for creating electronic user manuals that can easily be printed. We are really proud of the PDF export and the layout capabilities! No other help tool gives you the freedom to create your own corporate PDF layout.

Electronic books Help & Manual creates e-books in Windows 32 bit executable format. No installation, no browser, no .dlls, no problems. This export format is great for CD rom presentations and stand-alone documentation.

Visual manual designer Version 3 ships with a visual manual designer. These print manual templates let you fully customize the layout of printed manuals and PDF files. The print preview is now 100% WYSIWYG (except hardware limitations).

New print engine The new print engine supports true booklet printing and draft printing.

Image editor included Help & Manual comes with a new image editor especially designed to create great looking screen shots. The built-in hot spot editor lets you easily apply sensitive areas to your images.

Generally more convenient The user interface is even tidier than that of version 2. The new project properties dialog now combines all project dependent settings and assists with unobtrusive context sensitive help. Interactive dialogs and report windows help you quickly locate problems and solve them.

Tables and Styles Missing tables were one of the shortfalls of previous versions of Help & Manual. Version 3 now supports tables as well. Styles can be freely added (no longer restricted to 6 styles) and easily applied. New paragraph options offer control over the print layout and keep lines together that should not be separated.

Modular help systems Improved support for modular help systems: multiple help files are merged at run time.

Copy & paste Table of Contents supports copy & paste! You can easily copy topics or entire chapters from one help project to another.

Text variables Instead of writing hard coded product names and version numbers, use a repository of text variables that you can quickly change. Several variables are already predefined and can be extended by your own list of variables. The same text variables are consistently used in topics, keywords, manual templates and html layout templates.

Embedded topics Similar to text variables you can include one topic into another.

Conditional text You can include or exclude topics, chapters or parts of the topic text into or from a particular output format. This is useful when including large screen shots in a printed manual or PDF, while the images are omitted in the online help.

Find & replace Supports keywords as well. A keyword finder displays the keyword index at design time and helps you to find duplicates or detect missing keywords.

Multiple undo The topic text editor supports multiple undo.

Project reports Greatly improved interactive project reports give you a quick overview of the state of your help project.

Topic status Topics may be marked with a specific status, such as: complete, under construction, etc. The topic status is visible in the Table of Contents

Bookmarks Design time bookmarks have been improved with automatic and additional comments.


UpdateV320

Help & Manual Version 3.20
Return to Introduction

Browser based help Browser based help now supports a keyword index in addition to the table of contents and advanced synchronization when you open a particular topic directly. Example: http://www.ec-software.com/helphtml/index.html

Page referrers PDF export and print manual output support page referrers. A page referrer is a small icon next to a link that shows the page number to refer to.

Impict with callouts Impict comes with two new object types: a line object (for simple lines and arrows) and a more complex callout object which combines text with a shape and a pointer:

Text variables Text variables can be nested which means you can construct text variables that contain other text variables.

Variable replace Replaces text variable values defined in the help project with values from an external file. This enables you to replace some or all of the variables in your project with other values without changing the embedded variables. This feature is available when you use the command line options of Help & Manual to compile a help file.

Table formatting The table dialog box offers to modify column widths manually and support background colors. Grid lines are scaled more accurately in the print manual.

· Fix for the black images bug on Windows XP: this bug occurred on several Windows XP systems, screen shots appeared as black rectangles in PDF files and in the print manual.

· New Topics menu entry: "Find Referrers" generates a small report that lists all topics that refer to the current.

· Project report: the full project report now lists anchors, macros and Internet links.

· Find & Replace: the search entry box supports a drop-down list and remembers recent searches.

· Change status short cut was changed to Shift + Alt + S because the old short cut is a character in several east-european languages.

· HTML topic templates: the default template now creates less space between topic header and text.

· HTML HELP: the index tab was always visible, even if no keyword index was available. Help & Manual now automatically hides the keyword index tab in compiled HTML HELP files if no keywords were defined.

· Impict remembers the color depth when it opens an image.

· Topic status (automatic setting after topic changes): spell checker corrections do not longer automatically change the status of the topic, as a misspelled word is not meant to be a change of the content of the topic. The date/time stamp of the topic is updated though.

See also:
A comparison between version 2 and version 3


UpdateV325

Help & Manual Version 3.25
Return to Introduction

· The integrated image editor IMPICT has a completely new help file. We implemented several minor UI changes and fixes. Impict objects now remember their recent settings and dialog boxes recall their screen positions. Edit|Copy places a bitmap of the objects on the clipboard for easier import/export of images.

· Help & Manual: New functions in the Table menu: convert text to table and vice versa
· Extended keyboard setting in Project|Properties
· Bug fix: if the last character in a heading was "<" it was duplicated during export
· HLP decompilation: better conversion of special characters and symbols
· RTF manual export: color of header font was ignored
· After insertion of a link, the cursor was positioned before the link, not after

· Print manual designer: bug fix for mouse dragging (objects were automatically moved 2 pixels up and left) and a new menu items "Select All" and "Unselect"

See also:
Help & Manual version 3.20
A comparison between version 2 and version 3


UpdateV330

Help & Manual Version 3.30
Return to Introduction

· New PDF engine with improved text rendering and new options. The differences should be obvious when you look at the dots in the table of contents, which are more harmonious, a proper word and character spacing especially for right-aligned headings and finally, smoother pictures in the PDF.

New PDF Options in Project|Properties -> PDF:
· Default zoom factor for the PDF viewer
· Optional 128 bit encryption

· New help context tool (Tools menu): this tool lets you delete, add, import and export help context numbers.

· Native handling of JPEG and PNG images: Version 3.30 can handle JPEG and PNG images directly. That means if you have JPEG or PNG images, you may directly insert them into a topic without converting them to BMP first.

· Tables in print manuals & PDF: tables are now reduced to the print width if they are too wide. The last column is adjusted automatically, if possible.

· Splash screen: soft fading can be turned off in "Tools|Customize".

· MultiMedia Help: a new viewer template is included. The look of the template is like the standard viewer except that it doesn't have a table of contents.

Bug fixes in version 3.30:

· "Apply layout" menu items in the text editor's context menu did not work.

· HTML & HTML Help: image hotspots were not properly resized when images size reduction was used.

· Print: the "print all text in black" option did not work in particular situations.

· Print & PDF: the frame of shape objects was too thin in the printout.

· Pring & PDF: text lines were not printed at the bottom of the page with some printer drivers! This problem ocurred with printer drivers that returned a wrong bottom margin, so the print area was not calculated correctly. It may also have affected the last row in tables.

· Undocked table of contents is hidden when you start a project report, but the TOC was not automatically shown when the report window closed.

See also:
Help & Manual version 3.25
Help & Manual version 3.20
A comparison between version 2 and version 3